# Анализ и отчетность

Для анализа информации по работе с электронными документами нужно в меню выбрать Документооборот -> Анализ и отчетность.

## Анализ просроченных документов

### Общая информация

Для детального анализа документов с просроченными сроками исполнения можно использовать дашборд **Анализ просроченных документов**. Он может быть подключён в виде формы или виджета.

Пример дашборда в качестве аналитической формы:

![Рисунок Форма Анализ просроченных документов](media/formInit.png)

На панели инструментов доступна кнопка "Перестроить" с двумя подпунктами: "По подтипам документов" и "По типам документов". По умолчанию форма собирает и группирует данные по типам документов, при нажатии на пункт "По подтипам документов" форма перестраивается.

Также дашборд может быть доступен по кнопке на левой вертикальной панели инструментов в качестве виджета:

![Рисунок Виджет Анализ просроченных документов](media/widgetInit.png)

Кнопки, аналогичные кнопкам из верхней панели инструментов на форме, расположены справа от второй диаграммы.

### Диаграммы

На первой диаграмме отображается общее количество документов по филиалам организации. Можно настроить фильтры по количеству дней просрочки: 2 дня, 5 дней, 10 дней, более 30 дней. Для этого надо щелкнуть левой кнопкой мыши на цветной квадрат рядом со значением.

![Рисунок 2 Общее количество просроченных документов](media/image87.png)

По каждому типу документу можно посмотреть количество документов, пользователей – на ком остановился маршрут, на каком этапе и сколько дней просрочки. Переключать типы документов можно, кликнув на диаграмме на конкретный тип документа. При этом пересчитаются значения на остальных диаграммах, согласно выбранному типу документа.

![Рисунок 3 Количество просроченных документов по типам документа](media/docsByType.png)

Если нажать на пункт/кнопку "По подтипам документов", то типы документов, для которых предусмотрены подтипы, разбиваются по подтипам документов. Например, вместо столбца "Заявление от сотрудника" появятся столбцы "Заявление на ежегодный отпуск", "Заявление на доп.оплачиваемый день" и т.д.

![Рисунок Количество просроченных документов по подтипам документа](media/docsBySubType.png)

Если нажать на пункт/кнопку "По типам документов", то диаграмма будет перестроена обратно, с разделением по количеству просроченных типов документов. 

На диаграмме **Кол-во документов** можно посмотреть количество просроченных документов определённого типа по пользователям. Для этого необходимо навести указатель мыши на соответствующую долю диаграммы. Также для диаграммы можно настроить фильтр. Чтобы включить/исключить долю пользователя из диаграммы, необходимо щелкнуть левой кнопкой мыши на закрашенный/пустой квадрат слева от фамилии пользователя.

![Рисунок 4 Количество просроченных документов по пользователям](media/image89.png)

Если щелкнуть мышкой на долю на диаграмме, то ниже отобразятся просроченные документы выбранного пользователя.

![Рисунок 5 Просроченные документы по выбранному пользовавтелю](media/image90.png)

Среднее количество дней по каждому действию в маршруте отображается на диаграмме **Среднее кол-во дней**. Если выбрать действие, щелкнув по нему кнопкой мыши, на следующей диаграмме отобразится среднее количество дней по выбранному действию в разбивке по пользователям.

![Рисунок 6 Среднее количество дней в разбивке по действиям и пользователям](media/image91.png)

По щелчку мыши на долю в диаграмме, также можно увидеть список просроченных документов.

По кнопке "Сброс" ![](media/image92.png) дашборд сбросится к виду с двумя основными диаграммами – "Документы в филиалах" и "Просроченные документы"

Если в ходе работы с дашбордом необходимо обновить информацию, то нужно нажать кнопку **обновить** справа.

## Контроль исполнения поручений

Чтобы проконтролировать исполнение поручений используют документ "Контроль исполнения поручений". В шапке документа можно установить фильтры и по кнопке "Сформировать" на панели инструментов загрузится реестр документов.

![Рисунок 7 Контроль исполнения поручений](media/image93.png)

Чтобы почистить все фильтры, нужно в правом верхнем углу нажать кнопку "Обновить"

## Журнал состояния документов

Аналитическая форма "Журнал состояния документов" предназначена для формирования сводной информации по документам с отображением информации об их продвижениях по маршруту. Чтобы открыть форму, необходимо в плиточном меню выбрать пункт "Журнал состояния документов". Можно сформировать запрос с фильтрами как по документам, так и по их состоянию по маршруту. Форма запроса представлена на рисунке:

![Журнал состояния документов](media/DocumentStatusJournalFormInit.png){: .zoom}

По умолчанию поля для фильтров не заполнены.

Отфильтровать реестр документов можно по нескольким условиям:

* **Что найти:** - из выпадающего списка выбирается какие документы необходимо найти, например "Сейчас в работе у hr". Реестр отобразит список документов, которые находятся на обработке в HR службе.

![Фильтрация](media/filtr.png)

* **Тип документа:** - из выпадающего списка выбирается тип или несколько типов документов, которые необходимо найти, например "Документ на подписание". Реестр отобразит список документов по указанному типу.

![Документы](media/HR.png)

* **Период (с/по):** - реестр фильтруется по выбранному периоду;

Также реестр можно отфильтровать по произвольным выборкам. Для этого необходимо в поле "Что найти" выбрать "Выбор по произвольным параметрам". Дополнительно появится скрытая группа фильтров "Дополнительные атрибуты поиска". Необходимо нажать на данную группу для раскрытия.

![Произвольные выборки](media/proizvolForm.png)

В **Дополнительные атрибуты поиска** можно настроить фильтры по:

- **автору документа** – инициатор документа;
- **участнику маршрута** - в выборку попадут документы, в маршруте которых участвовали выбранные пользователи;;
- **номеру документа**;
- **статусу маршрута** - в выборку попадут документы, маршрут которых имеет выбранный статус;
- **действию участника** – в выборку попадут документы, в маршруте которых присутствует выбранное действие;
- **статусу участника** - в выборку попадут документы, в маршруте которых присутствует выбранное решение участника;
- **периоду согласования** - в выборку попадут документы, у которых было выполнено хотя бы одно из действий по маршруту в указанный период;
- **статусу исполнения** - в выборку попадут документы, подходящие под выбранный статус исполнения.

Для быстрой очистки поля для фильтра можно воспользоваться кнопкой <img alt="крестик" src="../media/del.png"> рядом с соответствующим полем.

По умолчанию таблица сгруппирована. Чтобы разгруппировать необходимо нажать на треугольник слева от поля с годом / в строке с типом документа, по которому группируется информация в таблице:

![Группировка](media/group.png)

Список можно выгрузить в Excel-отчет. Для этого отметить часть или все строки галочками и нажать на кнопку <img alt="Экспорт" src="../media/image100.png">

В данной форме возможно направить сообщение-уведомление пользователю, например, с просьбой обработать скорее документ. Для этого необходимо выбрать необходимый документ и нажать на кнопку "Отправить сообщение".

![Сообщение](media/message.png)

Во всплывающем окне указывается текст сообщения. Чтобы направить необходимо нажать кнопку "Ок".

![Сообщение](media/message1.png)

Направленное уведомление будет отображена у пользователя в панели документооборота во вкладке "На обработку".

![Уведомление](media/docObr.png)

![Уведомление2](media/docObr2.png)

В данной форме возможно посмотреть и при необходимости отредактировать маршрут. Для этого в реестре необходимо выбрать документ и нажать кнопку "Открыть маршрут". Подробнее об редактировании маршрута можно ознакомиться в статье ["Форма для редактирования маршрута"](../../Руководство для HR/Форма корректировки маршрутов согласования/Форма корректировки маршрутов согласования.md).

![Маршрут](media/routeCor.png)
![Маршрут](media/routeCor2.png)

## Просроченные документы СЭД

В этом документе выгружаются просроченные задачи СЭД. Чтобы сформировать табличную часть необходимо нажать на кнопку **Сформировать** на панели инструментов.

![Сформировать](media/sformirovat.png)

Форму можно отфильтровать по одному или нескольким показателям. Для этого необходимо выбрать необходимую настройку и нажать кнопку "Сформировать".

**Тип документа** - по выбранному типу документа.

![Тип документа](media/typeDoc.png)

**Сотрудник** - по выбранному сотруднику.

![Сотрудник](media/selectSotrudnik.png)

**Просрочка (дней) больше:** - по количеству просроченных дней:

![Количество просроченных дней](media/selectDays.png)

Для перехода в документ необходимо нажать на гиперссылку в колонке "Документ".

По кнопке "Экспорт" в правом верхнем углу можно выгрузить отчет в Excel.

**Направить уведомления о просроченных документах** при нажатии на данную кнопку пользователю на почту поступит уведомления о том что документы просрочены по срокам и их необходимо обработать. Для этого выберите необходимые документы и нажмите кнопку "Направить уведомления о просроченных документах".

![Документ](media/document.png)

![Почта](media/mail.png)

## Отчет по ЛНД

Для отслеживания ознакомления сотрудниками локально-нормативных документов используется "Отчет по ЛНД".

![Рисунок 18 Отчет по ЛНД](media/image106.png){: .zoom}

В шапке документа можно установить фильтры:

* по конкретному документу – поле "Документ";
* по пользователю, указанному в списке рассылки – поле "Пользователь";
* по подтипу документа;
* по статусу ознакомления – поле "Ознакомление".

По кнопке "Сформировать" на панели инструментов в табличной части сформируется отчет с основной информацией по ЛНД.

Для того, чтобы перейти в первичный документ, можно нажать на гиперссылку в табличной части в колонке "Документ".

![Рисунок 19 Переход в первичный документ](media/image107.png){: .zoom}

По каждому документу и/или пользователю можно сформировать пакет документов по подписанию. Для этого выделить нужные строки и нажать "Скачать архив" на панели инструментов.

В каждом архиве будут выгружены:

- оригиналы, которые подписывались пользователем;
- отчеты со штампом электронной подписи, содержащие информацию о подписании;
- файлы подписей;
- лист ознакомления.

![Рисунок 20 Скачивание архива](media/image108.png){: .zoom}

Система выдаст информационное сообщение о том, что формируются файлы для скачивания.

![Рисунок 21 Скачивание архива](media/image109.png){: .zoom}

При успешном завершении скачивания по каждому документу создается отдельная папка в папке "Загрузки" ("Downloads")

![Рисунок 22 Файлы загрузки](media/image110.png)