# "Группы рассылки"

## Общее описание назначения документа

Документ "Группы рассылки" предназначен для формирования списка рассылки, который может состоять из всех сотрудников выбранных подразделений, из всех сотрудников выбранных подразделений за исключением тех сотрудников, которые добавлены в таблицу "Исключить", и из конкретных пользователей, выбранных в таблице "Пользователи". Пользователям из этого списка будут рассылаться документы на ознакомление.

## Описание функционала документа

Для открытия реестра документов необходимо в меню в группе "Администрирование", подгруппе "Документооборот" выбрать пункт "Группы рассылки".

![Рисунок 1 Меню](./menu.png)

Откроется реестр документов.

![Рисунок 2 Реестр документа "Группы рассылки"](./registry.png){: .zoom}

Для создания нового документа необходимо нажать на кнопку "Создать" на верхней панели инструментов
![](./image3.png)

Новый документ выглядит следующим образом:
![Рисунок 3 Документ "Группы рассылки"](./docInit.png){: .zoom}

Поле "Наименование" группы рассылки заполняется пользователем (поле текстовое). Поля "Своя организация" и "Тип документа" выбираются из соответствующих справочников и задают условия, при которых можно выбрать созданную группу.

Например, если выбран тип документа "Заявка в техподдержку", то эту группу рассылки можно будет выбрать в окне список рассылок документа "Заявка в техподдержку".

Тип документа может содержать несколько выбранных вариантов.

![Рисунок 5 Пример выбора типов документов](./headFilled.png){: .zoom}

С помощью полей "Действует с" и "по" можно установить ограничение на возможность использования группы рассылки начиная с некоторой даты и/или заканчивая датой в поле "по".

Табличные части "Подразделения", "Пользователи", "Исключить" заполняются при помощи добавления новых строк в соответствующие таблицы.

В таблицу "Подразделения" вносятся подразделения, для сотрудников которых предназначена созданная группа рассылки. Например, при выборе в документе "Группы рассылок" конкретного подразделения, система в список рассылок занесет всех сотрудников, которые относятся к выбранному подразделению.

В таблицу "Должности" вносятся должности, для которых предназначена созданная группа рассылки.

Заполнение таблицы "Пользователи" необходимо в том случае, если требуется сделать рассылку сотрудникам, которые работают в разных подразделениях.

В таблицу "Исключить" вносятся пользователи, которые не должны быть включены в список рассылки даже в том случае, когда они входят в выбранные для рассылки подразделения.

![Рисунок 6 Пример заполненного документа "Группы рассылок"](./docFilled.png){: .zoom}

## Работа с группами рассылок

В качестве примера работы с созданной группой рассылки перейдем в документ "Входящий документ". Для того чтобы приступить к созданию списка рассылки, необходимо нажать на кнопку "Рассылка":

![Рисунок 7 Открытие "Списка рассылки" в Входящем документе](./vhDoc.png){: .zoom}

Чтобы выбрать группу рассылки, необходимо нажать на кнопку "Группа рассылки":

![Рисунок 8 Выбор группы рассылки](./RLbeforeCh.png){: .zoom}

Если уже заведены группы рассылки с соответствующим типом документа, то в всплывающей форме "Группы рассылки" отобразится список с наименованиями групп рассылки:

![Рисунок 9 Список групп рассылки](./RLChoose.png){: .zoom}

После выбора нужной группы рассылки по нажатию кнопки "ОК" всплывающая форма "Группы рассылки" заполнится списком пользователей:

![Рисунок 10 Интерфейс выбора группы рассылок](./RLInserted.png){: .zoom}

Были добавлены все пользователи из подразделения "Администрация УК", за исключением Потапова Ф.М. 

В нижней области "Текст сообщения" можно внести текст для ознакомления, и с помощью кнопки "Добавить сообщения для участников" это сообщение перенесется автоматически в колонку таблицы.

![Рисунок 11 Формирование списка рассылки](./RLFilled.png){: .zoom}

Чтобы добавить в рассылку ещё одного пользователя, необходимо нажать на кнопку "Добавить пользователя" и выбрать ФИО сотрудника из списка в столбце "Пользователь".

![Рисунок 12 Добавленный пользователь](./addUser.png){: .zoom}

Для того чтобы отправить документ на ознакомление нужно выбрать пользователя/пользователей и нажать на кнопку "Отправить". Выбранные пользователи получат оповещение на почту о необходимости ознакомиться с документом.

![Рисунок 13 Отправка документа на ознакомление](./RLtoSend.png){: .zoom}

После нажатия на кнопку "Отправить" всем выбранным пользователям приходит письмо на почту, которая указана при регистрации пользователя. В письме содержится ссылка на документ, с которым пользователю потребуется ознакомиться.

Также у пользователя в окне документооборота появится новый документ:

![Рисунок 14 Новый документ в окне документооборота](./RLdocflow.png){: .zoom}

## Ознакомление

Пользователю необходимо ознакомиться с пришедшим документом и подтвердить ознакомление, перейдя по ссылке в документ, открыв список рассылки по кнопке "Список рассылки" и затем нажав на кнопку "Подтвердить ознакомление":

![Рисунок 15 Подтверждение ознакомления с документом](./RLtoAccept.png){: .zoom}

После этого документ закрывается. Пользователь подтвердивший ознакомление с документом в списке рассылок выделяется зеленым цветом:

![Рисунок 16 Ознакомление с документом](./RLAccepted.png){: .zoom}

## Копирование группы рассылки

Для дублирования существующего документа необходимо отметить этот документ в реестре и нажать кнопку "Копировать" на верхней панели инструментов.

![Копирование](copy.png)

Откроется всплывающее окно "Копирование группы рассылки". В нем необходимо выбрать в какую организацию необходимо скопировать данный документ и нажать кнопку "Назначить".

![Сорг](corg.png)

После копирования группы в столбец "Филиалы" будет отображаться на каких филиалах используется данная группа рассылки

![Сорг](corg2.png)