# Заявления от сотрудников

## Общее описание назначения документа

Документ **"Заявления от сотрудников"** предназначен для создания документов-заявлений, которые требуется отправить по маршруту к определенным сотрудникам для утверждения. Например, к данной группе относятся: Заявление на отпуск для всех, Заявление на дополнительно оплачиваемый день отдыха за сдачу крови, Заявление на дополнительно оплачиваемый день, Заявления на отпуск без сохранения заработной платы и т.д.

Рассмотрим процесс оформления заявления на отпуск в системе электронного документооборота.

![type:video](https://www.youtube.com/embed/HsNIt2ZWmsI)

Чтобы создать новое заявление необходимо в панели виджетов нажать кнопку "Создать заявление"

![Виджет](media/vidjet.png)

Либо в плиточном меню выбрать пункт "Создать заявление"

![Плиточное меню](media/tiledMenu.png)

## Работа с документом

В открывшейся карточке в поле "Подтип" необходимо выбрать нужный вид заявления.

![Рисунок 5 Документ "Заявления от сотрудников"](media/image5.png){: .zoom}

В зависимости от выбранного вида заявления в блоке «Реквизиты документа» подтянутся те или иные атрибуты. Их необходимо заполнить и нажать кнопку "Сформировать документ".

![Рисунок 6 Результат выбора шаблона документа](media/image6.png){: .zoom}

После нажатия автоматически заполнится бланк заявления, расположенный справа:

![Рисунок 7 Пример заполнения бланка заявления](media/image7.png){: .zoom}

Если для данного документа настроено автоматическое формирование маршрута, то маршрут сформируется в момент заполнения шаблона и на панели инструментов появятся кнопки быстрого согласования документа. В нашем случае - это кнопка "Подписать ЭП".

![Рисунок 8 Кнопка быстрого согласования](media/image14.png)

Чтобы подписать заявление, в панели инструментов нажмите кнопку "Подписать ЭП" и в открывшемся окне нажмите "ОК".

![Рисунок 10 Выбор статуса](media/image13.png)

В маршруте "Статус этапа" сменяется на "Завершен", а "Статус документа" – на "Подписан ЭП".

![Рисунок 12 Изменения в маршруте после подписания ЭП](media/signed.png)

После подписания документ закроется и осуществляется переход на главную страницу, в случае если отсутствуют другие открытые вкладки.

Если для данного документа не настроено автоматическое формирование маршрута, то для формирования маршрута нужно нажать Маршрут на панели инструментов.

![Рисунок 13 Создание маршрута](media/image8.png)

Автоматически создастся необходимый маршрут согласования:

![Рисунок 14 Маршрут согласования](media/image9.png)

Далее нажать кнопку "Отправить" и выбрать статус "Подписан ЭП".

![Рисунок 15 Выбор статуса](media/image10.png)

В маршруте "Статус этапа" сменяется на "Завершен", а "Статус документа" – на "Подписан ЭП".

После подписания документ закроется и осуществляется переход на главную страницу, в случае если отсутствуют другие открытые вкладки.

## Подписание заявления через ПЭП Госуслуги

В системе поддерживается возможность использования ПЭП Госуслуги. Для этого должно быть настроено действие подписания ПЭП Госуслуги.

![ПЭП](media/pepGosuslugi.png){: .zoom}

В отчетной форме будет отображено что заявлено было подписано ПЭП Госуслуг.

![Отчет](media/otchet.png)

## Обязательное вложение

Для некоторых типов заявлений обязательным является вложение определенных документов. Например, для заявления о предоставлении стандартного налогового вычета на ребенка, необходимо вложить свидетельство о рождении. Для этого необходимо в панели инструментов выбрать кнопку "Вложения".

![Вложение](media/vlozhenie.png)

При нажатии на кнопку «Добавить вложение» откроется диалоговое окно для выбора файла. В окне нужно выбрать нужный файл и добавить его по кнопке "Открыть".

![Свидетельство](media/svidetelstvo.png)

**Обязательным является заполнение поля Тип вложения:**

![Рисунок 9 Тип вложения](media/ТипВложения.png){: .zoom}

Если этот файл не включен во вложение, система оповестит об этом при отправке по маршруту. Текст предупреждающего сообщения будет следующий: _"Необходимо вложение с типом "Копия свидетельства о рождении"_.

![Копия](media/kopia.png)

Подробнее о работе со вложениями можно ознакомиться в разделе [Работа с вложениями](../../СЭД/Работа%20со%20вложениями/Работа%20со%20вложениями.md).

## Тиражированные заявления

Если сотрудник трудоустроен на нескольких организациях холдинга и/или принят также внутренним совместителем на одной из организаций, то при оформлении заявления на отпуск, он должен согласовать заявление по каждому месту работы. Для этого реализована автоматическое тиражирование данного документа во все организации, и все должности внутри одной организации. Документы будут копироваться на все предприятия, где по коду физического лица, будет находиться данный сотрудник, а также на все должности, если сотрудник является внутренним совместителем автоматически по завершении маршрута. В случае, если сотрудник находиться только в одной организации заявления копироваться не будут.

## Создание корректирующего заявления

Работникам, работающим по трудовому договору по совместительству, оплачиваемые ежегодные трудовые отпуска предоставляются одновременно с отпуском по основной работе. Если продолжительность оплачиваемого ежегодного трудового отпуска по трудовому договору по совместительству меньше продолжительности отпуска по основной работе, работодатель по просьбе работника-совместителя предоставляет ему отпуск без сохранения заработной платы на дни, составляющие разницу в продолжительности отпусков. Соответственно, сотрудник уходит в отпуск одновременно в двух компаниях. Для этого на проекте присутствует возможность подачи корректирующего заявления работником-совместителем. Пользователь должен обладать специальными правами.

В личном кабинете [сотрудника](../../Руководство%20линейного%20сотрудника/Профиль%20сотрудника/Профиль%20сотрудника.md) во вкладке ["Мои заявления"](../../Руководство линейного сотрудника/Профиль сотрудника/Профиль сотрудника.md#мои_заявления) необходимо открыть заявление по которому необходимо создать корректирующее заявление.

![Кабинет сотрудника](media/cabSotrudnik.png)

В панели инструментов нажать на кнопку "Операции" и выбрать "Создать корректирующее заявление".

![Корректирующее заявление](media/correct.png)

Откроется новая форма заявления. Про дальнейшую работу с документом можно ознакомиться в разделе [выше](#работа_с_документом).

## Удаление заявления

Обычный пользователь кадрового электронного документооборота имеет право перевести документ в статус ["Удалено"](../Удаление документов КЭДО/Удаление документов КЭДО.md). Чтобы удалить заявление, в панели инструментов нажмите кнопку "Удалить".

![Удалено](media/delete.png)