# Обмен данными с 1С

## Вводная часть

Для обеспечения полноценной и комфортной работы системы кадрового документооборота необходима интеграция с популярными кадровыми системами. В системе электронного кадрового документооборота Lexema-ECM (далее по тексту **ЭКДО**) реализована интеграция с системой «1С:Зарплата и Управление Персоналом 8» (далее по тексту **1С:ЗУП**). Основная задача интеграции – исключить дублирование информации в разных системах и предоставить максимальный сервис нашим пользователям.

## Интеграционные потоки

В случае использования интеграции, наполнение основных справочников КЭДО осуществляется на основании данных 1С:ЗУП:

- Подразделения
- Сотрудники
- Должности
- Физические лица

Интегрированы потоки данных для следующих бизнес-процессов кадрового документооборота:

- Заявления сотрудников
- Оформление командировок сотрудников
- Подписание трудовых договоров, полученных из 1С:ЗУП
- Согласование графика отпусков
- Согласование табелей сотрудников.

## Документ "Обмен данными с 1С"

Для перехода в документ в меню нужно выбрать пункт меню "Обмен данными с 1С".

![Рисунок 1 Меню](./media/image1.png)

Откроется форма документа:

![Рисунок 2 Обмен данными с 1С](./media/image2.png)

Переключая верхние вкладки, можно выбрать какие данные будут загружены в Лексему.

На вкладке **Справочники** выгружаются подразделения, физические лица, должности из 1С:ЗУП. Для этого нужно выбрать вкладку и нажать кнопку **"1. Выгрузить справочники из 1С"**. Система запросит подтверждение для выполнения загрузки:

![Рисунок 3 Выгрузка справочников](./media/image3.png)

После выгрузки данных необходимо выбрать данные для загрузки в Лексему. Если необходимо добавить все данные загруженные из 1С проставьте галочку в столбце выбора.

![Рисунок 4 Выбор данных](./media/image4.png)

Если необходимо загрузить конкретные данные, тогда нужно отметить их галочкой в табличной части.

![Рисунок 5 Выбор данных](./media/image5.png)

После выбора нажать кнопку "2. Загрузить данные в Лексему". Новые данные появятся в соответствующих справочниках Лексемы.

При проставленном признаке "Только новые позиции", в таблице отобразятся данные, которые не были ранее загружены.

На вкладке **Сотрудники** выгружается справочник сотрудников из 1С:ЗУП аналогично справочникам на вкладке "Справочники".

На вкладке **Документы из СЭД** происходит передача документов, созданных в Лексеме, в систему 1С:ЗУП. 

1. Выгрузить документы из СЭД Лексемы. Система запросит подтверждения действия.

![Рисунок 6 Выгрузка документов из СЭД Лексемы](./media/image6.png)

Заявления отобразятся в табличной части документа

![Рисунок 7 Выгрузка документов из СЭД Лексемы](./media/image7.png)

2. Отметить заявление, которое необходимо передать в 1С:ЗУП

3. Нажать кнопку "Загрузить данные в 1С". Система запросит подтверждения действия.

![Рисунок 8 Загрузка документов из СЭД Лексемы](./media/image8.png)

После завершения загрузки документов система выдаст информационные сообщения. Если загрузка прошла успешно, то сообщения отмечаются зеленым знаком. Если имеются ошибки в данных, то красным. Во вкладке "Результат загрузки" в блоке "Выполнено" отображается успешная загрузка документа с указанием данных по документу и под каким номером документ отображается в 1С:ЗУП. 

![Рисунок 9 Информационные сообщения](./media/image9.png)

В 1С:ЗУП в реестре документов (в данном случае реестр отпусков) появится новый документ, переданный из СЭД Лексемы:

![Рисунок 10 Загрузка документов из СЭД Лексемы](./media/image10.png)

Помимо самого документа в 1С:ЗУП передаются и вложения. В 1С:ЗУП их можно увидеть в присоединенных файлах.

![Рисунок 11 Присоединенные файлы в 1С:ЗУП](./media/image11.png)

Документ, согласованный в СЭД Лексемы:

![Рисунок 12 Присоединенные файлы в 1С:ЗУП](./media/image12.png)

Дальнейшие действия в 1С:ЗУП для подписания приказа в электронном виде:

* Открыть документ  и нажать на печать:

![Рисунок 13 Печать приказа на отпуск](./media/image13.png)

* Выбрать пункт "Сохранить":

![Рисунок 14 Сохранение приказа на отпуск](./media/image14.png)

* Сохранить как "Документ PDF/A"

![Рисунок 15 Сохранение приказа на отпуск](./media/image15.png)

* В присоединенных файлах появится новый документ (приказ на отпуск):

![Рисунок 16 Присоединенные файлы в 1С:ЗУП ](./media/image16.png)

Далее в СЭД Лексемы нужно забрать этот документ. Для этого в документе "Обмен данными с 1С" на вкладке **Документы для загрузки в СЭД** нужно нажать кнопку "1. Выгрузить данные из 1С". 

Система запросит подтверждения действия:

![Рисунок 17 Выгрузка данных из 1С:ЗУП](./media/image17.png)

Отметить выгруженный документ и нажать кнопку "3. Загрузить данные в Лексему". Система запросит подтверждения действия.

![Рисунок 18 Загрузка данных в Лексему](./media/image18.png){: .zoom}

После успешной загрузки система выдаст информационные сообщения. Если загрузка прошла успешно, то сообщения отмечаются зеленым знаком. Если имеются ошибки в данных, то красным. Во вкладке "Результат загрузки" в блоке "Выполнено" отображается успешная загрузка документа с указанием данных по документу и отображением под каким номером документ отображается в системе. 

![Рисунок 19 Информационные сообщения](./media/image19.png)

Загруженный из 1С:ЗУП приказ на отпуск в Лексеме отобразится в реестре документов ["Документы на подписание"](../Документы на подписание/Документы на подписание.md).

![Рисунок 20 Реестр "Документы на подписание" в Лексеме](./media/image20.png){: .zoom}

Во вложениях к документу на подписание отобразится приказ на предоставление отпуска, созданный в 1 С:ЗУП:

![Рисунок 21  Вложение к документу на подписание](./media/image21.png){: .zoom}

В Лексеме документ на подписание проходит согласование по заданному маршруту. Согласованный документ на подписание передается обратно в 1С:ЗУП из документа "Обмен данными с 1С", вкладка **Обработанные документы на подписание** аналогично "документам из СЭД".

## Описание типовых потоков обмена данными

Название документа для обмена  |  Сущность 1С  |  Документ-источник данных\Откуда берутся данные  |  Документ-принимающая сторона\Куда поступают данные
-------------------------------|---------------|------------------------------------------------|----------------------------------------------------
График отпусков  |  ГрафикОтпусков  |  1C:ЗУП/График отпусков  |  Lexema-ECM/График отпусков
Заявление на выплату единовременного пособия в связи с рождением ребенка  |  ЗаявлениеСотрудникаНаВыплатуПособия  |  Lexema-ECM/Заявление на выплату единовременного пособия в связи с рождением ребенка  |  1C:ЗУП/Реестры сведений для ФСС
Заявление на замену части дополнительного отпуска денежной компенсацией  |  Document_Отпуск  |  Lexema-ECM/Заявления от сотрудников/ Заявление на замену части дополнительного отпуска денежной компенсацией  |  1C:ЗУП/Отпуск
Заявление на перевод  |  Document_КадровыйПеревод  |  Lexema-ECM/Заявление на перевод  |  1C:ЗУП/Кадровый перевод
Заявление на предоставление дополнительного отпуска  |  Document_Отпуск  |  Lexema-ECM/Заявления от сотрудников/ Заявление на предоставлении дополнительного отпуска  |  1C:ЗУП/Отпуск
Заявление на предоставление дополнительных оплачиваемых выходных дней для ухода за детьми-инвалидами  |  Document_ПрогулНеявка  |  Lexema-ECM/Заявления от сотрудников/ Заявление на предоставление дополнительных оплачиваемых выходных дней для ухода за детьми-инвалидами  |  1C:ЗУП/Отсутствия (болезни, прогулы, неявки)
Заявление на предоставление ежегодного основного оплачиваемого отпуска  |  Document_Отпуск  |  Lexema-ECM/Заявления от сотрудников/ Заявление на предоставление ежегодного отпуска  |  1C:ЗУП/Отпуск
Заявление на предоставление отпуска без сохранения заработной платы  |  Document_ОтпускБезСохраненияОплаты  |  Lexema-ECM/Заявления от сотрудников/ Заявление на предоставление отпуска без сохранения заработной платы  |  1C:ЗУП/Отпуск без сохранения оплаты
Заявление на предоставление отпуска по беременности и родам  |  Document_БольничныйЛист  |  Lexema-ECM/Заявления от сотрудников/Заявление на предоставление отпуска по беременности и родам  |  1C:ЗУП/Больничный лист
Заявление на предоставление отпуска по уходу за ребенком до достижения им возраста трех лет с начислением и выплатой ежемесячного пособия по уходу за ребенком до полутора лет  |  ОтпускПоУходуЗаРебенком   |  Lexema-ECM/Заявления от сотрудников/ Заявление на предоставление отпуска по уходу за ребенком до достижения им возраста трех лет с начислением и выплатой ежемесячного пособия по уходу за ребенком до полутора лет  |  1C:ЗУП/Отпуска по уходу и возвраты из отпуска
Заявление на предоставление Справки 2-НДФЛ  |  Document_СправкаНДФЛ  |  Lexema-ECM/Заявления от сотрудников/ Заявление на предоставление Справки 2-НДФЛ  |  1C:ЗУП/Справка 2 НДФЛ для сотрудников
Заявление на предоставление учебного отпуска  |  Document_Отпуск  |  Lexema-ECM/Заявления от сотрудников/ Заявление на предоставление учебного отпуска  |  1C:ЗУП/Отпуск
Заявление о выплате материальной помощи  |  МатериальнаяПомощь  |  Lexema-ECM/Заявления от сотрудников/ Заявление о выплате материальной помощи  |  1C:ЗУП/Материальная помощь
Заявление о выплате пособия на погребение  |  ЗаявлениеВФССОВозмещенииРасходовНаПогребение  |  Lexema-ECM/Заявление о выплате пособия на погребение  |  1C:ЗУП/Реестры сведений для ФСС
Заявление о досрочном прекращении отпуска по уходу за ребенком до 3 лет  |  ВозвратИзОтпускаПоУходуЗаРебенком  |  Lexema-ECM/Заявления от сотрудников/ Заявление о досрочном прекращении отпуска по уходу за ребенком до 3 лет  |  1C:ЗУП/Отпуска по уходу и возвраты из отпуска
Заявление о переносе ежегодного основного оплачиваемого отпуска, запланированного по графику отпусков  |  Document_ПереносОтпуска  |  Lexema-ECM/Заявление о переносе ежегодного основного оплачиваемого отпуска, запланированного по графику отпусков  |  1C:ЗУП/Перенос отпуска
Заявление о переносе предоставленного ежегодного основного оплачиваемого отпуска в связи с пересечением с больничным листом   |  Document_ПереносОтпуска  |  Lexema-ECM/Заявление о переносе предоставленного ежегодного основного оплачиваемого отпуска  |  1C:ЗУП/Перенос отпуска
Заявление о предоставлении дополнительных дней отдыха в связи со сдачей крови  |  Document_ПрогулНеявка  |  Lexema-ECM/Заявления от сотрудников/ Заявление о предоставлении дополнительных дней отдыха в связи со сдачей крови  |  1C:ЗУП/Отсутствия (болезни, прогулы, неявки)
Заявление о предоставлении ежегодного основного оплачиваемого отпуска с последующим увольнением  |  Document_Отпуск  |  Lexema-ECM/Заявления от сотрудников/ Заявление на предоставление ежегодного отпуска  |  1C:ЗУП/Отпуск
Заявление о предоставлении стандартного налогового вычета на ребенка  |  Document_ЗаявлениеНаПредоставлениеСтандартныхВычетовПоНДФЛ  |  Lexema-ECM/Заявление о предоставлении стандартного налогового вычета на ребенка  |  1C:ЗУП/Заявление на предоставление стандартных вычетов по НДФЛ
Заявление об изменении графика работы по инициативе работника  |  Document_ИзменениеГрафикаРаботыСписком  |  Lexema-ECM/Заявление об изменении графика работы по инициативе работника  |  1C:ЗУП/Изменение графика работы списком
Приказ на предоставление отпуска без сохранения заработной платы  |  Document_ОтпускБезСохраненияОплаты  |  1C:ЗУП/Отпуск без сохранения оплаты  |  Lexema-ECM/Документ на подписание/Приказ на предоставление отпуска без сохранения заработной платы
Приказ о выплате материальной помощи  |  МатериальнаяПомощь  |  1C:ЗУП/Материальная помощь-присоединенный файл печатной формы  |  Lexema-ECM/Приказ о выплате материальной помощи
Приказ о выходе на работу до окончания отпуска по уходу за ребенком  |  ВозвратИзОтпускаПоУходуЗаРебенком  |  1C:ЗУП/Отпуска по уходу и возвраты из отпуска-присоединенный файл печатной формы  |  Lexema-ECM/Документ на подписание/Приказ о прекращении отпуска по уходу за ребенком
Приказ о компенсации отпуска  |  Document_Отпуск  |  1C:ЗУП/Отпуск-присоединенный файл печатной формы  |  Lexema-ECM/Документ на подписание/Приказ о компенсации отпуска
Приказ о направлении в командировку  |  Document_КомандировкиСотрудников  |  1C:ЗУП/Командировки-присоединенный файл печатной формы  |  Lexema-ECM/Документ на подписание/Приказ на командировку
Приказ о переводе  |  Document_КадровыйПеревод  |  1C:ЗУП/Кадровый перевод  |  Lexema-ECM/Документ на подписание/Приказ о переводе
Приказ о переводе | Document_КадровыйПеревод | 1C:ЗУП/Кадровый перевод | Lexema-ECM/Документ на подписание/Приказ о переводе |  |  | 
Приказ о переносе отпуска  |  Document_ПереносОтпуска  |  1C:ЗУП/Перенос отпуска  |  Lexema-ECM/Документ на подписание/Приказ о переносе отпуска
Приказ о предоставлении ежегодного основного оплачиваемого отпуска  |  Document_Отпуск  |  1C:ЗУП/Отпуск-присоединенный файл печатной формы  |  Lexema-ECM/Документ на подписание/Приказ на отпуск
Приказ о предоставлении нерабочего времени с сохранением среднего заработка  |  Document_ПрогулНеявка  |  1C:ЗУП/Отсутствия (болезни, прогулы, неявки)-присоединенный файл печатной формы  |  Lexema-ECM/Документ на подписание/Приказ о неявке
Приказ о предоставлении отпуска по беременности и родам  |  Document_БольничныйЛист  |  1C:ЗУП/Больничный лист/Приказ о предоставлении отпуска-присоединенный файл печатной формы  |  Lexema-ECM/Документ на подписание/Приказ о предоставлении отпуска по беременности и родам
Приказ о предоставлении отпуска по уходу за ребенком до достижения им возраста с выплатой ежемесячного пособия по уходу за ребенком до полутора лет  |  ОтпускПоУходуЗаРебенком   |  1C:ЗУП/Отпуска по уходу и возвраты из отпуска-присоединенный файл печатной формы  |  Lexema-ECM/Документ на подписание/Приказ о предоставлении отпуска по уходу за ребенком
Приказ о предоставлении учебного отпуска  |  Document_Отпуск  |  1C:ЗУП/Отпуск-присоединенный файл печатной формы  |  Lexema-ECM/Документ на подписание/Приказ на отпуск
Приказ о приеме на работу  |  ПриемНаРаботу  |  1C:ЗУП/ПриемНаРаботу/Приказ о приеме на работу - присоединенный файл печатной формы  |  Lexema-ECM/Документ на подписание/Приказ о приеме
Приказ об изменении графика работы  |  Document_ИзменениеГрафикаРаботыСписком  |  1C:ЗУП/Изменение графика работы списком  |  Lexema-ECM/Документ на подписание/Приказ об изменении графика работы
Сведения об электронном листке нетрудоспособности  |  Document_БольничныйЛист  |  Lexema-ECM/Заявления от сотрудников/Сведения об электронном листке нетрудоспособности  |  1C:ЗУП/Больничный лист
Служебная записка о направлении работника в командировку  |  КомандировкиСотрудников  |  Lexema-ECM/Служебная записка о направлении работника в командировку  |  1C:ЗУП/Командировки
Справка 2-НДФЛ  |  Document_СправкаНДФЛ  |  1C:ЗУП/Справка 2 НДФЛ для сотрудников-присоединенный файл печатной формы  |  Lexema-ECM/Справка 2 НДФЛ
Табель учета рабочего времени  |  ТабельУчетаРабочегоВремени  |  1C:ЗУП/Табели-присоединенный файл печатной формы-присоединенный файл печатной формы  |  Lexema-ECM/Документ на подписание/Табель учета рабочего времени
Трудовой договор  |  ПриемНаРаботу  |  1C:ЗУП/Прием на работу/Трудовой договор - присоединенный файл печатной формы  |  Lexema-ECM/Документ на подписание/Трудовой договор

## Вкладка "Документы из 1С для создания в Лексеме"

По кнопке «Выгрузить документы из 1С» – загружаются документы из системы 1С для создания их в Лексеме.

Система запросит подтверждение для выполнения загрузки. После выгрузки данных необходимо выбрать данные для загрузки в Лексему. 

![Загрузка документов](media/doc1Cload.png){: .zoom}

По кнопке «Загрузить Данные в Лексему» формируются документ в Lexema ECM, например "График отпусков". Загруженный график из 1С:ЗУП в Лексеме отобразится в реестре графика отпусков.

![График](media/grafik.png)

## Вкладка "Произвольные выборки из 1С"

Данная вкладка предназначена для загрузки сущностей, не относящих к справочникам и документам, в произвольном виде в физическую таблицу СЭД. Например, отпуск по уходу за ребенком.

![Произвольные выборки](media/proizvVybor.png)