# Обработка документов

Участникам документооборота поступают документы на согласование, подписание, ознакомление, исполнение, рассмотрение и т.д. в зависимости от роли сотрудника в маршруте. 

На почту поступают уведомления о необходимости обработки документа в системе.

![Обработка](media/mailObrabotka.png)

Список документов, которые необходимо обработать пользователю, отображается в окне **Документооборот**, раздел **На обработку**. Его можно найти на стартовой странице или по иконке виджета в форме конверта с количеством документов на обработку.

![](media/docflowNumber.png)

Кликом по изображению скрепки в столбце "Влж" осуществляется открытие вложенной формы с возможностью просмотреть и скачать вложения без необходимости открывать карточку документа:

![Ссылки на вложения документов](media/docflowFormAttachLinks.png)

![Вложения к документу](media/docflowAttachForm.png)

Для того, чтобы обработать документ и отправить его далее по маршруту, на вкладке "На обработку" необходимо выбрать документ и кликнуть по его названию.

Далее пользователю необходимо согласовать документ, отклонить либо передать работу другому лицу. Это можно сделать двумя способами:

1. _С помощью кнопок быстрого согласования на панели инструментов_ - Согласовать (Ознакомиться, Подтвердить исполнение и т.д.), или , в случае подписания сертификатом - Подписан ЭП, Отказ ЭП, далее или Отказ ЭП, аннулировать (описание кнопок см.в разделе [Подписание сертификатом](../Подписание сертификатом/Подписание сертификатом.md#подписание))

![Рисунок Панель инструментов документа](media/image42.png)

![Рисунок Панель инструментов документа](media/image1.png)

2. _По кнопке «Маршрут» на панели инструментов._

![Рисунок Панель инструментов документа](media/image9.png)

Откроется окно маршрута.

![Рисунок Окно маршрута документа](media/image10.png)

Все участники маршрута разделены по статусам:

-   Статус этапа **«Завершен»** присваивается участникам, уже обработавшим документ;

-   Статус этапа **«Текущий»** присваивается тем участникам, у которых документ находится в обработке, решение по документу еще не принято;

-   Статус этапа **«Ожидание»** имеют те участники, к которым документ еще не поступил. К таким участникам документ придет, как только «текущие» участники завершат согласование;

-   Cтатус этапа **«Пропущен»** имеют те участники, на этапе которых или на одном из предыдущих этапов документ был отозван или отклонен другими согласующими лицами. В этот этап документ уже не попадет.

-   Статус этапа **«Отклонен»** имеют те участники, которые отозвали или отклонили маршрут данного документа.

В окне маршрута на верхней панели расположены кнопки управления маршрутом:

![Рисунок Кнопки управления маршрутом](media/image11.png)

***Чтобы согласовать документ*** (зарегистрировать, подписать и т.д.), необходимо нажать кнопку «Отправить». При нажатии на кнопку
открывается окно «**Отправить документ далее по маршруту»**, в котором надо выбрать статус, при необходимости ввести комментарии и нажать кнопку «ОК»

![Рисунок Окно для указания комментариев к действию](media/image12.png)

***Для делегирования*** своих полномочий другому участнику необходимо нажать на кнопку "Делегировать". Также количество делегатов возможно назначить более одного (но не более 10). Для нужно ввести количество делегатов в ячейке между кнопками «Этап, участников» и «Участник» и нажать на
кнопку «Делегировать».

![Рисунок Делегирование документа](media/image13.png)

После нажатия на кнопку «Делегировать» в конце списка участников данного этапа добавятся строки с таким же действием, как и у делегирующего участника.

При необходимости делегирующий может выбрать для делегатов другое действие. Далее в поле «Пользователь» необходимо выбрать участника.

![Рисунок Выбор действия для делегатов](media/image14.png)

В колонке «Этап» у участника, который делегировал и у участника, которому делегировано, ставятся отличительные знаки:

![Рисунок Обозначение этапа маршрута, назначенного через делегирование](media/image15.png)

Если делегирование не понадобилось, до отправки документа по маршруту строку с делегируемым участником можно удалить. Для этого необходимо выделить данную строку и нажать на кнопку «Удалить» на панели управления маршрутом.

Для отправления документа участнику, которому делегировали полномочия, необходимо нажать на кнопку «Отправить».

При нажатии на кнопку «Отправить» открывается окно для сопутствующих комментариев, в котором можно указать комментарии для каждого делегата.

![Рисунок Комментарии для делегатов](media/image16.png)

После заполнения поля комментариев документ необходимо отправить далее по маршруту по кнопке «ОК».

Участник, которому делегируется действие, получит уведомление в рассылке на электронную почту и увидит данный документ в панели документооборота в разделе «На обработку».

**В случае, если необходимо делегировать документ и проконтролировать ответ участника, которому делегировали документ, в системе предусмотрена расширенная функция делегирования -- Делегирование с контролем.**

Для этого участнику, делегирующему свои полномочия, необходимо нажать на кнопку ![](media/image17.jpeg)

![Рисунок Назначение делегирования с контролем](media/image18.png)

После нажатия на кнопку «**Делегировать с контролем**» в конце списка участников данного этапа добавится строка с таким же действием, как и у делегирующего участника, и строка с самим делегирующим в конце этапа.

![Рисунок Делегирование с контролем. Пример отражения участников маршрута](media/image19.png)

Далее в поле «Пользователь» необходимо выбрать участника.

В колонке «Этап» у участника, который делегировал и у участника, которому делегировано, ставятся отличительные знаки:

![Рисунок Обозначение этапа маршрута, назначенного через делегирование с контролем](media/image20.png)

Документ уходит по маршруту по кнопке «Отправить».

## Информация по статусам маршрута в реестрах документов

В реестрах документов электронного документооборота выведена информация по маршруту:

* **Статус**  - статус маршрута 
    
    - статус "Не запущен" - присваивается, если маршрут не был создан;
    - статус "Текущий" - присваивается, если документ отправлен по маршруту, но еще не прошел всех участников маршрута;
    - статус "Отменен" - присваивается, если документ был отозван и удален маршрут;
    - статус "Завершен" - присваивается, если документ прошел по маршруту.

* **Текущие участники** - указываются участники маршруту, у которых документ находится на обработке.

* **Шаблон** - шаблон маршрута, по которому был отправлен документ.

![Рисунок Реестр документов "Служебная записка"](media/image41.png){: .zoom}
   
## Список рассылки

В случае ознакомления с документом широкого списка лиц следует сделать рассылку через сервис «Список рассылки». На панели инструментов он отображается значком

![Рисунок Список рассылки](media/image38.png)

В окне списка рассылки по кнопке «Добавить пользователя» добавить сотрудников. Можно добавить в список участников маршрута по кнопке «Из маршрута». По кнопке «Группа рассылки» можно создать лист адресатов на
основании группы рассылки из списка. Группа рассылки создается в документе [Группы рассылки](../Группы рассылки/Группы рассылки.md)


![Рисунок Окно "Список рассылки"](media/image39.png)

В табличной части в поле «Текст сообщения (необязательно)» сообщение адресовано конкретному участнику.

Если для всех участников текст сообщения один, то его можно ввести в окне «Текст сообщения» и нажать кнопку «Добавить сообщение для участников». Этот текст встанет в поле «Текст сообщения (необязательно)».

**"Поступил"** - дата , когда документ был отправлен на ознакомление.

**"Дни"** - количество дней, данных на обработку документа. В ЛНД считается от даты, внесенной в поле "Срок ознакомления с нормативным документом". Для остальных документов задается в документе "Настройка документов" в поле "Кол-во дней на ознакомление в списках рассылки".

**"Отправлено"** - количество раз, которое документ был отправлен на ознакомление. Т.е. если документ отправили по списку рассылки - будет значение "1". Если адресат не подтверждает ознакомление в системе, то отправитель может еще раз ему отправить этот документ, и тогда значение будет 2,3,4 ,и т.д. При этом дата в колонке "Поступил" отражает дату отправки в первый раз.

**"Получено"** - количество, сколько раз человек ознакамливался с документом. Документ может быть перенаправлен несколько раз.

**"Ознакомился"** - дата ознакомления (дата первого ознакомления).

**Доб.вручную** - признак проставляется у пользователей, которые были добавлены в список рассылки вручную через кнопки "Добавить пользователя", "Из маршрута", "Группа рассылки".

По кнопке «Отправить» рассылка уходит по указанным адресатам.

Участникам, которым документ поступил на ознакомление со статусом на "Ознакомление (рассылка)" следует ознакомиться с документом.

![Рисунок Отображение документа, поступившего на ознакомление](media/image40.png)

Для этого необходимо зайти в документ, перейти в «Список рассылки» и нажать на кнопку «Подтвердить ознакомление».

![Кнопка «Подтвердить ознакомление» в списке рассылки](media/buttonInReadList.png)

Также можно нажать на кнопку «Подтвердить ознакомление», расположенную под реквизитами документа.

![Кнопка «Подтвердить ознакомление» под реквизитами документа](media/docForReadList.png)