# Инструкция по подписанию квалифицированным/неквалифицированным сертификатом

## Документы, доступные для подписания

Документы "Заявления от сотрудников", "Локально-нормативный документ", "Универсальный документ", "Документы на подписание" можно подписать квалифицированной/неквалифицированной электронной подписью (ЭП). В соответствии с настройками в системе, для подписания документа ЭП может потребоваться использование телефона для получения кода подтверждения операции.

## Подписание

Рассмотрим подписание сертификатом на примере заявления на ежегодный оплачиваемый отпуск. Для подписания сертификатом можно воспользоваться интерфейсом быстрого согласования, либо открыть маршрут документа.

Для быстрого согласования нужно нажать на одну из кнопок на панели инструментов - **Подписан ЭП**, **Отказ ЭП, далее** или **Отказ ЭП, аннулировать** (описание кнопок см.ниже)

![Документ "Локально-нормативный документ"](media/image1.png)

Для подписания сертификатом через маршрут, нужно открыть маршрут документа. 

Если в маршруте документа в колонке "Совершить действие" прописано действие "Подписать ЭП", то пользователю с текущим статусом этапа необходимо будет совершить подписание сертификатом.

![Маршрут документа до подписания](media/openRoute.png)

При нажатии на кнопку **Отправить** открывается всплывающее окно "Отправить документ далее по маршруту". В нём необходимо выбрать действие ("Статус этапа", который проставится после отправки документа далее по маршруту): **Подписан ЭП**, **Отказ ЭП, далее** или **Отказ ЭП, аннулировать**. В таблице, расположенной под списком статусов, можно проверить список вложений документа. 

Также доступно для заполнения текстовое поле "Комментарий". В случае, если был выбран вариант **Подписан ЭП**, то поле "Комментарий" заполнять необязательно.

![Окно выбора действия с документом](media/toSend.png)

Для подписания документа электронной подписью необходимо выбрать статус **Подписан ЭП** и нажать на кнопку **ОК**. 

После подписания в маршруте **Статус этапа** сменяется на "Завершен", а **Статус документа** – на "Подписан ЭП".

![Изменения в маршруте после подписания ЭП](media/signed.png)

## Отказ от подписания

В системе предусмотрен случай, когда сотрудник может отказаться подписывать документ. 

Если выбран статус **Отказ ЭП, далее**, то документ не будет подписан сотрудником и отправится далее по маршруту. Если выбран статус **Отказ ЭП, аннулировать**, то документ не будет подписан и маршрут перестроится следующим образом: документ отзывается с согласования у других участников и переходит на новый и последний этап к инициатору для ознакомления.

![Окно выбора действия с документом при отказе от подписания](media/toSendRejectFurther.png)

При этом поле "Комментарий" становится обязательным, а под этим полем добавляется опция "Ознакомиться с актом отказа от подписания". Если опция выбрана, то файл, который генерируется при отказе от подписания, будет предложено сохранить на устройстве пользователя для дальнейшего ознакомления. После этого будет предложено ввести код подтверждения операции подписания документа об отказе. 

![Пример акта об отказе от подписания](media/cancAct.png)

Если выбран статус **Отказ ЭП, далее**, то после ввода кода подтверждения в маршруте **Статус этапа** сменяется на "Завершен", а **Статус документа** – на "Отказ ЭП, далее". Остальные участники маршрута действуют в обычном порядке.

![Изменения в маршруте после Отказа ЭП, далее](media/rejectedFurther.png){: .zoom}

При желании сделать недействительным документ, например, из-за отсутствия подписи одного из участников маршрута следующие участники могут выбрать статус **Отказ ЭП, аннулировать**. Тогда после подписания в маршруте **Статус этапа** сменяется на "Завершен", а **Статус документа** – на "Отказ ЭП, аннулирован". Следующие этапы пропускаются и документ переходит на новый и последний этап к инициатору для ознакомления.

![Изменения в маршруте после Отказа ЭП, аннулирования](media/rejectedAnnul.png){: .zoom}

## Вложения

У документа имеются вложения, которые можно открыть по кнопке "Вложения" на панели инструментов.

При подписании сертификатом документа подписываются также и **все** его вложения (кроме актов отказа, которые подписываются, когда выбирают статус "Отказ ЭП"), включая разные версии одного и того же файла. Функция выгрузки файлов и подписей одним архивом позволяет экспортировать архив с подписями к себе на рабочее место.

Экспортировать подписи с документами можно по кнопке **Скачать архив с ЭП** после того, как маршрут завершен.

![Вложения](media/attachmentExample.png){: .zoom}

В скачанном архиве содержатся подписываемый файл и подписи.

![Архив](media/attachmentSignsExample.png){: .zoom}

## Подписание документа КЭП на токене

Если в действии указано "Подписание КЭП", то использование сертификата квалифицированной электронной подписи (КЭП) обязательно, при помощи облачного сертификата (УНЭП) подписать не получится. 

На рабочем месте пользователя, который подписывает КЭП, должен быть запущен CSPServer и вставлен токен, а пользователь должен выбрать активный сертификат для подписания на панели "Документооборот", вкладке "Электронные подписи".

![Выбор КЭП](media/pickCert.png)

В остальном подписание КЭП не отличается от подписания документов [сертификатом УНЭП](#подписание).

## Массовая обработка документов

Перейдите в документооборот и нажмите кнопку развернуть

![Окно документооборота](media/workflowWindow.png){: .zoom}

В окне документооборота выберите заявления, которые необходимо обработать, и нажмите "Массовая обработка"

![Массовая обработка](media/documentProcessing.png){: .zoom}

Выйдет уведомление о количестве документов, которые не подлежат обработке посредством данной кнопки, и причина невозможности обработки,а также сколько документов будет обработано и какой статус будет присвоен данным документам. Рекомендуется не обрабатывать большое количество документов, а разделить обработку например по 20 документов за одну операцию. Обработка документов происходит без открытия их в отдельных вкладках.

![Уведомление](media/push.png)

При нажатии на кнопку выполняется следующая последовательность действий: 

* Система анализирует все документы, находящиеся на обработке у пользователя с учетом ограничений. 
* Для группы документов, которые разрешено массово обработать, операция выполняет движении документа далее по маршруту с тем статусом, который назначен для массовой обработки для данного вида действия; выполняет при необходимости закрытие этапа либо закрытие маршрута. Если документ поступил посредством списка рассылки - система закрывает элемент, соответствующий пользователю в списках рассылки. Статус присваивается из "Статус по умолчанию" из настройках документов.
* По завершению всех операций выполняется обновление списка текущих задач с учетом обработанных документов.

По окончании обработки выйдет уведомление о завершении обработки документов.

![Уведомление об успешном завершении](media/successfulEnding.png)