# "Подразделения"

## Общее описание назначения справочника

Справочник – это документ, предназначенный для использования в других документах в качестве значений их полей.

Справочник "Подразделения" предназначен для хранения в системе основных данных по подразделениям компании (как действующим, так и прекратившим свое действие) с учётом древовидной структуры подразделений.

## Реестр

Для входа в документ необходимо в меню в группе "Кадры" выбрать пункт "Подразделения". Для доступа к документу нужны права администратора.

![Рисунок 1 Меню](./media/menu.png)

Откроется реестр подразделений.

![Рисунок 2 Пример реестра подразделений](./media/registry.png){: .zoom}

Для создания нового документа необходимо нажать на кнопку "Создать" на верхней панели инструментов.

![](./media/create.png)

## Документ

Пример заполненного документа "Подразделение" выглядит следующим образом: 

![Рисунок 3 Пример документа "Подразделение"](./media/docExample.png){: .zoom}

Обязательными полями для заполнения являются полное и краткое наименования подразделения (отмечены символом *) и "Родитель в обозревателе". 

Если необходимо назначить временного руководителя подразделения или руководитель подразделения уже имеет прикрепление к другому подразделению, необходимо указать его в поле "Руководитель". Пользователь из этого поля будет подставляться в качестве руководителя подразделения при создании динамического маршрута вместо руководителя.

Если известны даты, когда подразделение начало свою деятельность и/или прекратило её, рекомендуется заполнить поля "Период действия с" и/или "по". Если подразделение считается действующим и дата его закрытия не определена, рекомендуется полю "по" присвоить значение "01.01.2099". В случае, если конец периода действия подразделения приходится на уже прошедшую дату, подразделение будет скрыто и недоступно для выбора на некоторых формах (в рамках логики работы организации).

Если подразделение (например, отдел) является частью или находится в подчинении другого подразделения, необходимо выбрать его из списка поля "Родитель в обозревателе".

**В качестве родительского подразделения можно указать только вышестоящее подразделение. Если оно находится на одном уровне с другими подразделениями, то поле нужно оставить пустым, тогда подразделение попадет в общую папку "Подразделения" (т.е. после сохранения документа, поле заполнится значением "Подразделения"**

!!!note
  
    В некоторых случаях самым вышестоящим подразделением указывается компания. В этом случае оно является родительским для всех головных подразделений и является корнем всей структуры подразделений. Это может пригодиться для таких случаев, когда требуется указать в качестве зоны распространения ЛНД или прав на документ все подразделения, а указывать каждое – слишком долго.

В случае, если подразделение – обособленное, необходимо перейти из вкладки "Основная" на вкладку "Реквизиты обособленного подразделения" и заполнить поля соответствующими реквизитами.

![Рисунок 4 Вкладка "Реквизиты обособленного подразделения"](./media/separateDepartmentProperties.png){: .zoom}