# Подтипы документов

## Общее описание назначения документа

Документы реестра "Подтипы документов" предназначены для организации различных шаблонов документов одного и того же типа. Например, для типа документа "Заявление от сотрудника" может быть несколько подтипов: "Заявление на отпуск без сохранения ЗП", "Заявление на ежегодный отпуск", "Заявление на совмещение" и т.д.

## Реестр

Для открытия реестра перейдите Меню - Администрирование -Управление процессами -  Подтипы документа.

Откроется реестр документов.

![Рисунок 2 Реестр "Подтипы документов"](./media/registry.png){: .zoom}

Для создания нового документа необходимо нажать на кнопку "Создать" на верхней панели инструментов

![](./media/create.png)

## Документ

### Вкладка "Настройки"

Настройки для документа "Подтип" выглядят следующим образом: 

![Рисунок 3 Пример документа "Подтип "Заявление на отпуск без содержания" к документу "Заявление от сотрудника""](./media/docExample.png){: .zoom}

Обязательными полями для заполнения являются поля **Наименование**, соответствующее наименованию подтипа документа, **Использовать в документе**, задающее тип документа, к которому будет относиться создаваемый подтип и **Кодификатор минтруда**, соответствующий код документа согласно классификатору Министерства труда.

Поле **"Служебное наименование"** является необязательным. При его заполнении **специальные** служебные наименования подключают функции проверок и вычислений. Список специальных служебных наименований приведен в таблице соответствия подтипа документа и служебного наименования.

Таблица соответствия подтипа документа и служебного наименования:

Наименование подтипа документа | Служебное наименование | Использовать в документе
-------------------------------|------------------------|---------------------------
Запрос на изменение персональных данных | ChangedPersonData | Заявление от сотрудника
Запрос на изменение ИНН | ChangedPersonDataINN | Заявление от сотрудника
Запрос на изменение СНИЛС | ChangedPersonDataSNILS | Заявление от сотрудника
Запрос на изменение/добавление данных паспорта | ChangedPersonDataPasport | Заявление от сотрудника
Запрос на изменение/добавление данных о военном билете | ChangedPersonDataArmy | Заявление от сотрудника
Запрос на добавление/изменение данных об образовании | ChangedPersonDataEducation | Заявление от сотрудника
Запрос на добавление/изменение данных о составе семьи | ChangedPersonDataFamily | Заявление от сотрудника
Приказ на отпуск без сохранения оплаты | DocumentForSigning_RP_OrderAdmin | Документ на подписание
Приказ о направлении в командировку | DocumentForSigning_RP_OrderTripLong | Документ на подписание
Приказ на отпуск | DocumentForSigning_RP_OrderVacation | Документ на подписание
Приказ на ученический отпуск | DocumentForSigning_RP_OrderVacationStudy | Документ на подписание
График Отпусков | DocumentForSigning_RP_Vacation | Документ на подписание
Табель учета рабочего времени | DocumentForSigning_RP_WorkTab | Документ на подписание
Расчетный лист | PaySlip | Документ на подписание
Типовая СЗ | TypicalSR | Служебная записка

В поле **"Кодификатор минтруда"** вносятся код документа (кадровых мероприятий) или иных сведений, связанных с работой, оформляемых в письменном виде, согласно [Приказа Минтруда России от 20.09.2022 № 578н](http://publication.pravo.gov.ru/Document/View/0001202209300050?index=0&rangeSize=1).

При помощи полей **"Действует с" и "по"** можно указать период времени, в течение которого данный подтип будет действовать в системе. По истечению заданного срока при создании документов данный подтип не будет предложен. Если даты в полях не указаны, то подтип считается бессрочным.

Опция **"Использовать по умолчанию"** отмечает тот подтип документа, который будет вставляться в соответствующее поле при создании документа автоматически. Поставить галочку в поле "Использовать по умолчанию" можно в том случае, если она не проставлена для другого подтипа того же типа документа. В противном случае при попытке сохранить документ операция не будет выполнена, и появится системное сообщение с предупреждением, что значение по умолчанию уже выбрано, с указанием, какой именно подтип документа выбран по умолчанию.

![Рисунок 4 Пример предупреждения](./media/warnExample.png)

### Вкладка "Право на создание документов с данным подтипом"

Если данный подтип документа создан для конкретного подразделения, то нужно указать это подразделение в таблице "Подразделение". Для этого нажать кнопку "+" (Добавить). В этом случае пользователям других подразделений он будет недоступен для выбора.

Также можно указать только пользователей, у которых будет возможность выбрать этот подтип документа. Для этого их нужно указать в таблице "Пользователи".

![Рисунок 5 Пример заполненной таблицы](../Подтипы документов/media/filledTable.png)

В данном примере указан что документ с данным подтипом  сможет создать любой пользователь, который находится в подразделении **"Канцелярия"** либо только пользователь **Кузнецова Анна Анатольевна** либо только пользователь имеющий роль hr_docflow_hr.

## Копировать права на подтипы

Чтобы скопировать разрешения настроенные для одного подтипа в другой подтип необходимо выбрать подтип документа на который необходимо настроить права, например "Методическое руководство" и нажать кнопку "Скопировать права".

![Копирование прав](media/copy.png)

Во всплывающем окне необходимо выбрать подтип с которого необходимо скопировать права, например "Карта процессов", и нажать "Ок".

![Выбрать подтип](media/selectType.png)

Права на подтип "Методическое руководство" скопируются и будут отображены в табличной части.

![Права](media/copyPrava.png)