# Сотрудники

## Общее описание назначения справочника

Справочник – это документ, предназначенный для использования в других документах в качестве значений их полей.

Работник или Сотрудник – субъект трудового права, физическое лицо, работающее по трудовому договору у работодателя и получающее за это заработную плату. Правовое положение работника определяется трудовым законодательством, трудовым и коллективным договорами, локальными нормативными актами организации. Работник имеет права и несет обязанности, установленные трудовым законодательством страны.

Справочник "Сотрудники" предназначен для ведения списка сотрудников, когда-либо принятых в компанию, а также их перемещений и записей об увольнении. Для доступа к справочнику пользователь должен обладать определенными правами.

## Реестр

Для входа в документ необходимо перейти Меню - Кадры - Справочники по учету физических лиц

Откроется реестр сотрудников, сгруппированных по текущему статусу.

![Рисунок 2 Пример реестра сотрудников](./media/registry.png){: .zoom}

<!-- ### Создание пользователя из реестра

В реестре опционально настроена возможность автоматического создания пользователей. Для этого выберите одного или несколько сотрудников и нажмите на кнопку **"Направить приглашение"**. При нажатии на данную кнопку автоматически запускается функция [планировщика](../../../../service/sheduler/Config.md) задач по [созданию пользователей](../../../../service/sheduler/TaskSheduler.md).  Для этого необходимо в учетной политике предприятия настроить константу **Задача шедулера "Создание пользователей"**. В столбце **"Значение (константа)"** в значении которой будет код данной функции планировщика.

![Константа](media/constant.png){: .zoom}

![Шедулер](media/sheduler.png){: .zoom}

Также необходимо настроить действия описанные в разделах ["Создание пользователей"](../../../../framework/User managment/Автоматическое создание пользователей/Автоматическое создание пользователей.md#создание_пользователей) и ["Уведомление пользователя о регистрации в системе"](../../../../framework/User managment/Автоматическое создание пользователей/Автоматическое создание пользователей.md#уведомление_пользователя_о_регистрации_в_системе). -->

Для создания нового документа необходимо нажать на кнопку "Создать" на верхней панели инструментов.

![](./media/create.png)

## Документ

Пример заполненного документа "Сотрудник" выглядит следующим образом:

![Рисунок 3 Пример документа "Сотрудник"](./media/docExample.png)

При создании документа можно выбрать из [списка существующих](../Физические%20лица/Физические%20лица.md) или создать новое физическое лицо. 

При заполнении поля **"─ Добавить:"** поля "Фамилия", "Имя", "Отчество" и "Наименование сотрудника" заполняются автоматически.

При заполнении поля **"Физ.лицо ─ Выбрать:"** кроме ФИО также заполняются ИНН, пол, дата рождения, СНИЛС, паспорт (в случае если эти данные были заполнены в справочнике [физического лица](../Физические%20лица/Физические%20лица.md).

![Рисунок 4 Пример создаваемого документа "Сотрудник"](./media/createExample.png)

Обязательными полями для заполнения являются поля, отмеченные символом *, а именно: Фамилия, Имя, Наименование сотрудника (заполняется автоматически при заполнении полей Фамилия, Имя, Отчество), Табельный №, Подразделение, Должность, Дата приема, Пол.

<!-- Рекомендуется к заполнению поле "*Пользователь Lexema.ru*" на вкладке "Сведения". -->

Поля "Подразделение" и "Должность" выбираются из соответствующих справочников(см. [Подразделение](../Подразделения/Подразделения.md) и [Должности](../Должности/Должности.md). В случае, если по указанным подразделению и должности не нашлась запись в справочнике "Штатные единицы", то новая штатная единица создастся автоматически (см. [Штатные единицы](../Штатные%20единицы/Штатные%20единицы.md)). Чтобы заполнить поле "Вид графика работы" необходимо заполнить справочник "Виды графиков работы".

Чтобы поле "Текущий статус" было заполнено, необходимо сохранить и обновить документ. 

Если заполнено поле "Увольнение: дата", то поле "Текущий статус" примет значение "Уволен". Пока поле "Увольнение: дата" остаётся незаполненным, текущий статус сотрудника остаётся "Принят". При заполнении даты увольнения учетная запись в Лексеме блокируется.

В поле **"Вид занятости"** выбирается один из трех основных видов работы: основное место работы, внутреннее совместительство и внешнее совместительство. **Основное место работы** означает, что сотрудник работает на полную ставку в данном подразделении, **внутреннее совместительство** - что сотрудник работает в данном подразделении на полную ставку и имеет еще одну работу в другом подразделении, а **внешнее совместительство** - что сотрудник работает в данном подразделении на неполную ставку и имеет еще одну работу в другом подразделении или организации. При выборе совместительства автоматически проставляется признак в соответствующем поле.

В случае если сотрудник принимается в компанию с испытательным сроком, то необходимо заполнить поле **"Испытательный срок (месяцев)"**. На проекте возможно настроить оповещения для ответственных лиц, которым будет приходит рассылка, о том что у сотрудника заканчивается испытательный срок. Для настройки необходимо обратиться к администратору системы.

В поле **"Материально ответственный"** указывается, является ли сотрудник материально ответственным путем проставления галочки. Материально ответственным лицом может быть сотрудник, у которого есть возможность распоряжаться материальными ценностями, находящимися на балансе организации. Материальная ответственность представляет собой обязанность возместить ущерб, причиненный материальными ценностями, за которые сотрудник несет ответственность.

В документе содержатся 2 вкладки: "Сведения" и "Спецодежда"

### Сведения {#mainInfo}

На вкладке "Сведения" содержатся реквизиты документов, сведения о поле и дате рождения, а также поля для привязки данных сотрудника к пользователю и контактные данные.

Поля "Логин", "Адрес эл/почты", "Телефон: мобильный" и "Внутренний" заполнятся автоматически если сотрудник присутствует в системе как пользователь.

![Рисунок 5 Пример вкладки "Сведения"](./media/mainInfo.png)

Если в проекте применяется система кадрового электронного документооборота (далее КЭДО), то сотруднику необходимо принять решение о согласии или отказе от использования этой системы.  

Если сотрудник дал согласие то в поле **"Дата перехода на КЭДО"** указывается дата согласия. На проекте возможно настроить, чтобы при незаполненной дате перехода, у данного сотрудника будет стоять запрет на создание документов в системе, а также ему не будут поступать различные документы на ознакомление. Для настройки необходимо обратиться к администратору системы.

<!-- Также на проекте возможно настроить автоматическое проставление даты согласие на КЭДО всем у кого она отсутствует. По функции планировщика задач [Установка даты перехода на КЭДО принятым сотрудникам](../../../../service/sheduler/TaskSheduler.md) cистема проверяет на текущий день всех новых сотрудников, у которых присутствует логин, но отсутствует дата перехода на КЭДО. В настройках учетной политики должна быть настроена константа **Дата_принятия_положения_КЭДО** с заполненным значением текст (например 09.09.2022). По указанной дате система определяет сотрудников,у которых дата приема больше, чем дата из константы и по таким сотрудникам устанавливает дату перехода на КЭДО равную дате приема. -->

![КонстантаКЭДО](media/constantKEDO.png){: .zoom}

Если сотрудник отказался от работы в системе КЭДО то в поле **"Дата отказа на КЭДО"** указывается дата отказа.

### Спецодежда

Если к системе подключён складской учёт и по должности сотруднику полагается выдача спецодежды, для него указываются размеры одежды, обуви, головного убора и др. на вкладке "Спецодежда". Данные о размере указываются при приеме на работу или при изменении размеров сотрудника. По размерам спецодежды подбирается спецодежда на складе.

![Рисунок 6 Пример вкладки "Спецодежда"](./media/wearInfo.png)ы