# Физические лица

## Общее описание назначения справочника

Справочник – это документ, предназначенный для использования в других документах в качестве значений их полей.

Физическое лицо – это человек, который выступает в качестве субъекта правоотношений.

Справочник физических лиц предназначен для ведения списка людей, когда-либо принятых в компанию, и их персональных данных. К каждому сотруднику привязывается физическое лицо, при этом одно и то же физическое лицо может быть привязано к нескольким сотрудникам одновременно.

## Реестр

Для входа в документ необходимо в меню в группе "Кадры" выбрать пункт "Физические лица".

Откроется реестр физических лиц, сгруппированных по текущему статусу.

![Рисунок 2 Пример реестра физических лиц](./media/registry.png){: .zoom}

Для создания нового документа необходимо нажать на кнопку "Создать" на верхней панели инструментов.

![](./media/create.png){: .center}

## Документ

Пример заполненного документа "Физическое лицо" выглядит следующим образом:

![Рисунок 3 Пример документа "Физическое лицо"](./media/docExample.png){: .zoom}

Доступны 2 вкладки: "Сведения" и "Контакты".

Обязательными полями для заполнения являются поля, отмеченные символом *, а именно: Фамилия, Имя, Пол и Дата рождения на вкладке "Сведения". 

Рекомендуется к заполнению поля ИНН и Склонения ФИО на вкладке "Сведения", а также таблица на вкладке "Контакты".

Для кадровиков в документе доступны 13 вкладок: "Сведения", "Адреса", "Документы", "Контакты", "Семья", "Образование", "Ученые степени", "Ученые звания", "Языки","Воинский учет", "Особая категория", "Счета", "Трудовые договоры". Для предоставления прав на эти вкладки необходимо обратиться к администратору системы.

### Сведения

На вкладке "Сведения" содержатся поля для основных данных о человеке: Фамилия, Имя, Отчество (при наличии), автоматически заполняемое из первых трех Краткое ФИО, Пол, Дата рождения, реквизиты документов (ИНН, СНИЛС), Склонения ФИО.

Если при создании сотрудника выбрать физическое лицо, большая часть этих сведений автоматически вставится в соответствующие поля в документе "Сотрудник".

Чтобы заполнить некоторые поля, необходимо заполнение соответствующих справочников. Добавить новые значения в справочники Гражданство, Статус застрахованного лица, Статус налогоплательщика можно прямо из документа "Физическое лицо" с помощью кнопки <img src="../media/createDoc.png"> рядом с выпадающим списком. 

![Рисунок 4 Пример добавления вида гражданства](./media/citizenship.png){: .zoom}

**Для корректного формирования сертификата подписи и заполнения автоматических полей в некоторых документах необходимо ввести варианты склонений ФИО физического лица по падежам. Система предлагает варианты заполнения склонений ФИО. Необходимо проверить и при необходимости внести изменения.** На случай, если содержание автоматически заполненных полей со склонениями ФИО было изменено, для быстрого их заполнения справа от полей для ввода располагаются кнопки, подписанные предлагаемыми системой вариантами.

![Рисунок 5 Пример заполнения "Склонения ФИО"](./media/casesInfo.png){: .center}

### Контакты {#Контакты}

На вкладке контакты содержится таблица, предназначенная для хранения как стандартных контактных данных, так и заданных заполняющим документ пользователем дополнительно. Важным для заполнения является такой вид контакта как "Логин". 

![Рисунок 6 Пример вкладки "Контакты"](./media/contactsInfo.png){: .zoom}

!!!warning
        К одному физическому лицу может быть привязан только один логин.

Стандартные контактные данные добавляются при помощи нажатия на кнопку <img  src="../media/add.png" alt="Добавить">. Каждый раз при нажатии на кнопку в таблицу вставляется новая строка, причем в первых восьми строках вид контактных данных будет заполняться автоматически. Начиная с девятой строки ячейка "Вид" остается пустой, чтобы ее заполнить, необходимо выбрать одно из значений из выпадающего списка. Таким образом можно оставить запасные контактные данные для любого из видов.

![Рисунок 7 Пример вкладки "Контакты" со всеми видами](./media/contactsInfoFull.png){: .zoom}

Заполнение каждой строки не является обязательным. Можно как менять виды уже добавленных строк, так и удалять лишние (незаполненные) строки из таблицы.

При работе с Электронными подписями к физическому лицу **обязательно** должен быть привязан логин, присвоенный в системе. 

<!-- ### Доступ ко вкладкам

Пользователям, у которых настроены определенные права, открывается доступ к определенным вкладкам в данной форме: 

**Вкладка** | **Роль**
--------|-----
**_Доступ ко всем вкладкам_** | **administrator_rp_person**
Адреса | rp_person_address
Воинский учет | rp_person_military
Документы | rp_person_certificate
Контакты | rp_person_contact
Образование | rp_person_education
Особая категория | rp_person_disable
Семья | rp_person_family
Сотрудники | rp_person_worker
Счета | rp_person_banks
Трудовые договоры | rp_person_contract
Ученые звания | rp_person_ranks
Ученые степени | rp_person_degrees
Языки | rp_person_language -->

<!-- О том как назначить роль пользователю можно прочитать в разделе ["Назначение ролей"](../../../../framework/User managment/Регистрация пользователей/Регистрация пользователей.md#roles) -->

<!--### Адреса

Заполнение вкладки адреса аналогично заполнению вкладки [Контакты](#Контакты). Однако для заполнения ячейки "Вид" необходимо заполнение справочника "Виды адресов".

![Рисунок 8 Пример вкладки "Адреса" со всеми видами](./media/addresses.png){: .zoom}

### Документы

Заполнение вкладки адреса аналогично заполнению вкладки [Контакты](#Контакты). Однако для заполнения ячейки "Вид" необходимо заполнение справочника "Виды документов, удостоверяющих личность".

![Рисунок 9 Пример вкладки "Документы" со всеми видами](./media/documents.png){: .zoom} -->