# Работа с документами в мобильном приложении

## Подписание/согласование заявлений

Для согласования/подписания различного рода документов, на главной странице нажать на кнопку "Обработать документы", далее перейдите в необходимую группу документов, например, "Заявления".

![Группы документов](media/image1.png)

Откроется реестр заявлений, поступивших на согласование.

![Заявления от сотрудника](media/image2.png)

Внутри заявления будет находиться информация по данному заявлению, а именно: сформированный в формате pdf/A файл заявления, данные, текст и маршрут документа.

![Заявление](media/zayvlenie.png)

Чтобы подписать заявление нажмите кнопку "Подписать ЭП". В появившемся окне при необходимости можно указать комментарий к данному документу.

![Подписан ЭП](media/podpisan.png)

После подписания произойдет автоматическое перенаправление на группу документов "Заявления".

## Ознакомление с ЛНД

Для ознакомления с локально-нормативными документами перейдите в соответствующую группу во вкладке "На обработку"

![ЛНД](media/lnd.png)

Откроется реестр локально-нормативных документов, с которыми необходимо ознакомиться. Из реестр необходимо выбрать необходимый документ.

![Реестр](media/reestr.png)

Внутри документа во вложении будет находиться локально-нормативный документ с которым необходимо ознакомиться, данные по документу (автор, дата составления и т.д), а также маршрут согласования. Чтобы ознакомиться с документом, нажмите кнопку "Подтвердить ознакомление" в панели инструментов.

![Ознакомление](media/oznakomlenie.png)

После подписания произойдет автоматическое перенаправление на группу документов "Локально-нормативный документ". Чтобы ознакомленный документ исчез из реестра ЛНД, обновите страницу движением сверху вниз.

## Скачивание архива с электронными подписями

При подписании сертификатом документа подписывается сформированный файл во вложении (кроме актов отказа, которые подписываются, когда выбирают статус "Отказ ЭП"), включая разные версии одного и того же файла. Функция выгрузки файлов с информацией о подписании одним архивом позволяет экспортировать архив с подписями к себе на рабочее место.

### Для смартфонов на Android

Для того, чтобы загрузить архив с электронными подписями, во вкладке "История" выберите необходимое заявление, во вкладке "Вложения" нажмите "Скачать архив".

![Скачать архив](media/arhive.png)

В появившемся всплывающем окне можно выбрать действие, которое можно совершить с данным архивом: отправить через мессенджеры, сохранить на смартфон, отправить по почте и тд.

![Сохранить](media/share.png)

Чтобы скачать архив на смартфон, необходимо выбрать "Копировать в...",  в открывшемся менеджере файлов указать папку куда необходимо скопировать данный архив и нажать "Вставить", например в папку "Download".

![Копирование](media/copy.png)

Перейдите в менеджер файлов в папку, в которую был сохранен архив. Нажмите на него и выберите извлечение, например, "Извлечь в текущую папку"

![Извлечь архив](media/izvlech.png)

В списке файлов появится разархивированная папка, в которой будет находиться: сформированное заявление в pdf/A, и электронные подписи пользователей, которые подписали данный документ.

![Папка](media/papka.png)

### Для смартфонов на IOS

Для того, чтобы загрузить архив с электронными подписями, во вкладке "История" выберите необходимое заявление, во вкладке "Вложения" нажмите "Скачать архив".

![Скачать архив](media/arhive.png)

В появившемся всплывающем окне выберите действие с данным архивом, например, "Сохранить в "Файлы".

![](media/iosArhive.png)

Выберите место куда сохранить архив, например, на iCloud Drive и нажмите "Добавить"

![](media/iosArchSave.png)

На смартфоне откройте приложение "Файлы". В приложении будет архив. Для просмотра архива нажмите на него и выберите "Просмотреть содержимое". Откроется заполненный бланк заявления, чтобы просмотреть другие файлы проведите по экрану смартфона справа налево.

![](media/icloud.png)
![](media/view.png)