# Мобильное приложение

## Общая информация

Для доступа к сайту с мобильного устройства существует мобильное приложение для операционных систем Android и iOS. Чтобы скачать приложение, перейдите в магазин приложений (AppStore или Google Play) на вашем смартфоне. Либо нажмите на виджет **QR для подключения** в панели виджетов.

![QR](media/qr.png)

Откроется новая вкладка в которой будут QR-коды для скачивания мобильных приложений.

![QR](media/qrMobile.png)

Также в данной вкладке отображается QR для установки соединения между приложением и сайтом, который потребуется [далее](#конфигурация).

## Конфигурация

После успешной установки приложения на мобильное устройство потребуется установить соединение между приложением и тем сайтом, к которому будет подключаться пользователь. Чтобы получить информацию о сайте, используется подключение к системе при помощи QR-кода. Для этого необходимо вначале настроить подключение по QR -коду. Как это сделать можно прочитать в подразделах [по настройке Android](#подключение_к_системе_для_смартфонов_на_базе_android) и [по настройке IOS](#подключение_к_системе_для_смартфонов_на_базе_ios).

Открыть приложение Лексема-ECM на телефоне. Нажать "Конфигурация"

![Лексема-ЕСМ](./media/image10.png)

В результате откроется приложение «Камера» и программа запросит считать QR -код

![Лексема-ЕСМ](./media/image11.png)

Навести камеру на ранее открытый QR-код. Система считает настройки подключения и покажет, к какому сайту приложение подключилось. Нажать ОК и ввести логин-пароль.

![Конфиг](media/image12.png)

## Подключение к системе для смартфонов на базе Android

Зайдите в приложение. Нажмите на кнопку "Конфигурация". Далее нажмите кнопку "Дать разрешение", во всплывающем окне выйдет уведомление о разрешении приложению снимать фото и видео, нажмите "При использовании приложения".

![Разрешение](media/razreshenieAndroid.png)

![Разрешение](media/razreshenieAndroid2.png)

<!-- 1. В телефоне нужно перейти в Настройки -> Приложения. В зависимости от ОС может называться по-другому, например, "Управление приложениями"

![Настройки телефона](./media/image1.png)

2. Среди приложений находим **Лексема-ECM**

![Приложения](./media/image2.png)

3.Перейти в приложение Лексема-ЕСМ, далее - в раздел «Разрешения»

![Разрешения приложения](./media/image3.png)

4. Будет написано, что разрешения не предоставлены. Нажимать на слово «Камера»

![Разрешения приложения](./media/image4.png)

5. Внутри выбрать пункт «Разрешить только во время использования приложения». После этого
вернуться назад ("Стрелка назад")

![Разрешения приложения](./media/image5.png)

6. Выбрать пункт «Память»

![Разрешения приложения](./media/image6.png)

7. Выбрать «Разрешить доступ к медиа-файлам». После этого вернуться назад ("Стрелка назад")

![Разрешения приложения](./media/image7.png)

В результате этих действий должно быть написано «Разрешено – Камера, Память".

![Разрешения приложения](./media/image8.png) -->

## Подключение к системе для смартфонов на базе IOS

Зайдите в приложение. Нажмите на кнопку "Конфигурация". Далее нажмите кнопку "Дать разрешение", во всплывающем окне выйдет уведомление что программа запрашивает доступ к "Камере", нажмите "Разрешить".

![IOS](media/ios.png)
