# Главная (стартовая) страница

## Общий вид

После прохождения авторизации в системе откроется стартовая страница.

![Главная страница](media/driverAuto.png)

Для пользователей с более широким доступом рабочее меню видоизменяется

![Главное с развернутым окном](media/hrDirector.png)

![Домик](media/home.png) - переход на главную страницу сайта, из любого места системы

![Инфо](media/info.png) - значок, сигнализирующий о различных уведомлениях системы

![Вопрос](media/vopros.png) - открывает справку по работе в системе

![Обновить](media/obnovit.png) - обновить текущую страницу, кнопка представлена в каждом реестре документов

<!-- ![Поиск](media/poisk.png) - [контекстный поиск](../../Поисковая система/kontekstpoisk.md) по всей системе -->

![Меню пользователя](media/menuUser.png)

В данном меню возможно [переключение](../../Руководство для руководителя/Функция замещения/Функция замещения.md) между юридическими лицами/замещением, просмотр версий [библиотек](../../FAQ/FAQ.md#версии_библиотек_установленные_на_проекте) установленные на проекте, личные данные о пользователе (логин, ФИО, смена телефона или пароля)

Рабочее окно "Меню" может иметь вид плиточного меню. **Плиточное меню** - это настраиваемое меню, в котором в качестве пунктов используются ячейки с подписанными иконками. Данное плиточное меню одинаково для всех пользователей, которые его видят. Эти формы не откроются у пользователя, если он не обладает нужными правами. Плиточное меню не закрывает доступ к основному меню. 

![Плиточное меню](media/plitka.png)

Для того чтобы перейти на начальную страницу – главную форму из любого документа, необходимо нажать на логотип:

![Логотип](media/logo.png)

<!-- ## Меню

В окне **Меню** отображаются все доступные для создания, чтения или редактирования пользователю документы:

![Мои Документы (Меню)](media/mydocs.png)

!!!note

    Список доступных документов зависит от того, какие права в системе есть у конкретного пользователя.

При нажатии на виджет "Папка", расположенный на левой вертикальной панели управления, открывается меню, в котором можно выбрать необходимый документ для работы.

![Виджет "Папка"](media/widgets.png)

Для поиска документа можно воспользоваться строкой поиска:

![Поиск](media/menuSearch.png)

## Часто посещаемые

В окне **Часто посещаемые** приводится до восьми иконок со ссылками на наиболее часто посещаемые аналитические формы (зелёные иконки) и/или реестры (оранжевые иконки).

![Часто посещаемые](media/ratingForm.png)

Чтобы удалить ссылку на форму, необходимо навести курсор на иконку. В правом верхнем углу появится крестик, с помощью которого удаляется ссылка из списка часто посещаемых.

![Удаление ссылки на форму из Часто посещаемых](media/ratingFormItem.png)

Чтобы свернуть окно часто посещаемых, необходимо нажать на кнопку ![мин](media/toMinimize.png) -->

## Документооборот

<!-- Для того чтобы открыть окно "Документооборот", необходимо перейти на главную страницу, либо нажать на виджет "Конверт", расположенный на левой вертикальной панели управления.

![Конверт](media/widgets.png) -->

Окно **Документооборот** является основным рабочим инструментом. Панель документооборота позволяет инициатору оперативно отслеживать статус согласования документов и отображает документы, которые необходимо согласовать, массово обработать документы, а также выбирать сертификат ЭП, при помощи которого будут подписываться документы. В этой панели всем пользователям СЭД Лексема доступны следующие разделы: Входящие, Исходящие, Контроль, Электронные подписи, История.

![Документооборот](media/docflowForm.png)

<!-- На левой вертикальной панели управления из любой открытой формы доступен виджет, который откроет окно документооборота в качестве всплывающего окна. Иконка виджета – в форме конверта с количеством документов на обработку.

![](media/docflowNumber.png) -->

Чтобы развернуть окно "Документооборот" на весь экран, нажмите кнопку ![Развернуть](media/toMinimize.png)

![Развернуть](media/razvernut.png)

При наличии определенных прав, при включении опции "Суперзамещение" в панели инструментов, у пользователя в документообороте будут отображаться документы пользователей, которых он замещает. Для этого необходимо нажать на соответствующую кнопку.

![Супер](media/super.png)

В табличной части в столбце "Кому" отображается получатель документа.

![Получатель](media/poluchatel.png)

Для того, чтобы обработать документ замещаемого пользователя и отправить его далее по маршруту, нужно перейти в форму документа, кликнув по нему.

В данном окне также можно обработать и просмотреть содержимое документов без их открытия в новой вкладке, а также [массово обработать документы](../../КЭДО/Подписание сертификатом/Подписание сертификатом.md#массовая_обработка_документов)

![Развернутое окно](media/documentRazv.png){: .zoom}

### Раздел "Входящие"

![Обработка](media/docflow1.png)

В этом разделе отображается список документов, поступивших на обработку (на согласование, подписание, ознакомление, регистрацию и т.д.). Все документы в этом списке разделены по цветам:

- серым цветом окрашиваются документы, которые поступили на обработку, но еще не были просмотрены;

- белым цветом окрашиваются документы, которые были просмотрены, но не обработаны. Срок обработки по таким документам еще не просрочен;

- желтым цветом окрашиваются документы, срок обработки по которым просрочен.

Столбцы можно перемещать по мере необходимости, для этого необходимо:

* Выбрать необходимую колонку левой кнопкой мыши;
* Перетащить в необходимое место.

![Столбец](media/stolbec.png)

При наличии определенных прав, при включенной опции ["Суперзамещение"](#документооборот) у пользователя в документообороте будут отображаться документы пользователей, которых он замещает. В табличной части в столбце "Кому" отображается получатель документа.

![Получатель](media/poluchatel.png)

При нажатии на ссылку в поле "Документ" откроется новая вкладка под замещением того пользователя, который отображается как получатель документа:

![Замещение](media/replacement.png)

Данный режим – автоматически включается на период замещений, который указывается в форме ["Замещаемые"](../../Руководство для HR/Управление пользователями/Управление пользователями.md#замещаемые). По окончанию периода замещения режим автоматически отключается.

Для того, чтобы обработать документ замещаемого пользователя и отправить его далее по маршруту, нужно перейти в форму документа, кликнув по нему. Подробнее об функции замещения можно ознакомиться в соответствующем [разделе](../../Руководство для руководителя/Функция замещения/Функция замещения.md).

### Раздел "Исходящие"

![Исходящие](media/docflow2.png)

В этом разделе отображаются документы Инициатора, которые были отправлены по маршруту, но сам маршрут еще не завершен.

### Раздел "Контроль"

<!-- При отсутствии документов на контроль вкладка "Контроль" автоматически скрыта из панели документооборота. -->

<!-- Для этого должна быть константа СЭД_скрывать_вкладку_контроль_если_нет_задач -->

![Нет контроля](media/noControl.png)

Чтобы поставить документ на контроль, необходимо в документе, который необходимо поставить на контроль нажать на кнопку "На контроль" в панели инструментов.

![Рисунок Контроль документа](media/image6.png)

В открывшемся окне необходимо выбрать контрольную дату и время в поле «Установите контрольную дату» и нажать на кнопку «Ок». В системе появится уведомление что документ поставлен на контроль.

![Дата контроля](media/dateControl.png)

![Уведомление](media/push.png)

В результате текущий документ появится во вкладке на контроль.

![Рисунок Пример отражения задачи пользователя на контроле](./media/image7.png)

В таблице отображаются основные сведения по документу.

Снять документ с контроля можно двумя способами:

* Во вкладке "Контроль" выбрать документ и нажать кнопку "Снять".

![Снять с контроля](media/snyatControl.png)

* Открыть документ, который находиться на контроле и нажать кнопку "С контроля" в панели инструментов"

![Снять с контроля](media/snyatControl2.png)

Если по истечению срока контроля маршрут документа не завершен, документ подкрашивается в желтый цвет и считается просроченным.

В данном разделе можно проставить признак документа, поставленного на контроль.

![](media/image79.png)

Признак документа можно выбрать из предложенного списка, который формируется в документе-справочнике "Признак документа". Например, в данном случае имеются такие признаки документа:

![Список возможных признаков документа](media/image80.png)

!!!note

    Справочник содержит следующие признаки документа:

    - Срочный;
    - Несрочный;
    - Нет (признак необходим для того, чтобы визуально красиво смотрелась группировка по признаку);
    - У делегата (признак необходим для тех документов, которые находятся на виртуальном контроле).

Необходимые действия для **группировки** по колонке "Признак документа":

- Взять необходимую колонку левой кнопкой мыши.
- Перетащить в место "Перетащите сюда колонку для группировки по ней".
  
![](media/Docflow3groupby.png)

Сгруппированные строки по колонке "Признак документа" выглядят так:

![](media/image86 - 2.png)

Если по истечению срока маршрут документа не завершен, документ окрашивается желтым цветом.

### Раздел "Электронные подписи"

![](media/CertExample.png)

Данный раздел позволяет создать сертификат электронной подписи (ЭП), просмотреть основную информацию о загруженных в систему сертификатах пользователя и выбрать действующий, если их несколько. Подписание документов будет производиться с помощью того сертификата, у которого в столбце "Выбрать" стоит галочка. Для успешного подписания документов необходимо, чтобы один из сертификатов был выбран.

Более подробно про создание сертификата ЭП и информацию в таблице сертификатов можно прочесть в разделе [Выпуск облачной неквалифицированной электронной подписи в Lexema-ECM пользователем](../../Руководство линейного сотрудника/Самостоятельное получение сертификата ЭП/Самост получ ЭП.md).

При превышении количества сертификатов кнопка "Выпустить сертификат электронной подписи" скрывается.

![Нет кнопки](media/noButton.png)

### Раздел "История"

На данной вкладке отображаются все документы сотрудника. Подробнее о данной форме можно ознакомиться в статье ["История операций"](../../СЭД/История операций/История операций.md).

![История](media/history.png)

## Панель с виджетами

В левой вертикальной панели инструментов находятся виджеты для быстрого перехода к документам. Панель отличается в зависимости от наличии прав у пользователя. Панель может выглядеть следующим образом:

![Виджеты](media/vidjety.png)

- **Создать заявление** - открывается форма [заявления](../../КЭДО/Заявления от сотрудников/Заявления от сотрудников.md)

![Заявление](media/zayvlenie.png)

- **В мой личный кабинет** - открывается [личный кабинет сотрудника](../../Руководство линейного сотрудника/Профиль сотрудника/Профиль сотрудника.md)

![Профиль](media/profil.png)

- **Написать в техподдержку** - открывается окно для отправки [заявки в техподдержку](../../Руководство линейного сотрудника/Заявка в техподдержку от пользователя/Заявка в техподдержку от пользователя.md).

![Заявка в техподдержку](media/tehpodderzhka.png)

- **В личный кабинет HR** - открывается [личный кабинет HR](../../Руководство для HR/Личный кабинет HR/Личный кабинет HR.md)

![HR](media/cabinetHR.png)

- **QR-код для подключения** - открывается отдельная вкладка с QR кодами для скачивания [мобильного приложения](../Мобильное приложение/Мобильное приложение.md) и [авторизации](../Мобильное приложение/Мобильное приложение.md#конфигурация). в мобильном приложении.

![QR](media/qr.png)


- **В личный кабинет руководителя** - открывается [личный кабинет руководителя](../../Руководство для руководителя/Личный кабинет руководителя/Личный кабинет руководителя.md)

![Кабинет руководителя](media/cabinetRuk.png)

<!-- - **Документооборот** - открывается отдельное окно [документооборота](#документооборот)

- **"Анализ просроченных документов"** при нажатии откроется отчетная форма [Анализ просроченных документов](../../СЭД/analiz.md#анализ_просроченных_документов).

![Анализ](media/analiz.png) -->

<!-- - **"Загрузка справочников из 1С"** и **"Обмен данными с 1С"** запускаются одноименные задачи в планировщике задач.

- **Система обучения** - открывается отдельное окно [системы обучения](../../../Admin manuals/СДО/Система обучения/Система обучения.md). -->