# Рассылки системы

## Описание

В данной статье описаны типы рассылок, которые присутствуют в системе и способы их настройки. В качестве каналов оповещения могут быть использованы: электронная почта, мессенджер Telegram, SMS-сервис. 

### Виды рассылок

#### **О поступлении документа на обработку** 

Оповещения направляются пользователю при каждом поступлении документа на обработку.  

![Оповещение о поступлении документа на обработку](media/О поступлении документа на обработку.png)

#### **Оповещение замещаемому сотруднику** 

Оповещения направляются пользователям, у которых настроено [замещение](../Руководство для руководителя/Функция замещения/Функция замещения.md).

![Замещение](media/Оповещение замещаему сотруднику.png)

<!-- #### **Оповещение инициатору по окончанию согласования документа по маршруту** 

Оповещения направляются инициатору документа по окончанию согласования документа по маршруту. В качестве канала оповещения используется электронная почта. Для получения оповещений необходимо в [настройке документов](../Настройка документов/Настройка документов.md#опции) включить опцию "Оповещать инициатора".

![Оповещать инициатора](media/Оповещать инициатора.png)
![Оповещение инициатору](media/Оповещение инициатору по всем действиям по маршруту.png) -->

#### **Зависшие документы на этапе инициирования** 

Оповещения направляются инициатору документа, когда инициатор создал документ, но не запустил его дальше по маршруту. 

![Зависший документ](media/Зависшие документы на этапе инициирования.png)

#### **Приближается срок окончания обработки документов** 

Оповещения направляются пользователю о необходимости обработки документов, по которым завершается срок обработки.

![Приближается срок](media/Приближается срок окончания обработки документов.png)

![Смс](media/smsProsrochka.png)

#### **О просроченных документах**

Оповещения направляются в случае нарушения сроков по обработке документов, пользователю который нарушил сроки, а также пользователю который его замещает. 

![Просроченные документы](media/Просроченные документы.png)

![Смс](media/smsProsrochka.png)

#### **О просроченных документах сотрудников руководителю**

Оповещения направляются руководителю сотрудников в случае нарушения ими сроков по обработке документов. В качестве канала оповещения используется электронная почта. 

![Просроченные задачи руководителю](media/Просроченные документы работников (руководителю).png)

#### **Сводка по документам с просроченными действиями по маршруту/ознакомлению**

Оповещения направляются инициатору с информацией по документам, действия по которым просрочил любой из маршрута.

![Сводка](media/svodka.png)

#### **Заявка на регистрацию в Личном кабинете работника**

Оповещения направляются модератору системы при поступлении заявки на регистрацию через сайт [саморегистрации](../Начало работы/Авторизация через сайт регистрации/Авторегистрация.md). 

![Сайт саморегистрации](media/Заявка на регистрацию в Личном кабинете работника.png)

#### **Регистрация в системе кадрового электронного документооборота**

Оповещения направляются новому пользователю при регистрации его в системе.

![Регистрация в системе](media/Регистрация в системе электронного документооборота.png)

#### **Напоминание о регистрации в системе**

Оповещения направляются пользователям, которые зарегистрированы в системе, но не прошли авторизацию. 

![Напоминание](media/Регистрация в системе электронного документооборота_напоминание.png)

Также данное оповещение направляется пользователям, которые дали согласие на кадровый электронный документооборот, но также не зарегистрировались в системе.

![Напоминание по КЭДО](media/Оповещение о необходимости сдачи оригиналов заявления и расписки на ЭП.png)

#### **Напоминание о необходимости сдачи заявления на выпущенный  ЭП в отдел кадров**

Оповещения направляются пользователям, у которых есть выпущенный, не отозванный сертификат электронной подписи, но отсутствует отметка об сдаче заявления на выпуск сертификата и расписки в получении.

![Электронный сертификат](media/Электронный сертификат.png)

#### Восстановление пароля

Оповещения направляются пользователям при первичной авторизации в системе, а также при восстановлении пароля в системе.

![Восстановление пароля](media/vosstanovlenie.png)
![СМС](media/vosstanSMS.png)

#### **О перевыпуске сертификата НЭП**

Оповещения направляются пользователям, у которых заканчивается срок действия сертификата ЭП и которым были автоматически перевыпущены новые сертификаты.

![НЭП](media/nep3.png)

#### Внутрисистемные уведомления

На проекте есть возможность настроить внутрисистемные уведомления для пользователей.

Примеры уведомлений:

* **О приближении начала отпуска по основному месту работы:**

![Отпуск](media/otpuskOsnovnoi.png)

* **О приближении начала отпуска по внутреннему месту работы:**
  
![Внутренний](media/otpuskVnutren.png)

* **О приближении начала отпуска по внешнему месту работы:**

![Отпуск внешний](media/otpuskVnesh.png)

* **Документы, которые не были выгружены в систему из 1С:**

![1С](media/1C.png)

* **Об окончании испытательного срока сотрудников:**

![Испытательный срок](media/ИспытательныйСрок.png)

* **Отсутствие планового графика отпусков по подразделению**

![Отсутствие графика](media/otsutstviePlanOtpusk.png)

* **Оповещение о необходимости замены паспорта**

![Паспорт](media/passport.png)

* **Сообщение о приближающихся юбилеях**

![Юбилей](media/yubiley.png)

* **Сообщения о приближающемся юбилее работы в компании**

![Юбилей в компании](media/yubileyCompan.png)