# Анализ плановых графиков отпусков

## Описание

**Анализ плановых графиков отпусков** - аналитическая форма для контроля за отпусками сотрудников в организации. Он позволяет управлять и планировать отпуска, а также контролировать выполнение плана отпусков. Рассмотрим более подробно основные параметры данного инструмента.

## Работа с формой

Для открытия формы необходимо перейти Меню - Планирование отпусков - Анализ плановых графиков отпусков.

В табличной части отображаются следующие данные: ФИО сотрудника, должность, подразделение, табельный номер, период отпуска согласно [планового графика отпусков](../Плановый график отпусков/Плановый график отпусков по подразделению.md), а также календарь, где знаком плюс показываются дни отпуска сотрудника.

Вкладка **"План графика отпусков"** позволяет просмотреть графики отпусков по всем сотрудникам организации. Реестр фильтруется в зависимости от двух условий: выбрана организация в поле **"Организация"** и выбран месяц в поле **"Месяц"**. Таким образом, можно увидеть графики отпусков сотрудников за определенный период. По умолчанию отображается текущая организация и январь.

![Форма](media/form.png)

Поле **"По руководителям подразделений и их заместителям"** позволяет отобразить только руководителей подразделений и их заместителей. Если галка включена, то в реестре отображаются только руководители и их заместители. Если галка выключена, то отображаются все сотрудники организации.

![Все](media/rukov1.png)
![Руководитель](media/rukov.png)

В столбце **"График отпусков по подразделениям"** находится гиперссылка на форму ["Плановый график отпусков по подразделению"](../Плановый график отпусков/Плановый график отпусков по подразделению.md). Это позволяет увидеть плановый график отпусков для каждого подразделения.

![График](media/grafik.png)

В столбце **"Должность-заместитель"** отображается должность заместителя руководителя.

![Заместитель](media/zam.png)
![Заместитель](media/zam2.png)

В столбце **"Маршрут"** показывается на какой стадии маршрута находится **"Плановый график отпусков по подразделению"**. Таким образом, можно отследить, на какой стадии находится планирование отпусков по подразделению.

На вкладке **"Контроль"** отображаются ошибки по графикам отпусков за месяц, который выбран на первой вкладке. Например, система может обнаружить пересечение отпусков у взаимозаменяемых сотрудников, когда два сотрудника замещают друг друга, но их отпуска пересекаются в один и тот же период времени. Также система может показывать, если не сформирован график отпусков по какому-либо подразделению или если отсутствует информация о графике отпусков для конкретного сотрудника.

![Контроль](media/control.png)