# Анализ сотрудников по КЭДО

## Описание

Анализ сотрудников по кадровому электронному документообороту (далее КЭДО) - это аналитическая форма для анализа активных сотрудников кадрового электронного документооборота. У пользователя должны быть настроенны определенные права для доступа к форме.

## Реестр

Для перехода в форму, перейдите в Меню - Анализ и отчетность - Анализ сотрудников по КЭДО.

Откроется реестр сотрудников с данными, важными для анализа о взаимодействии с системой КЭДО.

![Реестр](media/reestr.png){: .zoom}

Реестр можно отфильтровать по следующим полям:

Поле **"Организация"** - реестр фильтрует сотрудников согласно выбранной организации либо по всем организациям. Если очистить поле, то можно увидеть работающих сотрудников по всем организациям.

С помощью элемента **"Тип пользователей"** можно отфильтровать реестр по всем работающим сотрудникам, или только по зарегистрированным сотрудникам в системе, но и уволенным в том числе.

Поле **"Сотрудник"** - реестр фильтруется согласно выбранному сотруднику. При нажатии на ФИО открывается карточка по сотруднику.

### Управление пользователями

При нажатии на поле "Управление пользователями" открывается выпадающий список:

![Лукап](media/lookupUprPol.png)

**Загрузка сотрудников** - загружается реестр сотрудников.

<!-- Поле **"Показать заблокированных пользователей"** - в реестре отображаются заблокированные пользователи. -->

### Действие с ЭП

При нажатии на поле "Действие с ЭП" открывается выпадающий список:

![Лукап](media/lookupNEP.png)

**Создать УНЭП Лексема** - автоматически создается сертификат электронной подписи пользователю исходя из условия что у данного пользователя нет действующих сертификатов и заявок на выпуск сертификата. Для создания усиленной неквалифицированной электронной подписи необходимо выбрать одного либо несколько сотрудников из табличной части, которые являются пользователями системы, и нажать кнопку "Создать УНЭП Лексема".

**Посмотреть все электронные подписи пользователя** - автоматически переходит к форме , в которой отображаются все сертификаты ЭП у пользователя. Для просмотра электронных подписей необходимо выбрать одного либо несколько сотрудников из табличной части, которые являются пользователями системы, и нажать кнопку "Посмотреть все электронные подписи пользователя".

**Распечатать пакет документов** - автоматически происходит скачивание заявления на выдачу и расписки в получении сертификата по одному или по нескольким пользователям. Для скачивания документов необходимо выбрать одного либо несколько сотрудников из табличной части, которые являются пользователями системы, и нажать кнопку "Распечатать пакет документов".

Подробнее про работу с кнопками **"Посмотреть все ЭП сотрудника", "Создать УНЭП Лексема", "Распечатать пакет документов"** можно ознакомиться в разделе ["Операции с ЭП"](../Управление пользователями/Управление пользователями.md#Certs)

### Участие в КЭДО

При нажатии на поле "Участие в КЭДО" открывается выпадающий список:

![Лукап](media/lookupKEDO.png)

**Убрать дату отказа** - дата отказа от КЭДО убирается вручную. Если сотрудник ранее был заблокирован, то система предложит разблокировать его.

**Проставить дату перехода на КЭДО** - проставляется дата перехода на КЭДО у сотрудника.

**Проставить дату отказа от КЭДО, равной дате приеме** - дата отказа проставляется автоматически равной дате, когда сотрудник был принят на работу.

**Выбрать дату отказа** - открывается всплывающее окно в котором дата отказа проставляется вручную;

В обоих случаях дата автоматически проставляется в столбец **"Дата отказа от КЭДО"** и заполняется в форме сотрудника.

После проставления даты отказа от КЭДО система предложит заблокировать выбранного пользователя в системе. При блокировке у пользователя автоматически отзывается сертификат, если она была заполнена дата согласия на КЭДО, она автоматически стирается.

<!-- У пользователя должна быть настроена роль set_quitedm -->

### Дополнительно

При нажатии на поле "Дополнительно" открывается выпадающий список.

![Лукап](media/lookupDop.png)

**Направить приглашение** - пользователю направится уведомление о регистрации пользователя в системе.

**Создать пользователя КЭДО** - запускается функция планировщика задач по автоматическому созданию пользователей. 

В таблицу "Сотрудники" загружаются следующие данные о сотрудниках:

Столбец | Описание |
---------|----------|
Активирован | Признак проставляется автоматически при авторизации сотрудника в системе 
Вид занятости  |  Отображает вид занятости сотрудника (основное место работы, внутреннее или внешнее совместительство)
Всего сертификатов на всех организациях  |  Отображает количество выпущенных сертификатов у пользователя во всех организациях
Дата выпуска  |  При выпуске сертификата автоматически проставляется дата
Дата приема | Дата приема сотрудника на работу
Дата отзыва  |  При отзыве сертификата автоматически проставляется дата 
Дата отказа от КЭДО  |  Отображает дату, когда сотрудник отказался от КЭДО 
Дата отправки первого сообщения  |  Дата отправки уведомления сотруднику о регистрации в системе 
Дата первого хода | Дата первой авторизации пользователя в системе 
Дата последнего входа | крайняя дата, когда пользователь заходил в систему 
Дата перехода на КЭДО  | Дата когда сотрудник подписал согласие о переходе на КЭДО 
Дата увольнения  |  Дата увольнения сотрудника 
Должность | Должность сотрудника 
Код работника  |  Ссылка для перехода в документ в справочник "Сотрудник" 
Код физического лица  |  Ссылка для перехода в справочник "Физическое лицо"
КЭП/НЭП  |  Вид [сертификата](../../КЭДО/ЭП/Виды ЭП.md) у данного сотрудника 
Логин  |  Логин сотрудника
Оригинал получен  |  Указывается были ли получены оригиналов документов в отделе кадров о получении НЭП
Организация  |  Организация сотрудника
Перевыпуск  |  Указывается был ли перевыпущен сертификат данному сотруднику
Пользователь системы  |  Указывается является ли данный сотрудник пользователем системы 
Руководитель  |  Указывается является ли данный сотрудник руководителем 
Таб. номер  |  Табельный номер сотрудника
Текущий сертификат  |  Содержит ссылку для перехода в "Заявка на выпуск сертификата" 
ФИО  |  Фамилия, имя, отчество сотрудника 
Эл. адрес ФЛ  |  Отображает электронную почту физического лица