# Исполнение графика отпусков

## Описание

**Исполнение графика отпусков**  -  это аналитическая форма, позволяющая организовать учет графика отпусков предприятия. Внутри формы можно выбрать организацию, год или сотрудника и получить информацию о графике отпусков.

Исполнение графика отпусков включает в себя организацию и контроль за использованием отпусков в соответствии с установленными правилами и процедурами, контроль за своевременностью подачи заявлений на отпуск, распределением отпусков на период года, учетом невыполненных отпусков, их переносов и компенсаций.

## Работа с формой

Форма содержит информацию о каждом сотруднике, включая ФИО, должность и вид отпуска, которое ему полагается. Кроме того, указано количество дней, которое сотруднику предоставляется для отдыха, а также даты его планируемых отпусков. В форме отражается также информация о том, был ли сотрудник уже в отпуске, было ли перенесено его время отдыха и получил ли он денежную компенсацию.

Форма доступна пользователю с определенными ролями. 

![Форма](media/form.png)

!!! note
    Вся информация, относящаяся к отпуску, автоматически связывается с соответствующим столбцом таблицы на основе даты начала отпуска согласно графика отпусков (либо заявления) или даты уведомления об отпуске. 

<!-- !!! warning
    Необходимо в настройках ["Подтипов документов"](../../../Admin manuals/СЭД/Справочники/Документооборот/Подтипы документов/Подтипы документов.md) указать **служебные наименования**:

    Уведомление об отпуске - **NotificationVacation**

    Во всех подтипах заявлений об отпуске - **EmployeeStatementVacation**

    Во всех подтипах переносов отпусков - **EmployeeStatementTransperVacation**

    Во всех подтипах компенсаций отпусков - **EmployeeStatementCompensationVacation** -->

В поле **"Организация"** из выпадающего списка выбирается организация, по которой будет производиться фильтрация информации в форме. По умолчанию выбрана текущая организация. Если очистить поле, то в форме будут отображаться данные по всем сотрудникам из всех филиалов.

В поле **"Год"** из выпадающего списка выбирается год, по которому будет производиться фильтрация информации в форме. По умолчанию выбран текущий. Если очистить поле, то в форме будут отображаться данные по всем годам, которые заведены в системе.

В поле **"Сотрудник"** из выпадающего списка выбирается сотрудник, по которому будет производиться фильтрация информации в форме. По умолчанию отображаются все сотрудники.

Кнопка **"Сформировать"** необходима для обновления таблицы при изменении связок между документами.

![Сотрудник](media/sotrudnik.png)

* Столбец "ФИО" и группа столбцов **Работник** содержит информацию о сотруднике, такие как: ФИО, табельный номер, подразделение, должность, в какой организации работает и какой у него вид занятости (основной, внутреннее или внешнее совместительство).

* **"Вид отпуска"** отображается какой вид отпуска полагается сотруднику (ежегодный оплачиваемый, дополнительный оплачиваемый).

* **Количество календарных дней**  -  сколько календарных дней отпуска полагается сотруднику.

* Группа столбцов **План отпуска** отображает информацию о датах планируемых отпусков сотрудников. Столбец **"Дата начала"** показывает запланированную дату начала отпуска в соответствии с графиком. Столбец **"Уведомление на отпуск"** содержит гиперссылку на отправленное уведомление [о дате начала отпуска](../../Рассылки системы/Рассылки системы.md#внутрисистемные_уведомления).

![Ссылка](media/ssylka.png)

![Уведомление](media/uvedomlenie.png)

* Таблица **"Отпуск"** включает группу столбцов, которые содержат информацию о том, было ли подано заявление на отпуск  в соответствии с графиком. Если заявление было подано, то в таблице отображается гиперссылка на неё. Также в этой группе столбцов присутствует информация о наличии приказа на отпуск, которая отображается в столбце **"Приказ на отпуск"**.

![Отпуск](media/otpusk.png)
![Заявление](media/zayavlenie.png)
![Приказ](media/prikaz.png)

* Таблица **"Перенос"** содержит группу столбцов, которые отражают информацию о том, было ли подано заявление на перенос отпуска. Если заявление было подано, то в таблице отображается гиперссылка на него. Также в этой группе столбцов содержится информация о наличии приказа на перенос отпуска, которая отображается в столбце **"Приказ на перенос"**.

![Перенос](media/perenos.png)
![Перенос заявление](media/perenosZayav.png)
![Перенос ДНП](media/perenosDNP.png)

* Таблица **Компенсация** содержит группу столбцов, которые отражают информацию о том, было ли подано заявление на компенсацию отпуска. Если заявление было подано, то в таблице отображается гиперссылка на него. Также в этой группе столбцов содержится информация о наличии приказа на компенсации отпуска, которая отображается в столбце **"Приказ на перенос"**.

![Компенсация](media/conpensacia.png)
![Заявление](media/conpensaciaZayv.png)
![Приказ](media/conpensaciaPrikaz.png)