# Личный кабинет HR

## Описание

Личный кабинет HR - это аналитическая форма для руководителя службы HR, на которой отображается информация по структуре предприятия, графике отпусков сотрудников, сотрудниках, о состоянии всех документов сотрудников, архиву документов, а также о документах обмена с 1С. 

Для открытия формы необходимо в панели виджетов нажать "В личный кабинет HR".

![Меню](media/menu.png)

Откроется следующая форма со вкладками:

* [Сотрудники и руководители](#сотрудники_и_руководители) - структура организации;
* [Графики отпусков](#графики_отпусков) - графики отпусков сотрудников организации;
* [Управление сотрудниками в КЭДО](#управление_сотрудниками_кэдо) - анализ сотрудников в КЭДО;
* [Документы для HR](#документы_для_hr) - информация по всем документам в системе;
* [Архив документов](#архив_документов) - архив с вложенными файлами в документах;
* [Обмен с 1С](#обмен_с_1с) - реестр документов обмена с 1С;
* [Отчет по ЛНД](#отчет_по_лнд) - реестр отчета по локально-нормативным документам;

![Кабинет](media/form.png)

## Сотрудники и руководители

На данной вкладке отображается структура компании (отделы, сотрудники, руководители). При выборе любого подразделения в дереве подразделений, например, "Администрация УК" или "Канцелярия УК", будет отображаться руководитель, указанный в справочнике ["Подразделения"](../../КЭДО/Подразделения/Подразделения.md).

![Руководитель](media/rukovoditel.png){: .zoom}

**Замещения** - при нажатии на кнопку, открывается форма [замещаемые](../Управление пользователями/Управление пользователями.md#замещаемые), в которой возможно посмотреть либо назначить пользователю сотрудников, которых он может замещать в системе.  Для этого необходимо выбрать подразделение, затем во вкладке "Сотрудники" выбрать необходимого сотрудника и нажать на кнопку "Замещения".

![Замещения](media/zameshenie.png)

**Отправить сообщение** - в системе электронного документооборота можно направлять пользователям сообщение, и они будут находиться у них в панели документооборота как напоминание. Для этого необходимо выбрать одного либо несколько пользователей, которым необходимо направить сообщение и нажать кнопку "Отправить сообщение". В открывшемся окне указывается текст сообщения. Чтобы отправить необходимо нажать кнопку "Ок".

![Уведомление](media/uvedomlenie.png)

В верхней панели появится сообщение что сообщения было направлены. ![Сообщение](media/message.png)

У пользователей, которым были направлены сообщения, в панели документооборота во вкладке на обработку появится документ.

![Борисов](media/borisov.png)

![Сообщение](media/message2.png)

<!-- !!! note
    Для отправки сообщений должен быть настроен [конструктор документов](../../../Admin manuals/СЭД/Конструктор документов/Конструктор документов.md). Группа - **Уведомления Lexema**. Подтип - **Сообщение от службы HR**

    ![Конструктор](media/constuctor.png) -->

Во вкладке "Сотрудники" показаны все сотрудники, работающие в данном подразделении.

![Сотрудники](media/sotrudniki.png){: .zoom}

В столбце "Штатный руководитель" признак отображается у сотрудников, которые указаны как руководители [подразделений](../../КЭДО/Подразделения/Подразделения.md)

![Руководитель](media/ruk.png)

В столбце "Подписант подразделения" признак отображается у сотрудников, у которых настроено право подписи.

В столбце "Функциональные руководители сотрудника" отображаются сотрудники, которые указаны как руководители у сотрудников.

![Пользователь](media/rukPol.png)

На вкладке "Службы HR и расчетный отдел" отображаются специалисты HR, а также бухгалтеры по заработной плате.

![HR](media/hr.png)

Для поиска подразделения по структуре компании, необходимо нажать на кнопку поиска. В открывшемся окне необходимо ввести название подразделения и нажать кнопку "Поиск". Система найдет ближайшее подразделение по подчиненности.

![Подразделение](media/podraz.png)

Если в структуре несколько подразделений с похожим названием, в поиске необходимо нажать кнопку "Далее". Система найдет следующее подразделение.

![Подразделение](media/podraz1.png)

<!-- !!! note
    При наличии у сотрудника роли **hr_docflow_hr** и в случае отсутствия назначенных подразделений в [учете работы с персоналом](../../../Admin manuals/framework/User managment/Настройка пользователей/Настройка пользователей.md#вкладка_учет_работы_с_персоналом) - то показывается все структура и все сотрудники.
    
    При наличии у сотрудника роли **hr_docflow_hr** и в случае наличия назначенных подразделений в [учете работы с персоналом](../../../Admin manuals/framework/User managment/Настройка пользователей/Настройка пользователей.md#вкладка_учет_работы_с_персоналом) - то показывается только эти подразделения и сотрудники. -->

## Графики отпусков

На данной вкладке отображаются графики отпусков сотрудников выбранной организации. В форме отображаются графики за все года, которые заведены в системе. По умолчанию записи в таблице сгруппированы по текущему году. Подробнее о работе с данной формой можно ознакомиться в соответствующей [статье](../График отпусков/График отпусков.md).

![Графики](media/grafiki.png)

## Управление сотрудниками КЭДО

На данной вкладке отображается форма для анализа сотрудников кадрового электронного документооборота. 

![КЭДО](media/users.png)

Поле **"Организация"** - реестр фильтрует сотрудников согласно выбранной организации либо по всем организациям. Если очистить поле, то можно увидеть работающих сотрудников по всем организациям.

С помощью элемента **"Тип пользователей"** можно отфильтровать реестр по всем работающим сотрудникам, или только по зарегистрированным сотрудникам в системе, но и уволенным в том числе.

Поле **"Сотрудник"** - реестр фильтруется согласно выбранному сотруднику. При нажатии на ФИО открывается карточка по [сотруднику](../../КЭДО/Сотрудники/Сотрудники.md)

### Управление пользователями

При нажатии на поле "Управление пользователями" открывается выпадающий список:

![Лукап](media/lookupUprPol.png)

**Загрузка сотрудников** - загружается реестр сотрудников. Реестр можно отфильтровать по следующим полям:

<!-- Поле **"Показать заблокированных пользователей"** - в реестре отображаются заблокированные пользователи. -->

### Действие с ЭП

При нажатии на поле "Действие с ЭП" открывается выпадающий список:

![Лукап](media/lookupNEP.png)

**Создать УНЭП Лексема** - автоматически создается сертификат электронной подписи пользователю исходя из условия что у данного пользователя нет действующих сертификатов, заявок на выпуск сертификата и проставлена дата перехода на КЭДО. Для создания усиленной неквалифицированной электронной подписи необходимо выбрать одного либо несколько сотрудников из табличной части, которые являются пользователями системы, и нажать кнопку "Создать УНЭП Лексема".

!!! note
    Создать сертификат УНЭП можно также пользователю, на которого дата приема позже текущего дня

**Посмотреть все электронные подписи пользователя** - автоматически переходит к форме , в которой отображаются все сертификаты ЭП у пользователя. Для просмотра электронных подписей необходимо выбрать одного либо несколько сотрудников из табличной части, которые являются пользователями системы, и нажать кнопку "Посмотреть все электронные подписи пользователя".

**Распечатать пакет документов** - автоматически происходит скачивание заявления на выдачу и расписки в получении сертификата по одному или по нескольким пользователям. Для скачивания документов необходимо выбрать одного либо несколько сотрудников из табличной части, которые являются пользователями системы, и нажать кнопку "Распечатать пакет документов".

Подробнее про работу с кнопками **"Посмотреть все ЭП сотрудника", "Создать УНЭП Лексема", "Распечатать пакет документов"** можно ознакомиться в разделе ["Операции с ЭП"](../Управление пользователями/Управление пользователями.md#Certs).

### Участие в КЭДО

При нажатии на поле "Участие в КЭДО" открывается выпадающий список:

![Лукап](media/lookupKEDO.png)

**Убрать дату отказа** - дата отказа от КЭДО убирается вручную. Если сотрудник ранее был заблокирован, то система предложит разблокировать его.

**Проставить дату перехода на КЭДО** - проставляется дата перехода на КЭДО у сотрудника.

**Проставить дату отказа от КЭДО, равной дате приеме** - дата отказа проставляется автоматически равной дате, когда сотрудник был принят на работу.

**Выбрать дату отказа** - открывается всплывающее окно в котором дата отказа проставляется вручную;

В обоих случаях дата автоматически проставляется в столбец **"Дата отказа от КЭДО"** и заполняется в форме [сотрудника](../../КЭДО/Сотрудники/Сотрудники.md).

После проставления даты отказа от КЭДО система предложит заблокировать выбранного пользователя в системе. При блокировке у пользователя автоматически отзывается сертификат, если она была заполнена дата согласия на КЭДО, она автоматически стирается.

<!-- У пользователя должна быть настроена роль set_quitedm -->

### Дополнительно

При нажатии на поле "Дополнительно" открывается выпадающий список.

![Лукап](media/lookupDop.png)

**Направить приглашение** - пользователю направится уведомление о регистрации пользователя в системе.

**Создать пользователя КЭДО** - запускается функция планировщика задач по автоматическому созданию пользователей. 

В таблицу "Сотрудники" загружаются следующие данные о сотрудниках:

Столбец | Описание |
---------|----------|
Активирован | Признак проставляется автоматически при авторизации сотрудника в системе 
Вид занятости  |  Отображает вид занятости сотрудника (основное место работы, внутреннее или внешнее совместительство)
Всего сертификатов на всех организациях  |  Отображает количество выпущенных сертификатов у пользователя во всех организациях
Дата выпуска  |  При выпуске сертификата автоматически проставляется дата
Дата приема | Дата приема сотрудника на работу
Дата отзыва  |  При отзыве сертификата автоматически проставляется дата 
Дата отказа от КЭДО  |  Отображает дату, когда сотрудник отказался от КЭДО 
Дата отправки первого сообщения  |  Дата отправки уведомления сотруднику о регистрации в системе 
Дата первого хода | Дата первой авторизации пользователя в системе 
Дата последнего входа | крайняя дата, когда пользователь заходил в систему 
Дата перехода на КЭДО  | Дата когда сотрудник подписал согласие о переходе на КЭДО 
Дата увольнения  |  Дата увольнения сотрудника 
Должность | Должность сотрудника 
Код работника  |  Ссылка для перехода в документ в справочник "Сотрудник" 
Код физического лица  |  Ссылка для перехода в справочник "Физическое лицо"
КЭП/НЭП  |  Вид [сертификата](../../КЭДО/ЭП/Виды ЭП.md) у данного сотрудника 
Логин  |  Логин сотрудника
Оригинал получен  |  Указывается были ли получены оригиналов документов в отделе кадров о получении НЭП
Организация  |  Организация сотрудника
Перевыпуск  |  Указывается был ли перевыпущен сертификат данному сотруднику
Пользователь системы  |  Указывается является ли данный сотрудник пользователем системы 
Руководитель  |  Указывается является ли данный сотрудник руководителем 
Таб. номер  |  Табельный номер сотрудника
Текущий сертификат  |  Содержит ссылку для перехода в "Заявка на выпуск сертификата" 
ФИО  |  Фамилия, имя, отчество сотрудника 
Эл. адрес ФЛ  |  Отображает электронную почту физического лица

## Документы для HR

Данная вкладка предназначена для формирования сводной информации по документам с отображением информации об их продвижениях по маршруту. По умолчанию в форме отображаются все документы за текущий год. Подробнее о работе с данной формой можно ознакомиться в разделе ["Журнал состояния документов"](../../КЭДО/Анализ и отчетность/Анализ и отчетность.md#журнал_состояния_документов).

![Документ для HR](media/docHR.png)

## Архив документов

С данной вкладки при необходимости можно скачать вложенные в документы вложения. Для заполнения таблицы необходимо нажать кнопку "Сформировать". Подробнее о работе с данной формой можно ознакомиться в разделе ["Архив документов"](../../СЭД/Работа со вложениями/Работа со вложениями.md#архив_документов).

![Архив документов](media/archiveDoc.png)

## Обмен с 1С

[](#обмен-с-1с)

На данной вкладке отображается форма для просмотра реестра обмена документов с 1С. 

Фильтрация документов производится по параметрам:

* Организация;
* Период, Номер, Дата первичного документа;
* Период, Номер, Дата документа на подписание;
* Работник, физическое лицо;

После задания параметров необходимо нажать "Сформировать".

Загрузится список документов с основной информацией по документам, прошедшим обмен с 1С. 

В колонке "Код" содержатся ссылки, по которым можно открыть соответствующий коду документ.

В табличной части формы представлена информация о первичном документе, маршруте документа, о данных документа из 1С, данные Документа на подписание.

![1C](media/1c.png)

## Отчет по ЛНД

Для отслеживания ознакомления сотрудниками локально-нормативных документов используется "Отчет по ЛНД". Подробнее о работе с данной формой можно ознакомиться в разделе ["Отчет по ЛНД"](../../КЭДО/Анализ и отчетность/Анализ и отчетность.md#отчет_по_лнд)

![ЛНД](media/lnd.png)