# Локально-нормативные документы

## Общее описание назначения документа

Документ "Локально-нормативные документы" (далее ЛНД) предназначен для создания документов, с которыми требуется ознакомить сотрудников предприятия. Например, к данной группе относятся: Карта процессов, Методические руководства, Извещения об изменениях и т.д.

![type:video](https://www.youtube.com/embed/Em3GlAkrczE)

## Реестр

Для открытия реестра документов необходимо перейти в Меню - Кадровый документооборот - Локально-нормативные документы.

Либо через пункт плиточного меню, если он присутствует

![Плиточное меню](media/tiled.png)

Откроется реестр документов. 

![Реестр "Локально-нормативные документы"](media/registry.png){: .zoom}

- **Статус подписания** - отображается статус ознакомления с ЛНД текущего пользователя. Если пользователь уже ознакомился с документом, то в ячейке содержится значение "Подписан" с зелёным значком. В случае, если еще не ознакомился в ячейке содержится значение "Не подписан" без значка;
- **Статус** - отображается статус документа (утвержден или проект);
- **Зона распространения** - отображаются подразделения, должности и/или сотрудники на которых распространяется действие документа;
- **Маршрут** - отображается вся информация по маршруту (не запущен, текущий, завершен, отменен);
- В столбце **Шаблон** отображается по какому шаблону был создан маршрут;
- **Удален** - отображает, является ли данный документ удаленным или архивным. Такие документы могут видеть только пользователи с определенными правами;
- **Ознакомлен ранее** - признак проставляется у документов, которые доступны сотруднику, но не требуют ознакомления в системе. Используется для ЛНД, которые сотрудники подписывают на бумажном носителе при приеме на работу.
- **"Подписан КЭП"** - отображается зеленый значок "Подписан КЭП" в тех локально-нормативных документах, в которых в завершенном маршруте подписания присутствует как минимум одна [квалифицированная электронная подпись](../../КЭДО/ЭП/Виды ЭП.md#квалифицированная_электронная_подпись_или_кэп)(данная настройка подключается администратором);
- **Переподписание документа КЭП** - отображает, был ли данный документ [переподписан](../../Руководство для руководителя/Переподписание КЭП/Переподписание КЭП.md) с помощью квалифицированной электронной подписи;

<!-- ## Удалённые (архивные) документы

Пользователи, обладающие специальными правами, могут видеть удаленные (архивные) документы. Архивные документы обладают признаком "Удален" в реестре.

![Удален](media/registryExtended.png){: .zoom}

В удаленном документе содержится предупреждение, что документ является архивным. Чтобы сделать документ архивным, необходимо выделить строку реестра и нажать на кнопку ![](media/toDeletedStatus.png)

![Архивное заявление](media/deleted.png)

Чтобы удалить документ из базы окончательно, необходимо выделить строку реестра и нажать на кнопку ![удалить](media/delete.png)

Документы также становятся архивными в день, когда истекает срок действия документа, указанный при помощи полей "Действует с" и "по". Архивные документы снимают необходимость с пользователей с ними ознакомиться.

Более подробно про архивные документы можно прочесть в статье [Удаление документов КЭДО](../Удаление документов КЭДО.md). -->

## Документ

Создавать новый локально-нормативный документ может пользователь, у которого назначены специальные права. Для создания нового документа необходимо нажать на кнопку ![создать](media/image3.png). 

Новый документ выглядит следующим образом: 

![Документ "Локально-нормативные документы"](media/image4.png)

### Вкладка "Основная"

Для создания нового документа необходимо вначале выбрать из справочника [Подтип документа](../../КЭДО/Подтипы документов/Подтипы документов.md).

![Выбор подтипа ЛНД](media/subtypeChoose.png)

После выбора нужного подтипа документа на форме появляются новые параметры "Реквизиты документа", а также формируется часть для автозаполнения в текстовом поле.

![Результат выбора шаблона документа](media/image6.png){: .zoom}

В документ необходимо добавить вложение для ознакомления. Без добавленного вложения документ не сохранится в [системе](#дальнейшая_работа_с_документом). 

На вкладке "Основная" даты заполняются в случае если у ЛНД присутствует срок действия. В остальных случаях проставлять даты не нужно.

Также необходимо заполнить "Реквизиты документа":

![Пример заполнения реквизитов документа (атрибутов)](media/attributesFilledP.png)

После заполнения реквизитов необходимо нажать на кнопку "Заполнить шаблон". После нажатия на кнопку данные реквизиты в качестве параметров передаются в текстовую часть документа и заменяют прописанные там входные параметры, заключенные в '#'.

![Пример заполнения шаблона введенными реквезитами](media/templateFilledP.png)

<!-- При нажатии на кнопку "Заполнить шаблон" документ сохраняется до тех пор, пока его не закроют (т.е. можно использовать кнопку "Обновить" на форме без потери документа). ***Чтобы документ сохранился, требуется наличие в нем вложений.*** -->

### Вкладка "Распространяется на"

Далее необходимо перейти к заполнению второй вкладки формы: **Распространяется на**.

На этой вкладке ответственные исполнители указывают список подразделений и/или должностей, либо сотрудников, на которых распространяет свое действие создаваемый нормативный документ. Исходя из заданных таблиц, она определяет итоговый набор сотрудников, которым данный документ должен прийти для ознакомления.

![Вкладка "Распространяется на"](media/image7.png){: .zoom}

Для быстрого заполнения вкладки можно выбрать одну из групп рассылки, которые определяются в реестре [Группы рассылки](../../КЭДО/Группы рассылки/Группы рассылки.md)

После выбора группы рассылки из справочника подтягиваются данные по Подразделениям, Должностям и Сотрудникам.

![Вкладка "Распространяется на"](media/image8.png){: .zoom}

Для внесения в список рассылки подразделения, должности или сотрудника нужно нажать на кнопку "+" в соответствующей таблице. Также в табличной части возможно добавить сотрудников, которых необходимо исключить из списка рассылки. Если в [группе рассылки](../../КЭДО/Группы рассылки/Группы рассылки.md) присутствуют пользователи, они также автоматически добавляются в исключаемую таблицу.

![Пример заполнения вкладки "Распространяется на"](media/image5.png)

![Направления](media/zone.png)

Существует несколько способов формирования списка рассылки, которые задаются при помощи поля «Выбрать способ формирования рассылки»:

**1 способ** - _Сотрудник относится к указанному подразделению ИЛИ имеет указанную должность._ В данном примере локально-нормативный документ будет направлен на ознакомление всем сотрудникам, которые работают в подразделении _"Администрация УК"_, а также всем сотрудникам имеющим должность _"Ведущий инженер"_ вне зависимости от того, в каком подразделении они работают.

![Рассылка](media/docForReadList.png){: .zoom}

![Рассылка администрации](media/adminPod.png){: .zoom}

**2 способ** - _Сотрудник относится к указанному подразделению И имеет указанную должность._ В данном примере локально-нормативный документ будет направлен на ознакомление только сотрудникам, которые работают в подразделении _"Администрация УК"_ и имеют должность _"Ведущий инженер"_.

![Должность](media/dolnjnost.png){: .zoom}

![Должности](media/dolnjosti.png){: .zoom}

**3 способ** - В случае если необходимо отправить локально-нормативный документ на ознакомление **только определенным сотрудникам** без указания подразделения и/или должности, необходимо очистить поле "Выбрать способ формирования списка рассылки". В данном примере локально-нормативный документ будет направлен на ознакомление только сотрудникам Денежной Е.К. и Елизарьевой Е.А.

![Способ](media/sposob.png)

![Сотрудники](media/sotrudniki.png){: .zoom}

Поле **Срок ознакомления с нормативным документом** - необязательно для заполнения. Если проставить дату, то срок на ознакомление будет отчитываться от нее. 

**Ознакомлен ранее** - признак проставляется у документов, которые доступны сотруднику, но не требуют ознакомления в системе. Используется для ЛНД, которые сотрудники подписывают на бумажном носителе при приеме на работу. Чтобы такие документы отображались в [личном кабинете сотрудника](../../Руководство линейного сотрудника/Профиль сотрудника/Профиль сотрудника.md#нормативные_акты), необходимо в панели инструментов нажать на кнопку "Операции" (данная кнопка появляется после утверждения ЛНД), и выбрать "Разместить в личном кабинете".

![Отправка в кабинет](media/toCabinet.png)

## Дальнейшая работа с документом

<!-- Добавлять вложение может пользователь, которому назначены права в [конструкторе документов](../../Admin manuals/СЭД/Конструктор документов/Конструктор документов.md#вкладка_правила_разрешения_вложения_данных). В случае отсутствия прав у пользователя появится уведомление в системе. -->

<!-- ![Уведомление](media/push.png) -->

Существуют два варианта дальнейшей работы с данным документом:

- 1 вариант: ответственный сотрудник [вкладывает](#добавление_вложений_в_документ) скан-копию ранее утвержденного ЛНД, например, "Положение о премировании сотрудников", переводит его в статус ["Утвержден"](#утверждение_документа) и направляет на [ознакомление](#отправка_документа_на_ознакомление) пользователям.

- 2 вариант: документ проходит стадию согласования по [маршруту](../../КЭДО/Работа с маршрутами/Работа с маршрутами.md) у руководителя, [утверждается](#утверждение_документа) и после этого направляется [ознакомление](#отправка_документа_на_ознакомление) пользователям.

### Добавление вложений в документ

Для добавления вложения к документу необходимо нажать на соответствующую кнопку в панели инструментов, и выбрать необходимый документ, который будет загружен. После добавления документ будет отображен в окне вложений к документу.

![Вложение](media/vlozhenie.png){: .zoom}

Подробнее про работу со вложениями можно почитать в разделе ["Работа со вложениями"](../../СЭД/Работа со вложениями/Работа со вложениями.md).

### Утверждение документа

Чтобы утвердить документ, необходимо перевести его в статус "Утверждён" при помощи соответствующей кнопки во вкладке "Основная".

![Утвержден](media/changeStatusToDone.png)

При отсутствии вложений к документу система выдаст соответствующее оповещение:

![Уведомление](media/push2.png)

### Согласование ЛНД по маршруту

Для согласования документа необходимо отправить его по маршруту, нажав на кнопку !["Маршрут"](media/image9.png)

После нажатия на кнопку "Маршрут" необходимо нажать на кнопку создать "Создать маршрут". После этапа согласования локально-нормативного документа должен присутствовать этап с ответственным сотрудником, который направит документ на ознакомление. Более подробно про работу с маршрутами можно прочесть в статье [Как отредактировать маршрут?](../../КЭДО/Работа с маршрутами/Работа с маршрутами.md). 

![Маршрут](media/route.png){: .zoom}

!!! warning

    После запуска маршрута редактировать документ и добавлять вложения запрещается.

Если документ не имеет вложений, система сообщит об этом при отправке документа по маршруту.

![Нет вложения](media/netVlozhenia.png)

<!-- Обратите внимание, что в момент отправки документа по маршруту формируется электронный оригинал документа. Посмотреть его можно, кликнув на ссылку в таблице с файлами. 

<figure class="figure-image">
  <img src="./media/docFileExample.png" alt="Электронный оригинал ЛНД" class="zoom">
  <figcaption>Электронный оригинал ЛНД</figcaption>
</figure> -->

Более подробно про подписание ЭП можно прочесть в [инструкции по подписанию квалифицированным/неквалифицированным сертификатом](../../КЭДО/Подписание сертификатом/Подписание сертификатом.md)

### Отправка документа на ознакомление

Для формирования списка рассылки по заполненным на вкладке "Распространяется на" таблицам необходимо, чтобы статус документа был "Утвержден" и к документу был приложен утверждённый/подписанный ЛНД.

В утверждённом документе на панели инструментов появится кнопка "Операции" с пунктом "Отправить на ознакомление".

![Кнопка "Операции"](media/createReadList.png)

В системе появится уведомление что данный ЛНД был отправлен на ознакомление

![ЛНД](media/lndOtpravleno.png)

По нажатию на пункт "Отправить на ознакомление" локально-нормативный документ будет направлен пользователям по списку рассылки. Для просмотра списка пользователей, которым был направлен документ необходимо нажать на кнопку "Список рассылки".

![Документ для ознакомления](media/docForReadList.png)

Более подробно работа со списками рассылки описана в разделе [Списки рассылки](../../КЭДО/Обработка документов/Обработка документов.md#список_рассылки).

Как ознакомиться с локально-нормативным документом можно почитать в разделе ["Обработка документов"](../../КЭДО/Обработка документов/Обработка документов.md).

В случае если пользователь не успел вовремя ознакомиться с документом до окончания даты действия (если такие указаны во вкладке ["Основная"](#вкладка_основная)), то с помощью функции планировщика задач, система автоматически снимет с ознакомления таких пользователей.