# Подчиненность

## Термины

* **Подчиненность** - зависимое положение управляемого звена от управляющего в системе управления.

* **Организационная структура предприятия** - структура компании, напрямую связанная со штатным расписанием.

* **Организационная подчиненность (или подчинение по организационной структуре)** - вид системного управления, при котором сотрудник подчиняется руководителю своего подразделения и руководителям родительских подразделений своего подразделения.

* **Функциональная подчиненность** - вид системного управления, при котором сотрудник подчиняется другим руководителям по смежным профилям обязанностей.

* **Управленческая структура** — фактическая структура компании, которая не связана со штатным расписанием.

* **Совмести́тельство** — это форма вторичной занятости, при которой, в свободное от основной работы время, человеком выполняется другая регулярная оплачиваемая работа

_Организационная подчиненность может не совпадать с функциональной подчиненностью._

## Алгоритм настройки

**Шаг 1.**

Чтобы приступить к настройке системного управления в программе, необходимо определить, как устроено подчинение на предприятии. Проще всего это сделать если ответить на следующие вопросы:

* Есть ли в предприятии холдинг?
* При согласовании документов, чем руководствуются сотрудники для определения руководителей? Обращаются ли они к штатному расписанию?
* Есть ли на предприятии совместители? Какие - внешние или внутренние?
* Кто является высшим руководящим звеном? Совет директоров или один директор?
* Есть ли на предприятии работники, которые подписывают заявления несколькими руководителями?

**Шаг 2.**

Настроить в системе необходимые справочники и документы.

**Шаг 3.**

Раздать права в настройке горизонтальных прав и/или включить нужные константы в настройке учетной политики предприятия.

Общие шаги по настройке можно смотреть на схеме:

![Схема](media/Pdd.png){: .zoom}

## Настройка в программе организационного подчинения

Чтобы отразить организационное подчинение в системе, необходимо:

1) Заполнить справочник [подразделений](../../КЭДО/Подразделения/Подразделения.md) (и сам справочник, и обозреватель аналитик с типом аналитики "Подразделение")

2) Заполнить справочник [категорий должностей](../../КЭДО/Категории должностей/Категории должностей.md). Необходимо обязательно добавить позиции "Руководители" и "Топ руководители"

3) Заполнить справочник [должностей](../../КЭДО/Должности/Должности.md). Необходимо в каждой должности заполнить поле "Категория"

4) Заполнить справочник [сотрудников](../../КЭДО/Сотрудники/Сотрудники.md). Необходимо в каждом сотруднике заполнить поля "Подразделение" и "Должность".

## Настройка в программе функционального подчинения

Функциональное подчинение может быть трех видов:

* Когда в одном из подразделений обязанности руководителя выполняет нелинейный руководитель
  
_Пример_: в подразделении "Бухгалтерия" обязанности начальника отдела исполняет временно начальник отдела кадров.

_Пример_: когда есть в холдинге управляющая компания, и сотрудник числится в ней, но является руководителем у сотрудников одного из дочерних предприятий

* Когда у одного из сотрудников руководителем является нелинейный руководитель

_Пример_: у заместителей генеральных директоров по орг.структуре нет вышестоящего подразделения, но сами они подчиняются генеральному директору

_Пример_: когда есть в холдинге управляющая компания, и сотрудник числится в ней, но является руководителем у сотрудников одного из дочерних предприятий

* Когда на предприятии внедрена только управленческая структура.

_Пример_: группа компаний, в которой работники являются внешними совместителями сразу в нескольких филиалах.

**Для организации функционального подчинения по типу 1 необходимо:**

В справочнике [подразделений](../../КЭДО/Подразделения/Подразделения.md) в поле "Руководитель" внести ФИО сотрудника, исполняющего обязанности руководителя

**Для организации функционального подчинения по типу 2 необходимо:**

Обратиться в техническую поддержку

**Для организации функционального подчинения по типу 3 необходимо:**

Заполнить виртуальные подразделения в форме [Управленческая структура и руководители](../../КЭДО/Управленческая структура и руководители/Управленческая структура и руководители.md).

Каждому виртуальному подразделению назначить физическое лицо из справочника физических лиц , являющееся руководителем.

Каждому виртуальному подразделению назначить физические лица , относящиеся к нему.