# Управление пользователями

## Общее описание назначения формы

Документ "Управление пользователями" предназначен для удобства администратора просматривать, создавать, редактировать пользователей, присваивать им новые роли, привязывать пользователя к справочнику физических лиц. Также из этой формы можно перейти к работе с сертификатами электронной подписи (ЭП) выбранного пользователя.

## Работа с формой

Чтобы открыть форму, необходимо в меню в группе "Администрирование", подгруппе "Управление пользователями" выбрать пункт "Управление пользователями".

![Рисунок 1 Меню](./media/menu.png)

Откроется аналитическая форма "Управление пользователями". Она позволяет администратору в одном месте создавать и редактировать пользователей.

### Загрузка пользователей

После открытия формы в таблицу "Пользователи системы" автоматически загружаются пользователи из организации, в которой находится текущий пользователь, поле "Организация" заполнено соответственно. По умолчанию загружаются только незаблокированные пользователи.

![Рисунок 2 Аналитическая форма "Управление пользователями"](./media/formInit.png){: .zoom}

Чтобы загрузить данные по заблокированным пользователям, необходимо поставить признак "Показывать заблокированных пользователей".

![Рисунок 3 Заблокированные пользователи](./media/withBlocked.png){: .zoom}

При выборе другой организации (при наличии) в таблицу пользователи из выбранной организации загрузятся автоматически.

![Рисунок 4 Список организаций](./media/filials.png){: .zoom}

На панели инструментов имеются кнопки для управления пользователями.

<!-- ![Рисунок 5 Панель инструментов](./media/buttons.png){: .zoom} -->

Кнопка **"Загрузка пользователей"** предназначена для загрузки пользователей в таблицу "Пользователи системы" из выбранной организации.

В таблицу "Пользователи системы" загружаются следующие данные о пользователях:

- ФИО – полные инициалы пользователя;
- Логин – логин пользователя;
- Электронная почта – рабочая электронная почта;
- Номер телефона – телефон для прохождения двухфакторной аутентификации;
- Родительские подразделения - указывается основная организация и подразделение пользователя;
- Подразделение – подразделение пользователя;
- Должность – должность пользователя;
- Код физического лица - содержит ссылку для перехода в справочник "Физическое лицо";
- Код работника - содержит ссылку для перехода в документ в справочник "Сотрудник";
- Редактирование горизонтальных прав – содержит ссылки для перехода в документ "Настройка пользователей";
- Замещаемые - сотрудники, которых может замещать пользователь в системе;
- Зарегистрирован в организациях - перечисление организаций, в которых зарегистрирован пользователь;
- Роли в текущей организации - перечисление ролей, которые даны пользователю в организации;
- Заблокирован – если пользователь заблокирован в системе, это будет отмечено галочкой;
- Руководитель - указывается является ли пользователь руководителем;
- Текущий сертификат ЭП - содержит ссылку для перехода в документ "Заявка на выпуск сертификата ЭЦП";
- Всего сертификатов - количество выпущенных сертификатов пользователя;
- Дата выпуска - дата выпуска текущего сертификата;
- Оригинал - проставляется галочка в заявке на выпуск сертификатов представителем отдела кадров при получении подписанных заявления и расписки в получении сертификата;
- Дата отзыва - дата отзыва предыдущего сертификата;
- Уведомления. Отправлено - если галочка стоит, то данному пользователю ранее было отправлено уведомление о регистрации его в системе;
- Уведомления. Первая дата отправки - указывается дата первой отправки уведомления пользователю о регистрации в системе
- Дата перехода на КЭДО - указывается дата согласия сотрудника на КЭДО;
- Дата отказа от КЭДО - указывается дата отказа сотрудника от КЭДО;
- Telegram вкл - указывается подключен ли мессенджер Telegram у пользователя;
- Доменная авторизация - указывается является ли пользователь доменным;
- SSO - указывается является ли пользователь доменным через SSO;
- Дата первого входа - дата первой авторизации пользователя в системе;
- Дата последнего входа - крайняя дата, когда пользователь заходил в систему;
- Последняя активность - крайняя активность пользователя в системе;
- Объект - указывает какой запрос, форму или печатную форму пользователь использовал последний раз;
- Форма - в случае использования в качестве объекта - форму, то указывает какую именно (Заявление от сотрудника, управление пользователями и т.д.);
- Браузер - указывается в каком браузере была активность пользователя;

### Создание пользователя

Существуют две схемы создания пользователей в системе

#### Схема 1 (Физ. лицо → Логин → Сотрудник)

1. Создать физическое лицо в справочнике ["Физические лица"](../../КЭДО/Физические лица/Физические лица.md). Заполнить поля "Фамилия", "Имя". Поле "Отчество" не является обязательным для заполнения. Пол определяется автоматически, но с возможностью изменения. Склонения ФИО заполняются автоматически.

![Рисунок Заполнение справочника "Физическое лицо"](./media/image1.png){: .zoom}

Создание физического лица возможно при помощи вложенной формы, доступной из вложенной формы "Создание пользователя" (см. п. 2). Для этого необходимо нажать на кнопку <img alt="Волшебная палочка" src="../media/magic.png">, заполнить перечисленные выше поля и нажать на кнопку "Сохранить". 

![Рисунок Заполнение справочника "Физическое лицо" на вложенной форме](./media/FLNestCreate.png){: .zoom}

Если данная кнопка отсутствует, необходимо обратиться к администратору системы.

2. На форме "Управление пользователями" нажать на кнопку **Создание пользователя** на панели инструментов. Откроется всплывающее окно со вложенной формой:

![Рисунок Окно создания нового пользователя](./media/createForm.png){: .zoom}

По умолчанию на форме проставляется выбранная администратором организация в поле "Организация" и роль "docflow", необходимая для работы с системой электронного документооборота. Подробнее про назначение ролей можно ознакомиться [ниже](#редактирование_пользователя).

Выбрать физическое лицо в поле "Физическое лицо". Тогда поля "Логин", "Пароль", "Фамилия", "Имя", "Отчество" заполнятся автоматически.
  
Указать рабочую электронную почту.

По необходимости можно настроить обязательность заполнения поля телефон. В случае если данное поле является необходимым для заполнения, необходимо обратиться к администратору системы для настройки.

"Включить уведомления через Telegram" - при включенной галочке пользователю, если он зарегистрирован в мессенджере, будут приходить уведомления о поступивших документах на обработку. Для данной настройки необходимо необходимо обратиться к администратору системы.

При создании пользователя, если в справочнике [физическое лицо](../../КЭДО/Физические лица/Физические лица.md) заполнены поля телефон и электронная почта, они автоматически заполняться в соответствующих полях. Для данной настройки необходимо необходимо обратиться к администратору системы.


!!! note

    * Правило формирования логина – ФамилияИО (на латинице);
    * В поле Пароль указывается пароль для первого входа в систему;
    * Пароль должен быть не менее 8 символов;
    * Номер телефона должен начинаться с +7.

![Рисунок 8 Пример заполнения обязательных полей](./media/createFormPartFilled.png){: .zoom}

Для назначения ролей пользователю есть два взаимоисключающих варианта.

1. С помощью таблицы "Назначить роли". Чтобы назначить роль пользователю, необходимо добавить строку в таблицу "Назначить роли" и выбрать значение из списка.

![Рисунок 9 Добавление роли с помощью таблицы](./media/createFormAddRoleToTable.png){: .zoom}

2. С помощью копирования ролей уже существующего пользователя. Если заполнить поле "Скопировать права", то роли в таблице "Назначить роли" будут проигнорированы. Роли у созданного пользователя будут теми же, что у выбранного в поле "Скопировать права" пользователя.

![Рисунок 10 Добавление роли с помощью копирования ролей](./media/createFormAddRoleByCopy.png){: .zoom}

После сохранения появятся оповещения: 

* "Пользователь зарегистрирован"
* "Роль "docflow" добавлена пользователю" (указание ролей меняется в зависимости от того какие роли были назначены)
* "Документ "Настройка пользователей" заполнен"
* "Письмо с логином и паролем на почту пользователя *логин пользователя* успешно отправлено".

Данные в таблице "Пользователи системы" обновятся автоматически. 

Кнопка "Закрыть" закрывает окно создания пользователя без сохранения введённых в поля данных (за исключением поля "Скопировать права").

1. Создать сотрудника в документе ["Сотрудники"](../../КЭДО/Сотрудники/Сотрудники.md). Выбрать физическое лицо. 

![Рисунок Заполнение справочника "Сотрудники"](./media/image2.png){: .zoom}

Все данные из справочника физического лица подтянутся. Также заполнятся данные из справочника пользователей - логин, адрес эл.почты, телефон (если был введен). Дата приема заполнится текущей датой. Нужно заполнить поля "Подразделение" и "Должность" согласно штатным единицам. Остальные поля являются не обязательными для заполнения.

![Рисунок Заполнение справочника "Сотрудники"](./media/image3.png){: .zoom}

#### Схема 2 (Сотрудник → Логин)

1. Создать сотрудника в [справочнике "Сотрудники"](../../КЭДО/Сотрудники/Сотрудники.md). Заполнить поля Фамилия, Имя, Отчество, Подразделение, Должность, Пол.

![Рисунок Заполнение справочника "Сотрудники"](./media/image4.png){: .zoom}

Сохранить документ. В этот момент создается Физическое лицо по этому сотруднику с заполненными склонениями ФИО:

![Рисунок Физическое лицо](./media/image5.png){: .zoom}

2. В документе "Управление пользователями" нажать кнопку "Создание пользователя" на панели инструментов. Выбрать Физическое лицо. Заполнить электронный адрес, привязать к справочнику физических лиц, назначить роли и сохранить.

![Рисунок Управление пользователями](./media/image6.png){: .zoom}

В момент сохранения пользователя логин запишется в справочнике физических лиц:

![Рисунок Физические лица. Вкладка "Контакты"](./media/image7.png){: .zoom}

В справочник сотрудников данные пользователя также подтянутся автоматически:

![Рисунок Физические лица. Вкладка "Контакты"](./media/image8.png){: .zoom}

В этой схеме не нужно возвращаться в справочник физических лиц и сотрудников. Данные по пользователю заполнятся автоматически.

При создании пользователя, если в справочнике [физическое лицо](../../КЭДО/Физические лица/Физические лица.md) заполнены поля телефон и электронная почта, они автоматически заполняться в соответствующих полях. Для данной настройки необходимо необходимо обратиться к администратору системы.

#### Доменная регистрация пользователя

Лексема также поддерживает доменную авторизацию. Для этого при создании пользователя нужно проставить признак "Доменная учетная запись"

![Рисунок Создание доменной учетной записи](./media/image9.png)

При этом добавится дополнительный признак "SSO", поле "Пароль" скроется из формы создания пользователя, логин нужно будет прописать вручную. Остальные поля заполняются как описано в предыдущих схемах создания пользователя.

При включении "SSO" появится возможность ввести имя домена:

![Рисунок Создание доменной учетной записи](./media/image10.png)

В случае отсутствии "SSO" дополнительные данные уточнять не нужно.

### Редактирование пользователя

Окно редактирования пользователя открывается по кнопке **"Редактирование пользователя"**, но для открытия окна необходимо выбрать пользователя из таблицы "Пользователи системы". Если пользователь не выбран, то выйдет оповещение:

![Рисунок 12 Информационное оповещение о необходимости выбора пользователя для редактирования](./media/warnChooseUser.png)

<!-- В зависимости от наличия роли **adminconsole_read** у пользователя функционал и название кнопки изменения пользователя будет отличаться. 

При включенной роли, кнопка будет называться **"Данные пользователя"**. В окне возможно только просмотреть данные о пользователе без возможности редактирования.

При выключенной роли, кнопка будет называться редактирование называться **"Редактирование пользователей"**. В открывшемся окне возможно назначить роли в организации, сделать привязку пользователя к физическому лицу, а также назначить права в другой организации.  -->

Чтобы открыть окно "Редактирование пользователей", необходимо выбрать требуемого пользователя из таблицы "Пользователи системы", выделив строку галочкой, и нажать на кнопку "Редактирование пользователей".

Если поставить галочку в поле "Заблокирован", расположенном под полем "Филиал", то при сохранении данных пользователь не сможет зайти в систему. Логин блокируется автоматически при увольнении работника. Для этого в карточке сотрудника нужно заполнить дату увольнения.

Если необходимо назначить права в нескольких организациях, то нужно выбрать другую организацию в блоке "Назначить права в организациях".

Если поставить галочку напротив поля "Перенос ролей", то роли пользователя, которые заданы в текущей организации, скопируются в выбранную другую; если галочка не установлена в этих организациях, то права назначаются по умолчанию в зависимости от выбранной заранее константы.

<!-- Про просмотра и назначение ролей можно почитать в разделе [Назначение ролей](../Регистрация пользователей/Регистрация пользователей.md#roles) -->

![Рисунок 13 Интерфейс для выбора ролей сотруднику](./media/editUserInit.png)

Кнопка "Выбрать" перед полем "Роли" позволяет перейти в документ настройки ролей. В открывшемся документе "Сотрудник" можно добавить роли пользователю:

![Рисунок 14 Интерфейс для выбора ролей сотруднику](./media/editRoles.png)

"Включить уведомления через Telegram" - при включенной галочке пользователю, если он зарегистрирован в мессенджере, будут приходить уведомления о поступивших документах на обработку. Для данной настройки необходимо необходимо обратиться к администратору системы.

<!-- Если в справочнике есть физическое лицо, то необходимо выбрать и нажать на кнопку "Привязать пользователя к справочнику физ.лиц". Если это единственные изменения, то после произведённой привязки на кнопку "Сохранить" нажимать нет необходимости.

!!! note

    Если в справочнике физических лиц нет необходимого лица, необходимо внести его в [справочник "Физические лица"](./../../../СЭД/Справочники/Общие справочники/Физические лица/Физические лица.md). 

В качестве примера можно поменять у тестового пользователя фамилию, имя, отчество и прикрепить к физическому лицу. Для сохранения изменений необходимо нажать на кнопку "Сохранить". При сохранении измененных данных появляется оповещение о том, что данные изменены. Таблица "Пользователи системы" обновляется автоматически.

![Рисунок 15 Окно редактирования пользователя](./media/editUser.png){: .zoom} -->

### Замещаемые

В данной форме можно назначить пользователю сотрудников, которых он cможет замещать в системе. Подробнее о работе под замещением можно ознакомится в статье ["Порядок работы с функцией "Замещение""](../../Руководство для руководителя/Функция замещения/Функция замещения.md). В табличной части "Период замещения" указывается на какой период действует замещение. Если даты не указаны, то замещение действует бессрочно. Для настройки замещения необходимо выбрать пользователя и нажать кнопку "Замещаемые" в панели инструментов. 

![Замещаемые](media/zamezhenie.png){: .zoom}

В открывшейся форме, в блоке "Замещаемые" необходимо выбрать сотрудников из выпадающего списка, по нажатию на кнопку "Добавить", которых данных пользователь сможет замещать в системе. 

![Добавление](media/addPerson.png)
![Добавленные](media/addPerson2.png)

Для сохранения изменений необходимо нажать на "Сохранить и закрыть".

После назначения замещения, у данного пользователя, в нашем случае у Макеева С.П., кликнув на верхней панели по логину, выбрав пункт "Компания/замещение" и выбрав компанию будут отображаться выбранные пользователи.

![Замещаемые2](media/zam2.png){: .zoom}

### Журнал действий пользователей

Кнопка **"Журнал действий пользователей"** позволяет просмотреть такую информацию о работе пользователей в системе как:

- Логин пользователя;
- ФИО пользователя;
- Подразделение;
- Должность;
- Сессия – идентификатор сессии;
- Событие – тип события;
- Объект – идентификатор модели или запроса;
- Параметры – параметры, с которыми загружаются или изменяются данные;
- Ключ маршрута – маршрут вкладки приложения, в которой была инициирована работа с данными;
- Ключ формы – ключ(свойство key) формы из файла описания юнитов units.json, которая открывается в данной вкладке;
- Идентификатор формы –  параметр-идентификатор в маршруте, по которому была открыта вкладка, например, идентификатор документа;
- Класс формы – класс формы, которая открывается в данной вкладке;
- Браузер – информация о браузере (название и версия);
- Запрос – идентификатор запросов на загрузку или изменение данных для отслеживания цепочки клиент-сервер;
- Дата – время вызова события;
- Идентификатор организации – идентификатор организации, в которой находился пользователь при вызове события.

При нажатии на кнопку "Журнал действий пользователей", если не выбран пользователь из таблицы "Пользователи системы", система показывает оповещение ***"Выберите пользователя из таблицы "Пользователи системы""***. 

![Рисунок 16 Информационное оповещение о выборе пользователя](./media/warnChooseUser.png)

Необходимо выбрать галочкой нужного пользователя, а затем на кнопку "Журнал действий пользователей". Откроется окно выбора **периода**, в рамках которого действовал пользователь.

![Рисунок 17 Окно выбора периода](./media/period.png)

После выбора периода откроется форма и автоматически загрузится информация о работе выбранного пользователя в системе:

![Рисунок 18 Просмотр данных о действиях пользователя в системе](./media/userActionsHistory.png){: .zoom}

Для просмотра информации по всем пользователям необходимо в самой форме "Журнал действий пользователей" выбрать период и нажать на кнопку "Загрузить":

![Рисунок 19 Расположение кнопок "Период" и "Загрузить" на форме](./media/CollectorAnalytFormButtons.png)

![Рисунок 20 Просмотр данных о системе по всем пользователям за выбранный период](./media/CollectorAnalytFormAllUsers.png){: .zoom}

### Сотрудники без логинов

Из формы "Управление пользователями" можно перейти к форме "Сотрудники без логинов", в которой можно найти основную информацию о сотрудниках из реестра "Сотрудники", у которых нет привязки к пользователю (логину) в системе. В столбцах "Подразделение" и "Должность" содержатся подразделение, к которому прикреплён сотрудник, и должность по последним имеющимся данным. В столбце "Родительские подразделения" указана иерархия родительских подразделений по отношению к указанному в столбце "Подразделение".

![Рисунок 21 Сотрудники без логинов](./media/EmployeesWithoutLoginsForm.png){: .zoom}

### Операции с ЭП {#Certs}

#### Посмотреть все электронные подписи пользователя

Из формы можно перейти к форме "Привязка сертификатов ЭЦП к пользователям", в которой можно создать и выбрать действующий сертификат ЭП для выбранного пользователя. Для этого необходимо выбрать пользователя из таблицы "Пользователи системы", к которому привязано физическое лицо, нажмите на кнопку "Операции с ЭП" и выберите "Посмотреть все электр.подписи пользователя".

![Рисунок 22 Выбор пользователя](./media/beforeCertButton.png){: .zoom}

Откроется форма "Привязка сертификатов ЭЦП к пользователям" с заполненными полями "Организация" и "Кому", а также таблицей с основными данными обо всех сертификатах пользователя.

![Рисунок 23 Открывшаяся форма](./media/certsForm.png){: .zoom}


#### Создать УНЭП Лексема

Из формы можно создать сертификат пользователю, у которого он отсутствует. Данная процедура автоматически создаст сертификаты пользователям исходя из условия что у данного пользователя нет действующих сертификатов и заявок на выпуск сертификата;
<!-- - В справочнике ["Сотрудники"](../../../СЭД/Справочники/Учет труда и кадров/Сотрудники/Сотрудники.md) у пользователя проставлена дата перехода на КЭДО;
- В настройках учетной политики настроена константа **Дата_принятия_положения_КЭДО** с заполненным значением - текст; -->

![УНЭП](media/UNEP.png){: .zoom}

По нажатию на кнопку "Создать УНЭП Лексема" система создаст выбранным пользователям, которые подходят по условия, электронные сертификаты. Поочередно в верхней панели поочерёдно появятся уведомления, сообщающие о произведённых действиях и событиях в системе:

- Сертификат создан;
- Создана заявка на выдачу сертификата;
- Создано заявление;
- Создана расписка;
- Сертификат готов к использованию.

![Уведомления](media/CertReady.png)

#### Распечатать пакет документов

Из формы можно при необходимости массово скачать заявление на выдачу и расписку в получении сертификата по нескольким пользователям. Для этого выберите из списка пользователей, у которых выпущены сертификаты, но отсутствует галочка в столбце "Оригинал получен", нажмите на "Операции с ЭП" и выберите "Распечатать пакет документов".

![Пакет документов](media/paketDocov.png)

Скачается архив, в котором будут находиться заявления и расписки по всем выбранным пользователям.

![Архив](media/archive.png){: .zoom}

## Уведомления о регистрации в системе  

Кнопка предназначена для отправки уведомления сотруднику о регистрации его в системе электронного документооборота. В реестре необходимо выбрать сотрудника, которому необходимо отправить уведомление и нажать на кнопку "Уведомление о регистрации в системе".

![Направить уведомления](media/sendingNotification.png){: .zoom}

**"Направить уведомления"** - пользователю направится уведомление с логином и паролем

На электронную почту придет уведомление о регистрации пользователя в системе.

**"Проставить дату перехода на КЭДО и направить уведомления"** - во всплывающем окне указывается дата перехода на кадровый электронный документооборот, проставленная дата автоматически проставляется в справочник "Сотрудники" по выбранному пользователю, а также в столбец "Дата перехода на КЭДО" в Управлении пользователями.

Пользователю на указанную почту приходит письмо с инструкцией по регистрации в системе.

![Письмо](media/mail.png){: .zoom}

## Проставить дату отказа от КЭДО

При отсутствии даты перехода КЭДО у сотрудника, можно заполнить ее при нажатии на кнопку "Проставить дату перехода на КЭДО". При заполнении дата автоматически проставляется в столбец "Дата перехода на КЭДО" и заполняется в форме [сотрудника](../../КЭДО/Сотрудники/Сотрудники.md).

В случае если сотрудник отказывается от участия в КЭДО, необходимо для такого сотрудника проставить дату отказа по нажатию на соответствующую кнопку:

- Дата отказа, равная дате приеме: дата отказа проставляется автоматически равной дате, когда сотрудник был принят на работу;

- Выбрать дату отказа: открывается всплывающее окно в котором дата отказа проставляется вручную;

В обоих случаях дата автоматически проставляется в столбец "Дата отказа от КЭДО" и заполняется в форме [сотрудника](../../КЭДО/Сотрудники/Сотрудники.md).

После проставления даты отказа от КЭДО система предложит заблокировать выбранного пользователя в системе. При блокировке у пользователя автоматически отзывается сертификат, если она была заполнена дата согласия на КЭДО, она автоматически стирается.

## Пользователи AD

При нажатии на кнопку происходит переход в реестр сопоставления учетных записей и Active Directory. 

![Пользователи](media/userADirectory.png){: .zoom}
![Реестр](media/registry.png){: .zoom}