# Форма корректировки маршрутов согласования

## Описание 

С помощью данной формы возможно корректировать **незавершенные** маршруты в документах. Для открытия формы необходимо перейти в Меню - Управление процессами - Форма корректировки маршрутов согласования. Подробнее о работе с маршрутами можно ознакомиться в соответствующей [статье](../../КЭДО/Работа с маршрутами/Работа с маршрутами.md).

![Форма](media/form.png)

Чтобы скорректировать маршрут согласования, необходимо выбрать соответствующий документ. В табличной части будет отображен маршрут согласования документа.

![Выбор](media/select.png)

## Переход в документ

Чтобы открыть новый документ, необходимо нажать на кнопку **"Перейти в документ"**.

![Переход](media/perehod.png)
![Заявление](media/zayavlenie.png)

## Добавление этапа

Чтобы добавить новый этап, необходимо выбрать **текущий этап либо любой незавершенный этап** и нажать кнопку **"Добавить этап"**. Во всплывающем окне необходимо выбрать сотрудника и действие в маршруте. Также возможно назначить срок обработки по данному документу (если не указывать, по умолчанию проставляется 2 рабочих дня).

![Новый этап](media/novyiEtap.png)

Добавится новый этап с выбранным сотрудником и действием.

![Этап](media/etap.png)

!!! warning
    Нельзя добавлять новые этапы между завершенным и текущим этапом о чем оповестит система.

    ![Внимание](media/warning.png)

## Добавление участника

Чтобы добавить нового участника, необходимо выбрать **текущий либо любой другой этап со статусом "Ожидание"** и нажать кнопку **"Добавить участника"**. Во всплывающем окне необходимо выбрать участника и действие в маршруте. Также возможно назначить срок обработки по данному документу (если не указывать, по умолчанию проставляется 2 рабочих дня). 

![Новый участник](media/novyiUchastnik.png)

В выбранный этап добавится новый участник. При добавлении нового участника в текущий этап ему направляется уведомление.

![Участник](media/uchastnik.png)

## Удаление этапа

Чтобы удалить этап необходимо выбрать **этап со статусом "Ожидание"** и нажать кнопку "Удалить". Чтобы удалить текущий этап – нужно удалить внутри этого этапа всех участников. Во всплывающем окне необходимо подтвердить удаление.

![Удаление](media/delete.png)

После подтверждения, этап будет удален.

![Удаление1](media/delete1.png)

!!! warning
    Нельзя удалять текущий этап о чем оповестит система.

    ![Удаление](media/push1.png)

## Удаление участника

Чтобы удалить этап необходимо выбрать **текущий либо любой другой этап со статусом "Ожидание"** и нажать кнопку "Удалить". Во всплывающем окне необходимо подтвердить удаление.

![Удаление участника](media/deleteUchastnik.png)

После подтверждения, участник будет удален. При удалении участника в текущем этапе ему направляется уведомление об удалении.

![Удаление](media/delete3.png)

![Почта](media/mail.png)

Статус этапа | Очередность этапа в маршруте | Количество участников в этапе | Результат
-------------|------------------------------|-------------------------------|----------
Текущий | Не последний | 2 | Удаляется участник
Текущий | Не последний | 1 | Текущий этап удаляется, участникам нового текущего этапа направляется уведомление об обработке документа
Текущий | Последний | 1 | Текущий этап удаляется, маршрут завершается
Ожидание | - | 2 | Удаляется участник
Ожидание | - | 1 | Этап полностью удаляется


## Замена участника

Чтобы заменить участника необходимо выбрать **текущий либо любой другой этап со статусом "Ожидание"** и нажать кнопку **"Заменить участника"**. Во всплывающем окне необходимо выбрать участника и подтвердить выбор.

![Замена](media/zamena.png)

После подтверждения выбранный участник будет заменен. В случае если участник был заменен на текущем этапе, то ему будет направлено уведомление.

![Замена](media/zamena2.png)

![Почта](media/mail2.png)

## Изменить сроки обработки

Чтобы изменить сроки обработки документа у сотрудника, необходимо выбрать **текущий либо любой другой этап со статусом "Ожидание"** и нажать кнопку **"Изменить сроки обработки"**. Во всплывающем окне необходимо указать сроки обработки (дни либо часы) и подтвердить выбор.

![Срок обработки](media/srokObrabotki.png)

После подтверждения у сотрудника будут назначенные отредактированные сроки.

![Сроки](media/sroki2.png)

## Вернуть на один этап

Чтобы вернуть документ на предыдущий этап, например для дополнительного согласования, необходимо выбрать **текущий этап** и нажать кнопку **"Вернуть на один этап"**. Во всплывающем окне необходимо выбрать участника, выбрать действие и при необходимости назначить срок обработки. После чего подтвердить выбор.

![Вернуть](media/vernut.png)

После подтверждения в предыдущий этап будет добавлен новый пользователь. При добавлении нового участника в текущий этап ему направляется уведомление. Также уведомление направляется пользователю, который находился на текущем этапе, о том что документ вернули на предыдущий этап.

![Возврат](media/vozvrat1.png)

![Почта](media/mail3.png)

## Пропустить этап

Чтобы пропустить этап текущий этап согласования, необходимо выбрать **текущий этап** и нажать кнопку **"Пропустить этап"**. Во всплывающем окне необходимо подтвердить выбор. Документ автоматически будет направлен далее по маршруту согласования. Эта функция полезна в случаях, когда документ срочно требуется подписать HR, а мнение согласующего лица, задерживающего процесс, не является критичным для факта увольнения и оформления документации.

![Пропуск](media/propusk.png)
![Пропуск](media/propusk2.png)
![Пропуск](media/propusk3.png)