# Личный кабинет руководителя

## Описание

Личный кабинет руководителя – это аналитическая форма для руководителя отдела, которая включает в себя структуру компании, графики отпусков сотрудников, состояние всех документов сотрудников, архивы документов, документы сотрудников с истекшим сроком обработки, базу нормативных документов, табель учета рабочего времени сотрудников.

Для открытия формы необходимо в панели виджетов нажать кнопку "В личный кабинет руководителя".

![Меню](media/menu.png)

Откроется следующая форма с вкладками:

* [Сотрудники и руководители](#сотрудники_и_руководители) - структура компании;
* [Мои сотрудники](#мои_сотрудники) - сотрудники руководителя по организационной и управленческой структуре;
* [Графики отпусков](#графики_отпусков) - графики отпусков сотрудников подразделения руководителя;
* [Замещения](#замещения) - сотрудники, которые замещают руководителя подразделения;
* [Документы моих сотрудников](#документы_моих_сотрудников) - документы сотрудников подразделения руководителя;
* [Проверить просроченные документы](#проверить_просроченные_документы) - просроченные документы сотрудников подразделения руководителя;
* [Архив документов](#архив_документов) - архив с вложенными файлами в документах;
* [База нормативных актов](#база_нормативных_актов) - форма по нормативным документам;
<!-- * [Табели](#табели) - табели учета рабочего времени сотрудников руководителя; -->

![Форма](media/form.png){: .zoom}

## Сотрудники и руководители

На данной вкладке отображается структура компании (отделы, сотрудники, руководители). При выборе любого подразделения в дереве подразделений, например, "Администрация УК" или "Канцелярия УК", будет отображаться руководитель, указанный в справочнике ["Подразделения"](../../КЭДО/Подразделения/Подразделения.md).

![Руководитель](media/rukovoditel.png){: .zoom}

Для поиска подразделения по структуре компании, необходимо нажать на кнопку поиска. В открывшемся окне необходимо ввести название подразделения и нажать кнопку "Поиск". Система найдет ближайшее подразделение по подчиненности.

![Подразделение](media/podraz.png)

Если в структуре несколько подразделений с похожим названием, в поиске необходимо нажать кнопку "Далее". Система найдет следующее подразделение.

![Подразделение](media/podraz1.png)

### Замещения

При нажатии на кнопку, открывается форма [замещаемые](../../Руководство для HR/Управление пользователями/Управление пользователями.md#замещаемые), в которой возможно посмотреть либо назначить пользователю сотрудников, которых он может замещать в системе. Для этого необходимо выбрать подразделение, затем во вкладке "Сотрудники" выбрать необходимого сотрудника и нажать на кнопку "Замещения".

![Замещение](media/zameshenie1.png)
![Замещение](media/zameshenie.png)

### Отправить уведомление

В системе электронного документооборота можно направлять пользователям сообщения, и они будут находиться у них в панели документооборота как напоминание. Для этого необходимо выбрать одного либо несколько пользователей, которым необходимо направить уведомление и нажать кнопку "Отправить уведомление". В открывшемся окне указывается текст сообщения. Чтобы отправить необходимо нажать кнопку "Ок".

![Уведомление](media/uvedom.png)

В верхней панели появится уведомление что сообщения было направлены. ![Сообщение](media/message.png)

У пользователей, которым были направлены сообщения, в панели документооборота во вкладке на обработку появится документ.

![Борисов](media/borisov.png)

![Сообщение](media/message2.png)

<!-- !!! note
    Для отправки сообщений должен быть настроен [конструктор документов](../../../Admin manuals/СЭД/Конструктор документов/Конструктор документов.md). Группа - **Уведомления Lexema**. Подтип - **Сообщение от руководителя**

    ![Конструктор](media/constuctor.png) -->

### Вкладка "Сотрудники"

На данной вкладке показаны все сотрудники, работающие в данном подразделении.

![Сотрудники](media/sotrudniki.png){: .zoom}

В столбце "Является пользователем КЭДО" признак отображается у сотрудников, которые являются пользователем системы кадрового электронного документооборота.

В столбце "Штатный руководитель" признак отображается у сотрудников, которые указаны как руководители [подразделений](../../КЭДО/Подразделения/Подразделения.md).

![Руководитель](media/ruk.png)

В столбце "Подписант подразделения" признак отображается у сотрудников, у которых настроено право подписи.

В столбце "Функциональный руководитель сотрудника" отображаются сотрудники, которые указаны как руководители у сотрудников.

![Пользователь](media/rukPol.png)

### Вкладка "Службы HR и расчетный отдел"

На данной вкладке отображаются специалисты HR, а также бухгалтеры по заработной плате.

![HR](media/hr.png)

## Мои сотрудники

На данной вкладке отображаются сотрудники подразделения по организационной структуре.

![Сотрудники_2](media/sotrudniki2.png)

**Замещения** - при нажатии на кнопку, открывается форма [замещаемые](../../Руководство для HR/Управление пользователями/Управление пользователями.md#замещаемы), в которой возможно посмотреть либо назначить пользователю сотрудников, которых он может замещать в системе. Подробнее описано [выше](#замещения).

**Отправить уведомление** - в системе электронного документооборота можно направлять пользователям сообщения, и они будут находиться у них в панели документооборота как напоминание. Подробнее описано [выше](#отправить_уведомление).

## Графики отпусков

На данной вкладке отображаются графики отпусков сотрудников руководителя. В форме отображаются графики за все года, которые заведены в системе. Для отображения графика отпусков, необходимо выбрать организацию и нажать кнопку "Сформировать". Чтобы развернуть группу, нужно нажать на треугольник слева от поля с годом / в строке с годом. Подробнее о работе с данной формой можно ознакомиться в соответствующей [статье](../../Руководство для HR/График отпусков/График отпусков.md)

![График отпусков](media/grafikOtpuskov.png)

## Замещения

На данной вкладке отображаются пользователи, которым назначено право [замещать](../Функция замещения/Функция замещения.md) руководителя.

![Помощники](media/pomozhniki.png)

## Документы моих сотрудников

На данной вкладке отображаются документы сотрудников подразделений. Подробнее о данной форме можно ознакомиться в статье ["Журнал состояния документов"](../../КЭДО/Анализ и отчетность/Анализ и отчетность.md#журнал_состояния_документов).

![Документы сотрудников](media/docsMyEmployee.png)

## Проверить просроченные документы

На данной вкладке отображаются просроченные документы сотрудников подразделения. Подробнее о работе с данной формой можно ознакомиться в разделе ["Просроченные документы СЭД"](../../КЭДО/Анализ и отчетность/Анализ и отчетность.md#просроченные_документы_сэд). Чтобы сформировать табличную часть необходимо нажать на кнопку **"Сформировать"** на панели инструментов.

![Просрочка](media/prosrochka.png)

### Просроченные задачи

На данной вкладке отображается форма по просроченным документам.

![Просроченные документы](media/prosrochka2.png)

### Дашборд

На данной вкладке просроченные документы отображаются в виде дашборда.

![Дашборд](media/dashboard.png)

## Архив документов

С данной вкладки при необходимости можно скачать вложенные в документы вложения. Для заполнения таблицы необходимо нажать кнопку "Сформировать". Подробнее о работе с данной формой можно ознакомиться в разделе ["Архив документов"](../../СЭД/Работа со вложениями/Работа со вложениями.md#архив_документов). Чтобы сформировать табличную часть необходимо нажать на кнопку **"Сформировать"** на панели инструментов.

![Архив](media/archive.png)

## База нормативных актов

На данной вкладке отображается форма по локально-нормативным актам. Подробнее о работе с данной формой можно ознакомиться в разделе [Отчет по ЛНД](../../КЭДО/Анализ и отчетность/Анализ и отчетность.md#отчет_по_лнд). Чтобы сформировать табличную часть необходимо нажать на кнопку **"Сформировать"** на панели инструментов.

![База ЛНД](media/bazaLND.png)

<!-- ## Табели

На данной вкладке отображаются табели учета рабочего времени сотрудников. -->