# Заявка в плановый график отпусков

## Описание

**Заявка в плановый график отпусков** – это документ, который заполняет сотрудник, чтобы официально запросить использование своего годового отпуска в определенный период времени. Эта заявка является необходимым шагом для того, чтобы руководство компании могло учесть желания сотрудника и включить их в плановый график отпусков.

При заполнении плановых периодов отпусков необходимо соблюдать следующие правила:

* Одна из частей запланированного отпуска должна быть продолжительностью не менее 14 календарных дней;
* Количество дней отпуска к распределению должно соответствовать количеству дней отпуска, которые могут быть запланированы на предстоящий календарный год;
* Работник обязан распределить все доступные для планирования дни отпуска и не оставлять их неиспользованными;
* Нерабочие праздничные дни, выпадающие на период отпуска, при подсчете запланированных дней отпуска не учитываются;
* Планирование осуществляется в календарных днях (без разрыва на выходные дни);
* Планирование отпуска исключительно на выходные дни не допускается;

## Работа с формой

Чтобы подать заявку необходимо перейти в Меню - Планирование отпусков - Заявка в плановый график отпусков и в открывшемся реестре нажать кнопку "Создать".

Откроется форма.

![Форма](media/form.png)

Если сотрудник уже подавал заявку в рамках запланированного графика, то система уведомит об этом и предложит открыть ранее поданную заявку.

![Уведомление](media/uvedom.png)

Поле **«Количество дней отпуска к распределению»** – отражается количество дней отпуска, доступных работнику для распределения на следующий календарный год, включая, например:

* ежегодный основной оплачиваемый отпуск;
* дополнительный оплачиваемый отпуск за ненормированный рабочий день; 
* дополнительный оплачиваемый отпуск за работу в районах Крайнего Севера и приравненных к ним местностям;
* дополнительный оплачиваемый отпуск работникам, занятым на работах с вредными и (или) опасными условиями труда.

Доступные виды и количество дней отпуска отображаются во вкладке "Виды и дни отпуска к распределению".

![Дни](media/days.png)

Поле **«Осталось распределить дней отпуска»** - рассчитывается автоматически по мере заполнения формы планирования и представляет собой разность между количеством дней, доступных для планирования на предстоящий календарный год, и количеством дней отпуска, уже запланированных (распределенных) на предстоящий календарный год.

Чтобы добавить отпуск необходимо в табличной части нажать кнопку "Добавить"

В столбец **"Период отпуска"** указывается дата начала и окончания отпуска, при этом столбец **"Количество дней"** рассчитается автоматически. Также возможно назначить дату начала отпуска и заполнить количество дней. В этом случае дата окончания отпуска рассчитается автоматически. Столбец **"Примечание"** заполняется при необходимости, например, если необходимо дополнить какой-то информацией для руководителя.

Если сотрудник распределил не все количество дней отпуска, система оповестит об этом.

![Остались дни](media/days2.png)

Пример заполненной заявки в плановый график отпусков выглядит следующим образом:

![Заявка](media/desk.png)

При нажатии на "Печать" в панели инструментов формируется печатная форма планового отпуска по сотруднику.

![Печать](media/pecat.png)

После заполнения заявки ее необходимо направить на согласование руководителю. Для этого в панели инструментов необходимо нажать "Маршрут" и после этого выбрать "Подписать ЭП".

![Маршрут](media/route.png)