# Личный кабинет сотрудника

Личный кабинет сотрудника включает в себя персональные данные сотрудника, стаж работы, «зарплатную ведомость», оставшиеся дни отпуска, отправленные документы и локальные нормативные акты.

Чтобы открыть форму, необходимо выбрать пункт «Личный кабинет» в плиточном меню.

![Меню профиля](./media/MenuProfil.png)

Откроются личные данные текущего сотрудника.

## Персональные данные

На данной вкладке отображаются личные данные сотрудника. 

![Персональные данные](./media/PersonWork.png)

При нажатии на кнопку **"Другие места работы"** в табличной части будут отображены филиалы холдинга, в которой сотрудник работает по совместительству.

![Сорг](media/corg.png)

## Документы

На данной вкладке отображаются паспортные данные сотрудника, ИНН, СНИЛС, об образовании и военном билете.

Если данные по документам изменились, сотрудник может направить запрос на изменение. Для этого необходимо нажать на кнопку "Запрос изменение данных" в нужном разделе, например, "Данные паспорта".

![Запрос](media/PersonWork2.png)

После нажатия на кнопку откроется документ "Заявление от сотрудника" с выбранным подтипом. В блоке "Реквизиты документа" необходимо ввести данные, которые необходимо изменить и нажать кнопку «Заполнить шаблон» для отправки документа по маршруту.

![Персональные данные-заявление](./media/NewINN.png)

Более подробно про заполнение документа можно ознакомиться в разделе: ["Заявления от сотрудников"](../../КЭДО/Заявления от сотрудников/Заявления от сотрудников.md)

## Состав семьи

На данной вкладке отображаются данные о семье сотрудника. Если данные изменились, сотрудник может направить запрос на изменение также как и при изменении [паспортных данных](#документы).

![Семья](media/family.png)

## Расчетный листок

На данной вкладке отображается период работы сотрудника и ссылка на "Расчетный листок".

![Персональные данные-расчетный лист](./media/VkladkaRaschList.png)

После клика по ссылке с наименованием "Расчетный лист" откроется печатная форма "Расчетный листок".

![Персональные данные-расчетный листок](./media/RaschList.png)

## Графики отпусков

На данной вкладке отображается график отпусков сотрудника. В форме отображаются графики отпусков за все года. Для отображения графика отпусков, необходимо выбрать организацию. Чтобы развернуть группу, нужно нажать на треугольник слева от поля с годом / в строке с годом.

![График](media/grafik.png)

Пользователь, обладающий определенными правами, имеет возможность создать заявление на отпуск, перенос или компенсацию в соответствии с его графиком отпусков. Для этого нужно выбрать необходимую строку с отпуском в графике и нажать на "Создать заявление"  и в выпадающем списке выбрать необходимый тип заявления.

![Лукап](media/lookup.png)

После выбора соответствующего действия, связанного с отпуском, например, создание заявления на отпуск, в новой вкладке появится форма подачи заявления на ежегодный отпуск, в которой автоматически будет заполнены реквизиты документа.

![Заявление из лукапа](media/statementLookup.png)

## Остаток отпуска

На данной вкладке отображается текущий стаж работы сотрудника, запланированные дни отпуска, использованные и оставшиеся дни отпуска. 

<!-- ![Персональные данные-отпуск](./media/otpusk.png) -->

## Мои заявления

На данной вкладке отображаются документы, созданные сотрудником.

![Персональные данные-заявления](./media/PersonStatement.png){: .zoom}

Документы сгруппированы по подтипу документа. Чтобы показать все документы определенного подтипа
необходимо нажать на значок ![](./media/icon.png) откроется перечень созданных документов.

![Персональные данные-заявления документы](./media/PersonStatement2.png){: .zoom}

<!-- Столбец **"Открыть"** содержит код (гиперссылку) для перехода к основному документу. Чтобы перейти к соответствующему документу необходимо нажать на гиперссылку.

![Персональные данные-заявления ссылка](./media/PersonStatement3.png){: .zoom} -->

Столбец **Статус** предоставляет информацию о текущем состоянии маршрута каждого документа. Статус маршрута имеет несколько значений:

![](./media/NotRunning.png) "Не запущен" - маршрут не был создан.

![](./media/Current.png) "Текущий" - документ отправлен по маршруту, но еще не прошел всех участников маршрута.

![](./media/Cancel.png) "Отменен" - документ отменен, а маршрут удален.

![](./media/Finish.png) "Завершен" - документ прошел по маршруту.

В столбце **"Вложение"** отображается информация о вложенном файле. Для просмотра вложенного файла, нужно нажать на значок вложения. Содержимое вложения откроется в правой части окна.

![Персональные данные-заявления вложения](./media/AttachedFile.png){: .zoom}

Столбцы **"Дата", "Номер", "Документ"** отображают соответствующую информацию, такую как дата создания документа, номер документа и тип документа.

![Персональные данные-заявления документ](./media/PersonTdoc.png){: .zoom}

В столбце **"Текущие участники маршрута"** показаны участники маршрутов, которые находятся на данном этапе. Это поле пустое, если статус маршрута «Завершен».

Столбец **"Организация"**  отображает в какой организации холдинга был создан документ. 

Столбец  **"Тиражированная копия по совместительству"** показывает, были ли копии документа сделаны другими организациями холдинга.

![Персональные данные-заявления данные](./media/PersonStatement4.png){: .zoom}

## Нормативные акты

На данной вкладке отображаются «Локальные нормативные документы», переданные сотруднику для ознакомления и ранее прочитанные им.

![Персональные данные-ЛНД](./media/PersonLND.png){: .zoom}

Столбец **"Открыть"** содержит код (гиперссылку) для перехода к основному документу. Чтобы перейти к соответствующему документу необходимо нажать на гиперссылку.

Столбец **Статус** предоставляет информацию о текущем состоянии маршрута каждого документа.

В столбце **"Вложение"** отображается информация о вложенном файле. Для просмотра вложенного файла, нужно нажать на значок вложения. Содержимое вложения откроется в правой части окна.

Столбцы **"Дата", "Номер", "Документ"** отображают соответствующую информацию, такую как дата создания документа, номер документа и тип документа.

В столбце **"Краткое содержание"** отображаются краткое содержание локально-нормативного документа.

В столбце **"Организация"**  отображается в какой организации холдинга был создан документ.

## Архив документов

С данной вкладки при необходимости можно скачать вложенные в документы вложения. Для заполнения таблицы необходимо нажать кнопку "Сформировать". Подробнее о работе с данной формой можно ознакомиться в разделе ["Архив документов"](../../СЭД/Работа со вложениями/Работа со вложениями.md#архив_документов).

![Архив документов](media/archiveDoc.png)

## История операций

На данной вкладке отображаются все документы сотрудника. Подробнее о данной форме можно ознакомиться в статье ["История операций"](../../СЭД/История операций/История операций.md).

![История](media/history.png)