# Выпуск облачной неквалифицированной электронной подписи в Lexema-ECM пользователем

## Общее описание

Система "Lexema-ECM" поддерживает выпуск облачной неквалифицированной подписи (УНЭП) пользователям системы и подписание ей документов. Более подробно про УНЭП можно узнать в разделе [Виды электронных подписей](../../КЭДО/ЭП/Виды%20ЭП.md).

Пользователь может самостоятельно выпустить УНЭП при помощи интерфейса окна "Документооборот".

В случае если пользователь не привязан к сотруднику, самостоятельно выпустить ОНЭП не получится.

## Работа с формой

Для создания заявления на выдачу сертификата необходимо в окне "Документооборот" перейти на вкладку "Электронные подписи".

![Рисунок 1 Вкладка "Сертификаты"](./media/CertTab.png)

На вкладке расположена кнопка "Выпустить сертификат электронной подписи" и таблица "Выбрать активный сертификат", в которой должны отображаться основные данные о сертификате, а также гиперссылки на автоматически генерируемые печатные формы заявления на выдачу и расписки в получении сертификата УНЭП.

!!! warning
    Перед выпуском сертификата необходимо обратить внимание на выбранную организацию текущего пользователя. При выпуске сертификата пользователь должен быть привязан к физическому лицу (ФЛ) текущей организации.  

!!! warning
    На проекте может быть настроено, что в случае если у сотрудника не указана дата перехода на кадровый электронный документооборот, то выпустить сертификат не получится.

После выбора организации необходимо нажать на кнопку "Выпустить сертификат электронной подписи".

Поочерёдно появятся уведомления, сообщающие о произведённых действиях и событиях в системе:

- Сертификат создан;
- Создана заявка на выдачу сертификата;
- Создано заявление;
- Создана расписка;
- Сертификат готов к использованию.

![Рисунок 2 Пример группы уведомлений](./media/CertReady.png)

В таблице "Выбрать активный сертификат" появится новая строка с информацией по только что созданному сертификату.

Столбец "Выбрать" предназначен для выбора используемого для подписания пользователем сертификата ЭП. Если у пользователя не было созданных ранее сертификатов, новый сертификат будет выбран по умолчанию. Если у пользователя уже есть выбранный для подписи действующий сертификат ЭП, то, чтобы использовать для подписания новый сертификат, необходимо включить соответствующую опцию (поставить галочку) в поле "Выбрать".

Столбец "Субъект" предназначен для отображения информации по токенам. Для облачных сертификатов значение этого столбца не заполняется.

В столбце "Отпечаток" содержится краткое наименование сертификата.

В группе "Период" содержится период действия сертификата: начиная с даты, указанной в столбце "с", и до даты, указанной в столбце "по".

Столбец "Облачная" указывает, является ли ЭП облачной.

Столбец "Квалифицированная" указывает, является ли ЭП квалифицированной. Если галочки нет, ЭП – неквалифицированная.

В столбцах "Заявление" и "Расписка" содержатся гиперссылки на автоматически генерируемые печатные формы заявления на выдачу и расписки в получении сертификата УНЭП.

В столбце "Дата загрузки" содержится дата загрузки сертификата в систему.

![Рисунок 3 Пример созданного сертификата](./media/CertExample.png)

!!! note
    В настройках системы администратор системы устанавливает максимальное количество действующих сертификатов в системе. Если лимит достигнут, кнопка по выпуску сертификатов автоматически скрывается.

После создания сертификата УНЭП пользователю будет необходимо **распечатать** заявление на выдачу и расписку в получении сертификата, **подписать** "мокрой" их подписью и **отнести** в отдел кадров либо подписать действующей ЭП, если такая есть.

После доставки подписанных заявления и расписки представителю отдела кадров необходимо в соответствующем документе реестра "Заявки на выпуск сертификатов ЭП" отметить галочкой поле "Оригинал получен", вложить подписанные документы в данную заявку и сохранить изменения.

![Оригинал получен](media/ECPCertificateApplicationDoc.png){: .zoom}

В случае если пользователь своевременно не предоставил данные документы, ему будут направлено уведомление о необходимости сдачи оригиналов документов. В теле письма будут кликабельные ссылки на документы.

![Сертификат](media/sert.png)