# Система обучения

## Описание

В системе обучения собраны программы обучения, которые сотрудник прошёл или ему предстоит пройти. Из этой системы он может открыть любой курс и начать обучение по нему, либо пройти тестирование по темам.

## Программы обучения

Перейдите в Меню - Система дистанционного обучения - Справочники - Система обучения.

![Меню](media/menu.png)

В открывшейся форме будет отображены доступные и завершенные программы обучения. В доступных и завершенных программах обучения могут быть разные типы:

* Активная - программа, по которой в данный момент проходит обучение;
* Не сдано - программа, по которой сотрудник не сдал тестирование;
* Для изучения - это программы, на которые сотруднику нужно записаться для обучения;
* Выполненная - программа, по которой тестируемый прошел обучение.

Каждая программа имеет свою цветовую гамму.

![Программы обучения](media/program.png){: .zoom}

Для просмотра всех программ, нажмите на кнопку "Посмотреть все". Откроется новая вкладка "Программы обучения сотрудника"со списком всех программ обучения. В данной вкладке отображаются программы, по которым обучение проходит в данный момент, доступные и завершенные программы обучения.

![Грид](media/grid.png)

При нажатии на любую программу обучения откроется отдельная вкладка с информацией по данной программе, а именно: описание, модули тем, из которых состоит обучение, и их статус. У успешно завершённых программ в статусах будет отображаться зелёная галочка. Через панель инструментов можно вернуться в систему обучения.

![Программа](media/program1.png)

При нажатии на кнопку "История тестирования" можно посмотреть историю прохождения тестов.

![История тестирования](media/history.png)

По клику на название темы, например "Сложение чисел", откроется новая вкладка, в которой будет описание, название программы и темы. В табличной части отображаются материалы и тесты к теме.

![Модуль](media/modul.png){: .zoom}

При нажатии на ссылку "Модуль 1" произойдет автоматическая переадресация на прохождение тестирования.

![Тестирование](media/testirovanie.png){: .zoom}

В открывшейся вкладке "Тестирование" отображается название теста и время для прохождения:

![Тест](media/test1.png){: .zoom}

## Прохождение тестирования

В открывшейся вкладке "Тестирование - Идет тестирование" можно посмотреть оставшееся время на прохождение тестирования.

![Время](media/time.png)

В тесте может быть предусмотрен показ правильных/неправильных ответов во время/после тестирования.

* Зеленый блок - на вопрос ответили верно;
* Красный блок - на вопрос ответили неверно;
* Серый блок - на вопрос не ответили;

![Вопросы](media/voprosy.png){: .zoom}

_После выбора ответа необходимо нажать **"Принять ответ"**._ Если блок с вопросом окрасился, означает что можно вернуться на предыдущий вопрос и посмотреть правильный ответ. Правильный ответ будет отмечен зеленым цветом, неправильный красным.

![Ответы](media/otvety.png)

Форма вопроса «Сопоставление» применяется, когда обучающийся должен сопоставить правильный ответ к вопросу.

![Сопоставление](media/sopostavlenie.png){: .zoom}

Форма вопроса с типом «Выбор варианта» - ответом будет выбор строки при помощи галочки

!!! note
    Следует обратить внимание, что бывают вопросы с одним вариантом ответа и с несколькими. Обратите внимание на примечание под вопросом.

![Выбор](media/vybor.png){: .zoom}

Форма вопроса "Введите текст ответа" - ответом будет текст, введённый пользователем вручную.

![Ввести ответ](media/vvedi.png){: .zoom}

Как только на все вопросы будут приняты ответы, наступает окончание тестирования. По окончанию появится всплывающее окно с результатом.

![Успешно](media/itog.png)

Прохождение теста с неудовлетворительной оценкой возможно, если тест не является обязательным. При нажатии на крестик при завершении теста или при переходе по ссылке на тест из истории, можно увидеть вторую вкладку в тесте: Результат.

Во вкладке "Результат" отображается статистика и количество попыток на прохождение тестов

![Результат](media/rezultat.png)