# "Виды договоров"

## Общее описание назначения документа

Документы реестра "Виды договоров" предназначены для составления списка возможных видов договоров.

## Реестр

Для открытия реестра необходимо в меню в группе "Учет договоров", подгруппе "Справочники" выбрать пункт "Виды договоров".

![Рисунок 1 Меню](./media/menu.png)

Откроется реестр документов.

![Рисунок 2 Реестр "Виды договоров"](./media/registry.png){: .zoom}

Для создания нового документа необходимо нажать на кнопку "Создать" на верхней панели инструментов

![](./media/create.png)

## Документ

В документе "Вид договора" содержатся три вкладки: "Информация", "Оповещения" и "Кураторы".

Обязательным полем для заполнения является только "Наименование" вида договора на **вкладке "Информация"**.

При выборе типа договора данный вид  договора будет активен только для указанного типа. Если тип договора не выбран, то вид договора активен для всех типов договоров.

При помощи полей "Действует с" и "по" можно указать период времени, в течение которого данный вид договора будет действовать в системе. По истечению заданного срока при создании документов данный вид не будет предложен. Если даты в полях не указаны, то вид договора считается бессрочным.

При наличии модуля складского учета в системе можно выбрать одно из полей: "Показывать только в Приходе" или "Показывать только в Расходе", чтобы при создании приходных или расходных накладных осуществлялась фильтрация при выборе договора по его виду.

![Рисунок 3 Пример вкладки "Информация"](./media/docExampleInfo.png)

На **вкладке "Оповещения"** можно настроить почтовую рассылку оповещений об окончании действия договора выбранного вида. 

В поле "Оповещение об окончании срока действия договора за (кол-во дней)" необходимо прописать, за сколько дней до окончания срока действия договора необходимо прислать оповещение. 

Включение опции "Всегда оповещать" влияет на поле "Уведомлять при истечении срока ..." в договорах. Если опция "Всегда оповещать" включена, то после выбора данного вида договора опция "Уведомлять при истечении срока ..." при создании договора будет включена автоматически и будет недоступна для редактирования. Если опция "Всегда оповещать" не включена, то после выбора данного вида договора опция "Уведомлять при истечении срока ..." при создании договора по умолчанию будет отключена, но будет доступна для редактирования.

Включение опции "Оповещать подразделения" позволяет осуществлять оповещение об истечении срока действия договора по всем указанным в договоре подразделениям, для которых были заполнены данные об адресе электроной почты.

Включение опции "Оповещать куратора" позволяет осуществлять оповещение об истечении срока действия договора указанного в договоре куратора.

При заполнении таблицы "Роль" оповещение об истечении срока действия договора придет всем пользователям, обладающим хотя бы одной из указанных ролей.

При заполнении таблицы "Адрес почты" оповещение об истечении срока действия договора придет на указанные в таблице электронные почты.

При заполнении таблицы "Должность" оповещение об истечении срока действия договора придет всем пользователям, занимающим указанные в таблице должности.

В таблице "Дни оповещения" можно указать, в какой день недели должно приходить оповещение об истечении срока действия данного вида договора. В этом случае оповещение придет не раньше, чем за количество дней, указанное в поле "Уведомлять при истечении срока ...".

![Рисунок 4 Пример вкладки "Оповещения"](./media/docExampleNotif.png){: .zoom}

На **вкладке "Кураторы"** заполняются кураторы по виду договора. Куратором можно выбрать конкретного сотрудника, для этого необходимо заполнить все поля табличной части.

Если куратором по данному виду договора могут быть все сотрудники конкретного отдела, то заполняется только "Своя организация" и "Подразделение"

Если куратором являются сотрудники определенной должности, то заполняются поля "Своя организация", "Подразделение" и "Должность".

При заполнении поля "Куратор" в договоре с выбранным видом договора осуществляется фильтрация по таблице, заполненной на вкладке "Кураторы" справочника "Виды договоров". При этом предусмотрена вставка значения по умолчанию первого подходящего куратора из заданного списка возможных кураторов данного вида договора.

![Рисунок 5 Пример вкладки "Кураторы"](./media/docExampleCurators.png){: .zoom}

Для того чтобы в договоре отображались все кураторы ***холдинга***, по выбранному Виду договора, необходимо в настройку учетной политики добавить константу "Договор: Показывать всех кураторов холдинга" со значением 1.

![Рисунок 6 Настройка учетной политики предприятия](./media/image1.png){: .zoom}