# Входящие документы

**Входящий документ** служит для отображения данных по входящей корреспонденции организации. Документ создается работником канцелярии или другим работником, который отвечает за регистрацию входящей
корреспонденции. Далее документ отправляется посредством документооборота для ознакомления и дальнейшей работы сотрудникам в соответствии с утвержденными маршрутами на предприятии. Из входящего документа могут быть созданы документы «Поручение», «Исходящий документ», «Служебная записка».

Процесс обработки входящего документа в системе может содержать этапы Регистрация, Рассмотрение, Исполнение.

В видео показывается процесс создания, заполнения, регистрации входящего документа и дальнейшая его отправка по маршруту в программе Lexema-ECM.

![type:video](https://www.youtube.com/embed/LhkPmPQXJRI)

Возможность Регистрации входящего документа должна быть предоставлена для категории пользователей – Регистратор. Для настройки такой категории необходимо обратиться к администратору системы.

Для создания **нового входящего документа** в меню нужно выбрать пункт «Входящие документы».

Откроется реестр входящих документов за выбранный период.

![Рисунок 2 Реестр входящих документов. Создание нового документа](media/image43.png)

Кнопка «Создать» позволяет сформировать новую форму входящего документа.

![Рисунок 3 Форма документа "Входящий документ"](media/image44.png)

**Реквизиты входящего документа**:

*"Составитель"* - авторизованный пользователь, не может быть изменен.

*"Своя организация"* - автоматически присваивается код своей организации согласно правам доступа пользователя. Не может быть изменено.

*"Входящий номер/от"*  - номер и дата входящего документа от контрагента, заполняется вручную.

*"В ответ на исходящий - номер/от"* - номер и дата исходящего документа контрагента, заполняется вручную в случае, если входящий документ создается в ответ на исходящий документ.

*"Тип документа"* - тип входящего документа, выбирается из справочника [Тип документа (для входящих и исходящих документов)](../Типы вх и исх документов/Типы вх и исх документов.md). По умолчанию заполняется значением "Письмо". Права на заполнение справочника есть у Администратора системы. Могут быть следующие типы:

    a)	Выписка
    b)	Заявка
    c)	Заявление
    d)	Письмо
    e)	Повестка
    f)	Постановление/приказ
    g)	Сопроводительное письмо
    h)	Судебное письмо
    i)	Телефонограмма
    j)	Тендерное предложение
    k)	Уведомление
    l)	Претензия
    m)	Извещение
    n)	Определение

*"Вид доставки"* - вид доставки входящего документа, заполняется значением из справочника [Виды доставки (для входящих и исходящих документов)](../Виды доставки у вх и исх/Виды доставки у вх и исх.md). Права на заполнение справочника есть у Администратора системы. Доступны следующие значения:

    a)	Нарочно
    b)	Почта
    c)	Факс
    d)	Электронная почта

*"Подразделение"* - автоматически присваивается код подразделения согласно правам доступа пользователя. Не может быть изменено.

*"Контрагент"* - заполняется значением из справочника контрагентов.

Если контрагент не заведен в системе, можно создать новый, не выходя из документа. Для этого нажать кнопку ![](media/image128.png). 

Подробнее заполнение справочника описано в разделе [Контрагенты](../Контрагенты/Контрагенты.md). Права на заполнение справочника есть у Администратора системы, юристов.

*"ФИО отправителя"* - в случае получения документов от частных лиц, заполняется вручную.

*"Электронная почта отправителя"* - заполняется автоматически, если в справочнике контрагентов заполнен электронный адрес, иначе заполняется вручную.

*"На имя (ФИО получателя)"*- лицо со стороны контрагента, заполняется вручную.

*"Договор"* - выбирается из справочника договоров по данному контрагенту.

*"Проект"* - проект, которому адресовано письмо. Заполняется значением из справочника проектов.

*"Направление"* - направление проекта. Заполняется значением из справочника направлений.

*"Краткое содержание"* - краткое содержание документа, заполняется вручную.

*"Содержательная часть"* - непосредственный текст документа.

*"Требуется ответ"* - ставится признак, если обязательно ответное письмо. Заполняется вручную.

*"Срок предоставления ответа"* - заполняется вручную, если есть признак "Требуется ответ" .

*"Ответ предоставлен в срок*" - заполняется вручную после получения ответного документа.

*"Зарегистрировать"* - кнопка регистрации документа.

*"Регистрационный номер документа"* - формируется системой автоматически. Принцип формирования регистрационного номера задается в настройках системы (см.[Журнал регистрации и нумерация](../Журнал регистрации/Журнал регистрации.md).

*"Дата регистрации"* - фактическая дата регистрации документа. Заполняется автоматически при регистрации документа по кнопке "Зарегистрировать"

*"Журнал регистрации"* - при создании документа пользователем журнал определяется автоматически в зависимости от типа документа и подразделения пользователя. Не может быть изменено. Настройка журналов регистрации происходит в документе [Журнал регистрации](../Журнал регистрации/Журнал регистрации.md).

*"Входящая резолюция"* - свободный текст резолюции, заполняется вручную.

*"Срок исполнения"* - срок исполнения по данному письму, заполняется вручную.

*"С уведомлением"* - признак, что письмо доставлено с уведомлением, вводится вручную.

*"Информация об уведомлении"* - дополнительные комментарии к уведомлению. Вводится вручную.

**Порядок работы с документом**

Инициатор(и регистратор в одном лице):

1.  Создает документ;

2.  Заполняет обязательные поля (Тип документа, Вид доставки, Кому, Краткое содержание, содержательная часть);

3.  Вкладывает скан-образ документа по кнопке «Вложения» на верхней панели инструментов;

4.  Регистрирует в системе по кнопке «Зарегистрировать», присвоится Регистрационный № документа и Дата регистрации.

![Рисунок 4 Регистрация входящего документа](media/image45.png)

1.  Для согласования или иных действий документ отправляют по маршруту. Для этого регистратор создает маршрут по кнопке «Маршрут» на панели инструментов. Выбирает шаблон маршрута, который настроен для данного вида документа. При необходимости этапы, участники маршрута и виды действия по маршруту могут быть отредактированы. Отправляет документ на следующий этап, нажав кнопку **«Отправить»**

Более подробно работа с маршрутами описана в разделе [Как отредактировать маршрут?](../../КЭДО/Работа с маршрутами/Работа с маршрутами.md).

![Рисунок 5 Отправка по маршруту для согласования](media/image46.png)

1.  В случае ознакомления с документом широкого списка лиц следует сделать рассылку через сервис «Список рассылки». Добавить пользователей и нажать кнопку «Отправить»

Более подробно работа со списками рассылки описана в разделе [Списки рассылки](../../КЭДО/Обработка документов/Обработка документов.md#список_рассылки).

![Рисунок 6 Создание списка рассылки](media/image47.png)

В колонке «Отправлено» автоматически пересчитывается количество отправлений данного документа на ознакомление пользователю. Соответственно, в колонке «Получено» - количество подтверждений ознакомления.

Участникам, которым документ поступил на ознакомление со статусом на Ознакомление (рассылка) следует ознакомиться с документом, зайти в Списки рассылки и нажать на кнопку «Отправить».

Возможные действия с документом:

    a)	Ознакомиться
    b)	Рассмотреть
    c)	Зарегистрировать
    d)	Исполнить

Статусы документа:

    a)	Ознакомлен(а)
    b)	Рассмотрено
    c)	Зарегистрировано
    d)	Исполнено

Если входящий документ пришел на рассмотрение, то участник может создать поручение, исходящий документ или служебную записку по соответствующей операции из формы входящего документа и отправляет документ далее по маршруту.

![Рисунок 8 Интерфейс создания исходящего документа, поручения и служебной записки из входящего документа](media/image49.png)

После подтверждения действий всеми участниками данного этапа, маршрут завершается.

Отчетная форма для входящих документов не предусмотрена.