# Журнал регистрации

## Общее описание назначения документа

Документы реестра "Журналы регистрации" предназначены для настраивания автоматической нумерации создаваемых документов в системе при помощи задания шаблона. Шаблон номеров документов может зависеть от подразделений, типов документа и года от даты регистрации и имеет четко определенную структуру.

На каждый тип документа необходим свой журнал регистрации. При этом внутри одного типа можно создать разные типы нумерации для разных подтипов документа и/или подразделений.

Документ находится в основном меню в группе "Администрирование", подгруппе "Документооборот". Для доступа к документу нужны права администратора.

## Реестр

Для входа в документ необходимо в меню в группе "Администрирование", подгруппе "Документооборот" выбрать пункт "Журналы регистрации". Для доступа к документу нужны права администратора.

![Рисунок 1 Меню](./media/menu.png)

Откроется реестр документов.

![Рисунок 2 Пример реестра "Журналы регистрации"](./media/registry.png){: .zoom}

Для создания нового документа необходимо нажать на кнопку "Создать" на верхней панели инструментов

![](./media/create.png)

## Документ

Заполненный документ "Журнал регистрации" может выглядеть следующим образом: 

![Рисунок 3 Пример документа "Журнал регистрации"](./media/docExample.png){: .zoom}

Обязательными полями для заполнения являются:

- Наименование – наименование журнала регистрации;

- Тип документа – ключевое слово, соответствующее типу документа.

То, какой индекс подразделения будет вставлен в шаблон, зависит от списка подразделений в таблице "Подразделения". Если в таблице "Подразделения" не добавлены подразделения, индекс подразделения будет одинаковым для всех подразделений.

Указанному типу документа соответствует поле "Индекс номенклатуры дела".

В поле "Своя организация" задается ограничение действия журнала регистрации по компаниям в системе. Если поле не заполнено, журнал будет использоваться для всех компаний холдинга.

Для формирования регистрационного номера в шаблоне могут быть использованы следующие ключевые слова:

* [ИндП] – индекс подразделения;
* [ИндНД] – индекс номенклатуры дела;
* [YYYY] – год от даты регистрации;
* [N] – порядковый номер;
* другие слова и символы-разделители останутся в номере неизменными;
* по умолчанию используется шаблон [ИндП]-[ИндНД]/[N];
* если в шаблоне не указано ключевое слово [N], порядковый номер будет добавляться справа от шаблона через косую черту;

> Пример: при указании в документе индекса подразделения **П02** и индекса номенклатуры **04** нумерация для данного журнала по умолчанию будет следующей: **П02-04/1**, **П02-04/2** и т.д. Если значение какого-либо индекса не указано, при формировании номера это ключевое слово будет пропущено. Например, если не указывать индекс подразделения нумерация пойдет как 04/1, 04/2

> Пример настраиваемого шаблона: **ЛЕКС-[ИндП]-[YYYY]:[ИндНД]-[N]-ИСХ**. При использовании индексов подразделения и номенклатуры из предыдущего примера нумерация за 2021 год будет следующей: **ЛЕКС-П02-2021:04-1-ИСХ**, **ЛЕКС-П02-2021:04-2-ИСХ**

![Рисунок 4 Пример пронумерованных документов](./media/docNumbersExamples.png){: .zoom}