# Исходящие документы

Документооборот **исходящих документов** - это оформление документов, которые написаны в индивидуальном порядке или в ответ на входящий документ. Адресатами могут быть как частные физические лица, так и другие компании. Все виды исходящих документов оформляются на официальном документе и подлежат обязательной регистрации. Как правило, внутренние исходящие документы готовят специалисты или руководители подразделения.

Процесс обработки исходящего документа в системе может содержать этапы Разработка проекта, Согласование, Утверждение (Подписание), Подготовка к подписанию (применимо при подписании бумажного документа), Регистрация, Информирование (Ознакомление), Отправка.

Сценарий работы с исходящим документом можно посмотреть в видео или прочитать ниже:

![type:video](https://www.youtube.com/embed/uv7aRRk6ZW8)

Если исходящий документ оформляется без привязки ко входящему документу, то нужно выбрать в главном меню пункт **«Исходящие документы»**.

Откроется реестр исходящих документов за выбранный период. Кнопка «Создать» позволяет сформировать новую форму для регистрации документа.

![Рисунок 10 Форма документа "Исходящий документ"](media/image51.png)

**Для исходящего документа обычно обязательными полями являются:**

* Номер документа;
* Дата документа;
* Адресат (кому адресован документ);
* Тема документа;
* Содержание документа.

**Реквизиты исходящего документа**:

*"Составитель"* - авторизованный пользователь, не может быть изменен.

*"Своя организация"* - автоматически присваивается код своей организации согласно правам доступа пользователя. Не может быть изменено.

*"Исходящий номер/от"*  - формируется системой автоматически. Принцип формирования регистрационного номера исходящего документа задается в настройках системы (см. [Журнал регистрации и нумерация](../Журнал регистрации/Журнал регистрации.md)).

*"В ответ на входящий - номер/от"* - номер и дата входящего документа контрагента, заполняется в случае, если исходящий документ создается в ответ на входящий документ.

*"Тип документа"* - тип исходящего документа, выбирается из справочника [Тип документа (для входящих и исходящих документов)](../Типы вх и исх документов/Типы вх и исх документов.md). По умолчанию заполняется значением "Письмо". Права на заполнение справочника есть у Администратора системы. Могут быть следующие типы:

    a)	Выписка
    b)	Заявка
    c)	Заявление
    d)	Письмо
    e)	Повестка
    f)	Постановление/приказ
    g)	Сопроводительное письмо
    h)	Судебное письмо
    i)	Телефонограмма
    j)	Тендерное предложение
    k)	Уведомление
    l)	Претензия
    m)	Извещение
    n)	Определение

*"Инициатор"* - автоматически заполняется составителем документа. При необходимости (когда подчиненный создает документ за руководителя) можно выбрать из справочника пользователей.

*"Подразделение"* - автоматически присваивается код подразделения составителя согласно правам доступа пользователя. Не может быть изменено.

*Табличная часть "Кому (адресаты)*":

    *"Контрагент"* - организация, которой адресован данный документ. Заполняется значением из справочника контрагентов. Возможен поиск по части полного или краткого наименования, по ИНН. Если контрагент отсутствует в списке, то его нужно завести в справочнике [Контрагенты](../Контрагенты/Контрагенты.md). Права на заполнение справочника есть у Администратора системы, юристов.

    *"Электронная почта"* - контактный электронный адрес организации-адресата, вводится вручную.  Если указан в справочнике контрагентов – подтягивается автоматически.

    *"ФИО адресата"* вводится вручную.

    *"Договор"* - выбирается из справочника договоров по данному контрагенту.
    
    *"Проект"* - проект, которому адресовано письмо. Заполняется значением из справочника проектов.

    *"Направление"* - направление проекта. Заполняется значением из справочника направлений.

*"Краткое содержание"* - краткое содержание документа, заполняется вручную.

*"Содержательная часть"* - непосредственный текст документа.

*"Требуется ответ"* - ставится признак, если обязательно ответное письмо. Заполняется вручную.

*"Срок предоставления ответа"* - заполняется вручную, если есть признак "Требуется ответ".

*"Ответ предоставлен в срок*" - заполняется вручную после получения ответного документа.

![Рисунок 10 Форма документа "Исходящий документ"](media/image129.png)

*"Зарегистрировать"* - кнопка регистрации документа. Регистрировать документ имеет право пользователь с определенными правами.

*"Дата регистрации"* - фактическая дата регистрации документа. Заполняется автоматически при регистрации документа по кнопке "Зарегистрировать"

*"Журнал регистрации"* - при создании документа пользователем журнал определяется автоматически в зависимости от типа документа и подразделения пользователя. Не может быть изменено. Настройка журналов регистрации происходит в документе [Журнал регистрации](../Журнал регистрации/Журнал регистрации.md).

*«Отправить адресату»* - используется , если документ является исходящим из одной организации и одновременно входящим для другой организации **внутри холдинга**. Кнопка активна на этапе **регистрации** документа.

*"Примечание"* - свободный текст резолюции, заполняется вручную.

*"С уведомлением"* - признак, что письмо доставлено с уведомлением, вводится вручную.

*"Информация об уведомлении"* - дополнительные комментарии к уведомлению. Вводится вручную.

***Процесс работы с документом***

**Инициатор**

1.  Создает документ. Откроется форма документа «Исходящий документ»

2.  Заполняет обязательные поля документа (Тип документа, Инициатор, Кому, Краткое содержание, содержательная часть). Исходящий номер присвоится при регистрации документа.

3.  Прикрепляет проект исходящего документа по кнопке «Вложения» на панели инструментов

![Рисунок 11 Добавление файлов в качестве вложения](media/image52.png)>

1.  Создает маршрут из шаблона по кнопке «Маршрут» на панели инструментов. Если нужно отредактировать список согласующих, то вносит или удаляет их вручную с помощью кнопок управления маршрутом («Этап, участник», «Участник», «Удалить»). Более подробно работа с маршрутами описана в разделе [Как отредактировать маршрут?](../../КЭДО/Работа с маршрутами/Работа с маршрутами.md).

![Рисунок 12 Маршрут исходящего документа](media/image53.png)

5.  По кнопке «Отправить» в маршруте документа отправляет проект документа на согласование.

**Согласующее лицо** (может быть несколько) - участник маршрута с видом действия «Согласовать». Переходит в проект исходящего документа, проверяет и отправляет далее по маршруту.

Проект исходящего документа, поступивший на согласование, отразится в панели «Документооборот» в разделе «На обработку»:

![Рисунок 13 Отражение исходящего документа, поступившего на обработку](media/image54.png)

**Регистратор** с видом действия «**Зарегистрировать»**.

1.  Регистрирует документ, нажав кнопку **«Зарегистрировать»,** при этом документу присваивается номер и фиксируется дата регистрации.

![Рисунок 14 Регистрация исходящего документа](media/image55.png)

2.  Отправляет письмо на электронную почту.

3.  Нажимает кнопку «**Отправить»** в маршруте документа, при этом если есть список на ознакомление, то документ поступает соответствующим лицам, в противном случае маршрут завершается.

Возможные действия с документом:

    a)	Согласовать
    b)	Зарегистрировать
    c)	Ознакомиться
    d)	Подписать
    e)	Отправить

Статусы документа:
    a)	Согласован
    b)	Зарегистрирован
    c)	Ознакомлен
    d)	Подписан
    e)	Отправлен

Если документ является исходящим из одной организации и одновременно входящим для другой организации **внутри холдинга**, регистратор нажимает кнопку **«Отправить адресату»**. При этом автоматически
создается карточка документа в реестре входящих у компании-получателя, а сотруднику на почту уходит уведомление.

**Создание исходящего документа из входящего документа**

В системе существует возможность формирования исходящего письма в ответ на входящее.

![Рисунок 15 Документ "Входящий документ" . Создание исходящего документа по операции](media/image123.png)

Откроется форма документа «Исходящий документ». Автоматически заполняются поля «В ответ на входящий номер», «Дата», «Инициатор», «Кому», «Краткое содержание», «Содержательная часть». При необходимости их можно редактировать. Заполнить поле «Тип документа».

![Рисунок 16 Исходящий документа, созданный по операции из входящего документа](media/image57.png)

Обработка исходящего документа, созданного из входящего документа, производится по той же схеме, что и обработка исходящего документа, созданного без привязки ко входящему документу.

В Системе предусмотрена печать шаблона печатной формы исходящего документа на основании полей карточки.