# Контрагенты

## Общее описание назначения документа

Контрагент – это общее понятие, куда включены поставщики и покупатели, организации и индивидуальные предприниматели.

В качестве контрагента может выступать организация, имеющая несколько собственных юридических лиц (холдинг). В этом случае в справочник "Контрагенты" заносится головная организация холдинга, а также все юридические лица, входящие в состав холдинга. Для всех контрагентов, входящих в состав холдинга, указывается головной контрагент – головная организация холдинга.

Документ "Контрагенты" предназначен для хранения данных о контрагентах (в том числе организации пользователя). Основные данные: наименование, реквизиты и тип контрагента, его контактные данные, банковские реквизиты, договоры и данные грузополучателей. Также из данного документа можно перейти в создание документа в реестре недобросовестных поставщиков.

## Реестр

Для входа в документ необходимо в меню в группе "Работа с контрагентами" выбрать пункт "Контрагенты". Для доступа к документу нужны права администратора.

![Рисунок 1 Меню](./media/menu.png)

Откроется реестр контрагентов. Контрагенты, выделенные в реестре красным цветом, на данный момент не являются действующими. Данные организации либо полностью ликвидированы, либо вместо них есть правопреемник, который принял на себя все обязательства по зарегистрированным ранее договорам. В последнем случае в карточке контрагента будет заполнено поле "Правопреемник".

![Рисунок 2 Пример реестра контрагентов](./media/registry.png){: .zoom}

Для создания нового документа необходимо нажать на кнопку "Создать" на верхней панели инструментов.

![](./media/create.png)

## Документ

Пример заполненного документа "Контрагент" выглядит следующим образом: 

![Рисунок 3 Пример документа "Контрагент"](./media/docExampleMain.png){: .zoom}

Обязательными полями для заполнения являются ОКОПФ, краткое и полное наименования контрагента, ИНН, КПП, юридический адрес, тип и вид контрагента. 

При внесении филиалов (обособленных подразделений) головной организации в справочник контрагентов обзяательно для заполнения соответствующим значением поле "**Своя организация**" на вкладке "**Настройка**". 

Например, ООО "Радуга" – головная организация, одним ее из филиалов является Уральский филиал ООО "Радуга".

Для ООО "Радуга" заполненное поле выглядит следующим образом:

![](./media/image1.png)

Для Уральского филиала ООО "Радуга":

![](./media/image2.png)

Кнопка "Вложения" позволяет прикреплять файлы разного формата, связанные с контрагентом. Кнопка "Печать" вызывает печатную форму "Карточка контрагента" в PDF-формате. Кнопка "Добавить в РНП" позволяет внести контрагента в реестр недобросовестных поставщиков.

По кнопке "Печать" можно сформировать "Карточку контрагента" и "Согласие на обработку данных ИП":

![Рисунок  Отчетные формы](./media/image7.png)

### Вкладка "Основная"

Чтобы заполнить обязательные поля "Орг. правовая форма(ОКОПФ)" и "Тип контрагента" необходимо заполнить справочники [Формы собственности](./../Формы собственности/Формы собственности.md) и "Типы контрагентов" соответственно.

Список возможных значений обязательного поля "Вид контрагента" заполнен стандартными значениями, поэтому заполнять справочники не требуется. Для индивидуальных предпринимателей в поле "вид контрагента" выбрать "Физ.лицо".

ИНН и КПП – текстовые поля. ИНН – идентификационный номер контрагента, для отражения в печатных формах документации. КПП – код постановки на учет, для отражения в печатных формах документов.

Также рекомендуется заполнить значением поле "ОГРН".

Для быстрого заполнения реквизитов (Правовая форма, ИНН, КПП, ОГРН, Дата регистрации, Дата прекращения деятельности на вкладке "Основная"; Юридический адрес, ФИО и должность руководителя на вкладке "Контакты и адреса") можно воспользоваться кнопкой "Загрузить реквизиты", которая на основе ИНН или ОГРН получает данные об организации из [ЕГРЮЛ/ЕГРИП](https://egrul.nalog.ru). Для успешной загрузки данных в форме "Авторизация для сервиса "ЕГРЮЛ"" необходимо прописать настройки подключения и поставить галочку в поле "Сервис включён". 

Полное наименование – полное наименование контрагента, указанное в учредительных документах организации, для отражения в печатных формах документации, где требуется выводить полное наименование контрагента.

Краткое наименование – краткое наименование контрагента, для использования в экранных формах документов.

Наименование контрагента в поле "Наименование для печати" используется для вывода в печатные формы, где требуется краткое наименование.

Если контрагент прекратил свою деятельность, необходимо поставить галочку в поле "Ликвидирован"и заполнить поле "Прекращение деятельности". Если после прекращения деятельности контрагента остался его правопреемник, то можно заполнить поле "Правопреемник" значением из списка контрагентов.

Если контрагент является нерезидентом, необходимо поставить галочку в поле "Нерезидент". 

Поле "Головная организация" заполняется, если контрагент является обособленным подразделением в составе холдинга.

Если известна дата регистрации контрагента, заполняется поле "Дата регистрации".

На данной вкладке также имеется кнопка "История изм.пол.наименования", при нажатии на которую открывается вложенная форма с информацией о наименованиях рассматриваемой организации с указанием даты изменения наименования в системе и о соответствующих документах.

Кнопка "История изменений" напротив полей позволяет проверить историю изменения КПП, полного наименования, юридического адреса контрагента, если в базу данных вносились изменения.

***Для внесения индивидуальных предпринимателей, помимо заполнения основных полей, нужно внести СНИЛС ***


### Вкладка "Контакты и адреса"

Указанная на данной вкладке информация предназначена для вывода в печатные формы документов. Юридический адрес является обязательным для заполнения полем.

Рекомендуемыми к заполнению полями являются:

- Руководитель
- Должность руководителя
- Телефон
- E-mail
- Почтовый адрес
- Фактический адрес

![Рисунок 4 Пример вкладки "Контакты и адреса"](./media/docExampleContacts.png){: .zoom}

Для заполнения адресов нужно нажать кнопку "Введение адреса с помощью ФИАС".

![Рисунок 5 Заполнение юридического адреса](./media/image3.png)

Откроется форма для внесения адреса:

![Рисунок 5 Заполнение юридического адреса](./media/image4.png)

Если на проекте подключен ФИАС, то поля Страна, Регион, Район, Город, Населенный пункт, Улица, Дом, Тип помещения заполняются значениями из справочника.

В противном случае, адрес можно внести вручную без заполнения этих полейи нажать кнопку "Сохранить"

![Рисунок 6 Заполнение юридического адреса](./media/image5.png)

***По индивидуальным предпринимателям нужно заполнить паспортные данные в таблице "Документы". Для добавления новой строки нажать кнопку "Добавить":***

![Рисунок 7 Заполнение паспортных данных](./media/image6.png)

Для того, чтобы сработала проверка на заполнение паспортных данных и СНИЛС для индивидуальных предпринимателей при сохранении документа, необходимо обратиться к администратору системы

### Вкладка "Банковские реквизиты"

На данной вкладке указываются банковские счета контрагента. Следует указать тот расчетный счет, который будет проставляться по умолчанию в платежные документы данной организации. Закрытые счета отмечаются признаком "Не использовать".

Чтобы заполнить банковские реквизиты контрагента необходимо добавить строку в таблицу "Банковские реквизиты" с помощью кнопки ![](./media/add.png)

Поле "Код" заполняется автоматически. Поле "Банк (Наименование/БИК/Корр.счет)" заполняется значением из списка, сформированного на основе реестра "Банки" из папки "Работа с контрагентами". Среди нескольких банковских реквизитов можно выбрать вставляемые в документы по умолчанию с помощью галочки в поле "Использовать по умолчанию".  

![Рисунок 5 Пример вкладки "Банковские реквизиты"](./media/docExampleBank.png){: .zoom}

### Вкладка "Договоры"

На вкладке "Договоры" отражается история заключения договоров между организацией, для которой ведется учет в системе и рассматриваемым контрагентом.

В первой таблице перечислены все заключенные с контрагентом договоры с основной информацией по ним и ссылками на документы. Вторая таблица заполняется дополнительными соглашениями к договору, на строку с которым нажал пользователь.

![Рисунок 6 Пример вкладки "Договоры"](./media/docExampleContracts.png)

### Вкладка "CRM"

Термин CRM в переводе с английского означает управление отношениями с покупателями. 

Для автоматического заполнения полей некоторых форм можно заполнить поле "Менеджер", выбрав одного из сотрудников текущей компании администратора системы, а также заполнить варианты склонения должности и ФИО руководителя и ФИО главного бухгалтера рассматриваемого контрагента. 

![Рисунок 7 Пример вкладки "CRM"](./media/docExampleCRM.png){: .zoom}

Для быстрого заполнения склонений ФИО по падежам можно воспользоваться кнопками "Просклонять ФИО руководителя" и "Просклонять ФИО Гл.бухгалтера". Будет предложено выбрать пол (ж – женский, м – мужской), и после выбора пола и нажатия на кнопку "Просклонять" поля с дательным, родительным и винительным падежами будут заполнены автоматически. 

Следует обратить внимание, что данная функция может работать *некорректно* при работе с нераспространёнными на территории РФ ФИО. В таком случае необходимо заполнить поля вручную.

![Рисунок 8 Выбор пола руководителя](./media/declension.png)

### Вкладка "Доп реквизиты"

На вкладке предлагаются к заполнению дополнительные реквизиты контрагента, не требующие обязательного заполнения, такие как ОКАТО, ОКТМО, регистрационные номера в ПФР и ФСС, вид территориальных условий, районный коэффициент, вид тарифа страховых взносов, вида дополнительных взносов.

![Рисунок 9 Пример вкладки "Доп реквизиты"](./media/docExampleAdditReq.png)

### Вкладка "Провайдер обучения"

Вкладка заполняется, если контрагент является провайдером обучения. Для этого ставится признак "Провайдер обучения" и вводится информация по лицензии на обучение в табличной части по кнопке "Добавить" (+).

Если вкладка не заполнена, то контрагент не будет отражаться в документах по обучению.

![Рисунок 10 Пример вкладки "Провайдер обучения"](./media/image9.png)

### Вкладка "Настройка"

Если рассматриваемый контрагент является одним из контрагентов, то поле "Своя организация" обязательно к заполнению. Поле заполняется одним из значений списка компаний.

![Рисунок 11 Пример вкладки "Настройка"](./media/docExampleSettings.png)

### Вкладка "Грузополучатели"

Заполняется адресами доставки контрагента, которые могут использоваться в расходной накладной.

- Грузополучатель – текстовое поле, заполняется наименованием подразделения.
- Адрес доставки – адрес грузополучателя, является обязательным полем.
- Примечание – текстовое поле.

![Рисунок 12 Пример вкладки "Грузополучатели"](./media/docExampleСonsignees.png){: .zoom}

Если настроена работа с системой "Честный знак", необходимо заполнить текстовое поле "ID в честный знак" и идентификаторы грузополучателей в системе "Честный знак". После заполнении ID контрагента в системе "Честный знак" при нажатии на кнопку "Обновить информацию" таблица заполняется автоматически.

### Добавление логотипа 

Для отображения логотипа компании в печатной форме, документа, нажмите кнопку "Вложения". Во всплывающем окне "Вложения к документу" нажмите кнопку "Добавить вложение", загрузите графический файл с логотипом. **Тип вложения необходимо проставить "Логотип"**

!!! warning
    Разрешение файла должно быть максимально - 200х200. В случае загрузки файла с более высоким разрешением, в печатной форме документа кириллические буквы переходят в диакритические знаки (сбрасывается кодировка)

![Добавление логотипа](media/logo.png){: .zoom}