# Организационно-распорядительные документы (ОРД)

Документ «ОРД» служит для автоматизации документооборота организационно-распорядительных документов (приказы, протоколы, распоряжения) в организации.

Процесс обработки организационно-распорядительных документов в системе может содержать этапы Разработка проекта, Согласование, Подготовка к подписанию, Утверждение (подписание), Регистрация, Исполнение и Информирование (Ознакомление).

| Этап | Описание |
| ---- | -------- |
1 этап | Инициатор создает документ "ОРД". В нем заполняет все необходимые поля и отправляет по маршруту.
2 этап | Рецензент (канцелярия) осуществляет первичную проверку корректности документа и отправляет далее по маршруту со статусом "Согласован"
3 этап | Документ отправляется согласующим лицам на согласование
4 этап | Подписание документа
5 этап | Регистрация документа, при необходимости добавление лиц на ознакомление

Система позволяет формировать поручения на исполнение приказа/распоряжения (или его пункта), для сотрудников, указанных в листе исполнения.

Система направляет уведомления для ознакомления с приказом/распоряжением, для сотрудников, указанных в листе ознакомления.

Система учитывает факт ознакомления с приказом/распоряжением при выполнении действия ознакомления пользователем документа. При этом для уведомляемых должна быть доступна функциональная возможность направить приказ/распоряжение на ознакомление другим пользователям СЭД (делегирование).

Сценарий работы с организационно-распорядительными документами можно посмотреть в видео или прочитать ниже:

![type:video](https://www.youtube.com/embed/EVothRQBkJ0)

Для создания документа "ОРД" в меню перейти "Документооборот -> Документы -> ОРД. Система предложит установить фильтр по типу документа (Протокол, приказ, распоряжение). Нужно выбрать тип документа и нажать "Установить выбранный фильтр"

![Рисунок 1 Выбор типа документа](media/image1.png)

Откроется реестр документов с выбранным типом документа.

Не выходя из реестра документов, по кнопке "Тип документа" на панели инструментов, можно переустановить фильтр по типу документа.

![Рисунок 2 Выбор типа документа](media/image2.png)

По кнопке "Создать" откроется форма документа "ОРД" с заполненными полями **Составитель** (недоступное для редактирования), **Тип документа, Инициатор, Подразделение** (при необходимости значение в поле можно изменить).

![Рисунок 3 Форма документа "ОРД"](media/image83.png)

**Реквизиты организационно-распорядительного документа**:

*"Составитель"* - авторизованный пользователь, не может быть изменен.

*"Документ - номер/от"* - формируется системой автоматически при нажатии кнопки "Зарегистрировать". Принцип формирования регистрационного номера документа задается в настройках системы (см.[Журнал регистрации и нумерация](../Журнал регистрации/Журнал регистрации.md)).

*"Тип документа"* - тип организационно-распорядительного документа, выбирается из справочника [Подтипы документов](../../КЭДО/Подтипы документов/Подтипы документов.md). По умолчанию заполняется значением, которое выбрали при загрузке реестра. Права на заполнение справочника есть у Администратора системы.

*"Проект"* - проект, которому адресован документ. Заполняется значением из справочника проектов.

*"Направление"* - направление проекта. Заполняется значением из справочника направлений.

*"Наименование*" - наименование организационно-распорядительного документа, вводится вручную.

*"Содержательная часть"* - непосредственный текст документа.

*"Зарегистрировать"* - кнопка регистрации документа.

*"Журнал регистрации"* - при создании документа пользователем журнал определяется автоматически в зависимости от типа документа и подразделения пользователя. Не может быть изменено. Настройка журналов регистрации происходит в документе [Журналы регистрации](../Журнал регистрации/Журнал регистрации.md)

С помощью кнопки "Вложения" можно вложить необходимые документы. Подробное описание см. [Работа со вложениями](../Работа со вложениями/Работа со вложениями.md).

Для перехода к отправке документа по маршруту необходимо нажать на кнопку "Маршрут" на панели инструментов документа.

Далее нажать на кнопку "Создать маршрут" и отправить документ по маршруту. Более подробно работа с маршрутами описана в разделе [Как отредактировать маршрут?](../../КЭДО/Работа с маршрутами/Работа с маршрутами.md).

Можно создать поручение на основании ОРД. Для этого на панели инструментов нажать на кнопку "Операции" и выбрать "Создать поручение".

Для ознакомления с документов широкого списка лиц используют функцию **Список рассылки** на панели инструментов. Более подробно работа со списками рассылки описана в разделе [Списки рассылки](../../КЭДО/Обработка документов/Обработка документов.md#список_рассылки)).

Возможные действия с документом:
    a)	Согласовать
    b)	Зарегистрировать
    c)	Рецензировать
    d)	Подписать
    e)	Ознакомитьсятип организационн

Статусы документа:
    a)	Согласован
    b)	Зарегистрирован
    c)	Рецензирован
    d)	Подписан
    e)	Ознакомлен

Чтобы распечатать лист согласования, нажать кнопку **Лист согласования** на панели инструментов. Сформируется документ в pdf-формате.

![Рисунок 4 Панель инструментов документа "ОРД"](media/image130.png)