# Поручения

Поручением называется документ, в котором одному или нескольким сотрудникам организации ставится задача достичь определенного результата к заданному сроку. Работа с поручениями включает в себя формирование поручений, их исполнение, контроль исполнения. 

В системе электронного документооборота есть все инструменты для реализации отправки поручений. Сам документ может сформировать любой сотрудник.

Сценарий работы с поручением можно посмотреть в видео или прочитать ниже:

![type:video](https://www.youtube.com/embed/fr5Blev6VpE)

Для создания документа в Меню нужно выбрать пункт "Поручения". Выбрать период для формирования реестра документов. В реестре документов нажать кнопку "Создать". Откроется форма документа "Поручения"

![Рисунок 1 Форма документа "Поручения"](media/image58.png)

Необходимо заполнить поля документа.

**Номер** присвоится после отправки заполненного документа по маршруту.

В поле **Контролер** ввести участника, который должен утвердить исполнение поручения. Этот сотрудник будет отображаться в маршруте с действием Утвердить.

**Тип документа**, **Приоритет** заполняются по умолчанию. Можно заполнить значениями из справочника.

**Инициатор**, **Подразделение** заполняются автоматически, ФИО и подразделение автора документа.

При необходимости заполнить "Проект" и "Направление" данными из справочника.

**Краткое содержание**, **Содержательная часть** являются обязательными полями для заполнения.

Выбрать **Ответственного исполнителя** из списка. Если есть Соисполнители, то в табличной части нажать кнопку "Добавить" и выбрать сотрудника. Проставить **плановый срок исполнения** поручения.

**Дата фактического исполнения** закрыта для редактирования. Проставляется после исполнения поручения ответственным исполнителем.

![Рисунок 2 Таблица "Ответственный исполнитель"](media/image59.png)

По кнопке "Вложения", расположенной на панели инструментов, можно добавить необходимые документы.

Далее нужно направить документ по маршруту. Для этого нажать кнопку "Маршрут" на панели инструментов -> "Создать маршрут".

![Рисунок 3 Шаблон маршрута](media/image60.png)

После отправки документа по маршруту, поручению присваивается номер. Ответственному исполнителю приходит уведомление с участниками и с видами действий. Карточку поручения, отправленного на исполнение, нельзя редактировать. Для подтверждения исполнения поручения ответственный исполнитель отправляет документ далее по маршруту. В этот момент проставляется дата фактического исполнения.

Если ответственному исполнителю необходимо увеличить срок исполнения, то составитель документа или контролер продляют срок исполнения – необходимо в поле «Плановый срок исполнения» поставить новую дату (причем изменять срок исполнения составитель может в любой момент). Программа запросит указать причину изменения - является обязательным для заполнения.

Увеличивать срок можно, уменьшать нельзя. Все изменения, проводившиеся с полем Срок исполнения, отображаются в таблице «Изменения срока исполнения».

![Рисунок 4 Изменения срока исполнения](media/image106.png)

При изменении срока исполнения всем участникам приходит рассылка.

После исполнения поручения ответственным исполнителем контролеру приходит уведомление на почту. Контролер заходит в документ и завершает маршрут.

***Если поручение выдается на основании уже существующего документа, например, входящее письмо, приказ, служебная записка и др., то находим нужный нам документ, открываем его и в карточке документа на верхней панели выбираем пункт Операции -> Создать поручение.***

![Рисунок 5 Операция "Создание поручения"](media/image61.png)

Далее выполняются аналогичные действия, которые описаны выше. Поручение, созданное на основании уже существующего документа, будет отображаться по кнопке "Связки".