# Работа с вложениями

Система предусматривает прикрепление файлов к карточке документов. Для этого находясь внутри документа нужно нажать кнопку «Вложения» на панели инструментов.

![Рисунок Панель инструментов](media/image28.png)

Откроется окно для прикрепления, удаления, просмотра вложенных файлов.

![Вложения к документу](media/image29.png){: .zoom}

Кнопка "Добавить вложения" вызывает диалоговое окно для выбора файла. Можно выбрать несколько файлов, далее нажать на кнопку "Открыть"/"Open"

![Рисунок Работа со вложениями](media/image30.png){: .zoom}

Выбранные файлы отобразятся в табличной части в окне «Вложения к документу»

![Рисунок Отображение вложений](media/image31.png){: .zoom}

Для удаления ошибочно прикрепленных файлов нужно отметить файл в крайней левой колонке и нажать кнопку «Удалить выделенные».

Пользователи, имеющие доступ к документу, могут скачать все файлы в один архив по кнопке «Скачать архив».

Также возможность скачать архив документов вместе с сертификатами электронных подписей всех подписантов, которые участвовали в маршруте, а также отчетной формой по согласованию документа, по кнопке "Скачать архив с ЭП".

Печатная форма документа будет сформирована при условии, что во вложении находятся файлы. При отсутствии вложений, печатная форма формироваться не будет.

Кнопка "Добавить версию" позволяет вести документацию в режиме [версионности](#версионность_файлов). При нажатии на кнопку "Добавить версию" вызывается диалоговое окно для выбора файлов.

<!-- При раскрытии строки "Отправка почты" можно настроить отправку вложений на сторонний ящик

![Рисунок Отправка вложений на сторонний ящик](media/image32.png){: .zoom} -->

**После отправления документа по маршруту вложения удалять нельзя!**

Программа запрещает удалять файлы, вложенные другими участниками.

Также программа запрещает удалять собственные вложения, если они были сделаны пользователем на одном из предыдущих этапов.

## Версионность файлов

Если нужно внести изменения во вложенные файлы, существует возможность обновить их, прикрепив новую версию файла. Старая версия при этом не удаляется, остается в системе.

Есть два способа обновления файла в документе:

**I способ:** Для обновления вложения необходимо добавить файл, в поле "Примечание" написать комментарий: актуальная версия. Важно, чтобы в этот момент документ находился на вашем этапе.

![Рисунок 1й способ обновления вложения](media/image33.png){: .zoom}

**II способ:** Воспользоваться функцией автоматического обновления версии через кнопку "Добавить версию".

Нажать кнопку «Добавить версию»

Откроется диалоговое окно для выбора вкладываемого файла. Выделить файл, который будет являться следующей редакцией исходного вложения, нажать кнопку "Открыть" (Open) или клавишу "Enter".

![Рисунок Выбор новой версии файла](media/image34.png){: .zoom}

После загрузки выделенного файла появляется диалоговое окно, в котором нужно отметить файл и выбрать действие.

![Рисунок Выбор действия для присвоения имени файла](media/image35.png)

При выборе действия "Присвоить новое имя цепочке":

1.  Исходный файл автоматически переименуется в имя выбранного файла

2.  Добавленный файл переименовываться не будет, в колонке "Версия" ему будет присвоено значение 2.

3.  Файлы будут сгруппированы по именам.

![Рисунок Результат при выборе действия "Присвоить новое имя цепочке"](media/image36.png){: .zoom}

При выборе действия "Оставить старое имя цепочке":

1.  загруженный файл с новым именем автоматически переименуется в имя исходного файла

2.  в колонке "Версия" только что загруженному файлу присвоится номер 2 (то есть версия 2 исходного файла)

3.  файлы с одинаковым именем будут сгруппированы.

4.  файлы сортируются в обратном порядке, т.е. самые свежие попадают вверх списка пачки

![Рисунок Результат при выборе действия "Оставить старое имя цепочке"](media/image37.png){: .zoom}

## Вложения к документу согласно требованиям Минтруда России

Согласно [приказу Минтруда России от 20.09.2022 № 578н](http://publication.pravo.gov.ru/Document/View/0001202209300050?index=0&rangeSize=1) о единых требованиях к составу и форматам документов, связанных с работой и оформляемых в электронном виде без дублирования на бумажном носителе необходимо сформировать описание документа в формате XML. Данный XML автоматически формируется во вложениях к документу после завершения [маршрута согласования](../../КЭДО/Работа с маршрутами/Работа с маршрутами.md). Система автоматически приводит имена файлов к стандарту Минтруда России.

![XML](media/xml.png)

Описание в XML содержит информацию о электронном документе, связанном с работой. Более подробно о требованиях можно ознакомиться в [приказе Минтруда России](http://publication.pravo.gov.ru/Document/View/0001202209300050?index=0&rangeSize=1).

![Структура](media/xml2.png)

### Главный документ

Столбец **"Главный документ"** указывает на основной электронный документ и помогает определить все остальные файлы как пояснительные документы. В зависимости от бизнес-процесса, галочка может быть установлена автоматически, например, в заявлениях на ежегодный отпуск, в которых присутствуют автогенерируемый PDF файл, либо ее может установить составитель, например, в локально-нормативном документе, где система не может сама определить, какой файл является основным. Выбор основного файла определяет структуру XML-описи. Возможность изменения признака у главного документа предоставляется пользователю с определенными правами. Для настройки необходимо обратиться к администратору системы.

![Признак](media/priznak.png)

На проекте реализована проверка на наличие главного документа в тех документах, в которых [подтипы](../../КЭДО/Подтипы документов/Подтипы документов.md) сопоставлены с кодификатором документов МинТруда России. В случае отсутствия главного документа система выдаст информационное сообщение об его отсутствии.

![Системная ошибка](media/sysMessage.png)

## Архив документов

Скачать вложенные в документы файлы можно в документе **Архив документов**. Для этого нужно перейти в меню Документооборот -> Анализ и отчетность -> Архив документов. Откроется форма документа:

![Рисунок 14 Архив документов](media/image102.png){: .zoom}

Чтобы настроить фильтры нужно раскрыть настройку параметров поиска:

![Рисунок 15 Настройка параметров поиска](media/image103.png){: .zoom}

Настроить фильтры можно по:

   - способу формирования архива;
   - периоду документа;
   - типу документа;
   - типу вложения;
   - проекту;
   - работнику;
   - контрагенту;
   - договору.

В зависимости от выбранного фильтра в "Способ формирования архива" формируется архив кадровых докуметов

* Документы для РВР - формируются оригиналы документов и КЭП. Например выберем "Заявление от сотрудника №122" и нажмем "Скачать архив с ЭП";

![](media/image111.png){: .zoom}

Скачается архив, в котором будут находиться оригиналы документов и КЭП;

![](media/image112.png){: .zoom}

* Все из маршрута - формируется оригинал документа, отчет по подписанию (ознакомлению, исполнению) и отчет по подписанию данного документа работниками . Скачаем архив с ЭП по тому же заявлению от сотрудника №122;
  
![](media/image111.png){: .zoom}

Скачается архив, в котором будут находиться оригиналы документов и отчеты по подписанию;

![](media/image113.png){: .zoom}

* Подписано работником -  формируется оригинал документа, отчет по подписанию (ознакомлению, исполнению) и подпись выбранных сотрудников. Для формирования необходимо выбрать как минимум одного сотрудника(допускается выбирать нескольких);

![](media/image114.png){: .zoom}

Нужно выбрать любое заявление и нажать "Скачать архив с ЭП". Скачается архив в котором будут находиться оригинал заявления, отчет по подписанию и ОНЭП сотрудника.

![](media/image115.png){: .zoom}

Можно выбрать несколько значений по одному фильтру. Например, если нужен архив по нескольким типам документов, то их надо по очереди выбирать в поле "Тип документа". Выбранные типы документов отразятся в таблице "Множественный фильтр по аналитикам". Лишние фильтры можно удалить, отметив галочкой и нажав на кнопку "Удалить".

![Рисунок 16 Множественный фильтр по аналитикам](media/image104.png)

Если нужно выгрузить архив за период по всем документам, то нужно указать только период.

По кнопке **Сформировать** на панели инструментов загрузятся документы, удовлетворяющие заданным фильтрам.
В информационном сообщении система покажет количество загруженных элементов:

![Рисунок 17 Информационное сообщение](media/image105.png)

Чтобы скачать архив документов нужно отметить документы в табличной части и нажать кнопку **Скачать архив** на панели инструмента.

![Рисунок 18 Скачивание архива](media/image107.png){: .zoom}

В папке "Загрузки" (Downloads) создастся папка с архивом вложений

![Рисунок 19 Папка с архивом вложений](media/image108.png)

Аналогично скачивается архив документов с ЭП. Только при этом для каждого документа создается отдельная папка

![Рисунок 19 Папка с архивом вложений](media/image109.png)

Если в документе имеются этапы, не подписываемые ЭП (были использованы любые статусы, отличные от Подписан ЭП, Отказ ЭП, Отказ ЭП аннулирован , Подписан КЭП, Отказ КЭП, Отказ КЭП аннулирован), то в отчете с водяным знаком в поле "Период действия сертификата" будет пусто, а в поле "Сертификат" будет указано "Простая электронная подпись"(ПЭП). 

![Рисунок 20 Отчет с водяным знаком](media/image110.png)

Отчетная форма документа генерируется в формате pdf/a - 1. Удостовериться, что формат созданного файла действительно pdf/a-1 можно с помощью [онлайн сервиса](https://avepdf.com/ru/pdfa-validation)