# Служебные записки

Документ «Служебная записка» служит для автоматизации документооборота служебных записок в организации. 

![Меню](media/menu.png)

Типовой бизнес-процесс в данном модуле состоит из четырех этапов.

| Этап | Описание |
| ---- | -------- |
1 этап | Инициатор создает документ "Служебная записка" из реестра служебных записок. В нем заполняет все необходимые поля и отправляет по маршруту.
2 этап | Руководитель принимает документ и подписывает его на своем этапе
3 этап | Документ отправляется на дополнительное согласование
4 этап | Документ рассматривается адресатами

Сценарий работы со служебной запиской можно посмотреть в видео или прочитать ниже:

![type:video](https://www.youtube.com/embed/EVothRQBkJ0)

Для создания перейдите в Меню - Делопроизводство - Служебные записки. Откроется реестр документов за заданный период. Нажать кнопку "Создать" на панели инструментов.

![Реестр](media/reestr.png)

Откроется форма документа "Служебная записка"

![Рисунок 1 Форма документа "Служебная записка"](media/image62.png)

**Номер** присваивается при подписании документа (действие "Подписать" в маршруте). Номер также присвоится при делегировании задачи подписантом другим сотрудникам.

**Дата** автоматически заполняется текущей датой.

Поле **"Подписант"** заполняется ФИО руководителя инициатора (составителя) документа. Если документ создает руководитель подразделения, то в данном поле будет указан инициатор. Подписант автоматически подставляется в шаблон маршрута согласования.

**Подразделение** автоматически заполняется подразделением инициатора.

***Пользователь, указанный в поле Подписант, копируется в маршрут с действием "Подписать".***

**Тип документа**, **Приоритет** выбираются из справочника.

**Краткое содержание**, **Содержательная часть** - обязательные для заполнения поля.

**Проект**, **Направление** выбираются из справочника, если существует необходимость.

Обязательно к заполнению поле **Кому** (при необходимости заполняется таблица **Копия** - в случае наличия нескольких адресатов). Пользователь из поля **Кому** является основным адресатом служебной записки.

***Пользователь, указанный в поле Кому копируется в маршрут с действием "Рассмотреть"***.

Пользователи из таблицы **Копия** являются дополнительными адресатами служебной записки и ***копируются в маршрут с действием "Ознакомиться".*** Для того, чтобы внести дополнительных адресатов, нужно нажать кнопку "Добавить"

При необходимости для формирования в маршруте согласующих лиц их следует добавить в таблицу **"Доп.согласование"** по кнопке "Добавить". 
***Пользователи из таблицы Дополнительное согласование копируются в маршрут с действием "Согласовать".***
В список согласующих включаются сотрудники, область деятельности которых затрагивается проектом служебной записки.

![Рисунок 2 Форма документа "Служебная записка"](media/image63.png)

При необходимости можно приложить скан-образы документов по кнопке "Вложения".
Для отправки документа по маршруту необходимо нажать на кнопку **"Запустить маршрут"** на панели инструментов документа (автоматически создаться маршрут документа). Подписать служебную записку можно несколькими способами:

* с помощью быстрой кнопки "Подписать" на панели инструментов;
* Пройти в "Маршрут", нажать "Отправить", во всплывающем окне выбрать статус этапа и нажать "Ок"

Если нужно сохранить проект документ без отправки по маршруту, нужно нажать кнопку "Сохранить" или "Сохр.Закрыть"

!!! note
    Если СЗ создавалась для согласования руководства и создания поручения смежному подразделению (например, закупка СИЗ, закупка комплектующих  и т.д.), то инициатор после получения оповещения о согласовании, заходит в этот документ и создает на основании него Поручение по операции "Создать поручение". В нем указывает ответственного исполнителя и проставляет срок исполнения. Все вложения с СЗ переходят в документ "Поручение".

![Рисунок 3 Операция "Создать поручение"](media/image64.png)