# Договор

Договорной документооборот – это одна из ключевых задач в работе любой организации. Весь цикл работы с договором – это сложный процесс и в него обычно вовлечены сразу несколько подразделений компании. Правильно организованная, слаженная работа с договорами и автоматизация процесса согласования практически полностью исключает риски нарушения сроков заключения договора, а сам процесс делает прозрачным.

Сценарий работы можно посмотреть в видео или прочитать ниже:

![type:video](https://www.youtube.com/embed/TyQwmuLoRQ8)

Работу с договорами можно вести двумя способами:

1. Централизованный подход подразумевает наличие специального структурного подразделения или рабочей группы, которая занимается договорами. Задача Исполнителя, как Инициатора — доставить проект договора в этот отдел, а согласованием, учетом и хранением занимаются специалисты.

![Рисунок 1 Централизованный подход](media/image69.png)

1. Децентрализованный подход предполагает, что каждый Исполнитель ведет свои договоры самостоятельно. Даже если в компании практикуется такой подход, хранить все оригинальные экземпляры договоров нужно в одном месте: у секретаря, юриста или в канцелярии.

![Рисунок 2 Децентрализованный подход](media/image68.png)

В системе реализованы 2 варианта создания договоров.

1. Из служебной записки для регистрации договора
2. Из реестра договоров

**Первый вариант**

Для создания проекта договора из служебной записки нужно в документе [СЗ для регистрации договора](../Служебная записка для регистрации договора/Служебная записка для регистрации договора.md) нажать кнопку "Создать договор" на панели инструментов. Данная кнопка доступна юристам.

![Рисунок 3 Создание проекта договора из СЗ](media/image70.png)

Создается документ "Договор" с данными, которые были в СЗ. Дата договора равна дате служебной записки. Дата начала действия договора равна текущей дате.

*Заполнение оставшихся полей и вкладок описано ниже.*

**Второй вариант**

Для просмотра реестра договоров и/или создания нового договора в Меню перейти Учет договоров -> Документы -> Договоры.
Откроется реестр договоров за выбранный период.
Для создания нового документа нужно нажать кнопку "Создать" на панели инструментов. Откроется форма документа «Договор» с несколькими вкладками (Основная, Доп.соглашения, Направления, Банковские реквизиты, Оборудования)

![Рисунок 4 Форма документа "Договор"](media/image71.png)

***Вкладка "Основная"*** поделена на несколько окон для внесения информации.

**Окно "Регистрация договора"**

Здесь отображаются регистрационные данные договора.

Нужно заполнить **Полный номер**, **Дата договора**, **Действует с**. При необходимости заполнить **Входящий номер** , **Дата по**.
**Внутренний номер** и **Дата регистрации** проставятся автоматически при регистрации договора юристом по кнопке **Зарегистрировать**.

Признак **Оригинал представлен** проставляется после согласования проекта договора. Куратор прикладывает оригинал документа и ставит этот признак.

При проставлении признака **Уведомлять при истечении срока действия** уведомление уходит куратору договора по истечении срока действия. 

**Статус** выбирается вручную перед сохранением документа.

![Рисунок 5 Вкладка "Основная". Окно "Регистрация договора"](media/image72.png)

**Окно "Сведения о контрагентах"**

Поле **"Контрагент 1*"** обязательное для заполнения. Поиск из справочника ведется во второй ячейке по ИНН, краткому или полному наименованию. Если известен код контрагента в системе, можно ввести в первой ячейке.

![Рисунок 6 Ввод контрагента](media/image73.png)

Поле **Контрагент 1** заполняется в том случае, если проект договора вносится в систему, а сам контрагент еще не внесен в справочник контрагентов.

Для внесения нового контрагента в справочник нужно нажать кнопку ![](media/image82.png) рядом с полем "Контрагент 1*". Подробнее см. [Контрагенты](../../Контрагенты/Контрагенты.md)

![Рисунок 7 Окно "Сведения о контрагентах"](media/image1.png)

**Тип договора**, **Вид договора**, **Категория договора** заполняются из справочника.

**Куратор** заполняется автоматически в зависимости от вида договора. Настройка куратора производится в документе [Виды договоров](../../Виды договоров/Виды договоров.md)

**Подразделение** заполняется автоматически подразделением куратора.

**Должность** заполняется автоматически должностью куратора.

**Подписант в отчете** берется из справочника сотрудников.

**Основание для заключения** заполняется из справочника "Основание договора". Настроена проверка вложений от основания. Если выбрать по тендеру, то нужно приложить решение ТК, если по конкурсу, то приложить конкурсную таблицу. Срабатывает при отправке по маршруту.

**Окно "Оплата договора"**

Нужно заполнить поля **Валюта**, **Ставка НДС**, одну из полей **Сумма без НДС** или **Сумма с НДС**, вторая сумма и **Сумма НДС** пересчитаются автоматически. **Форма оплаты** заполняется из справочника.

![Рисунок 8 Окно "Оплата договора"](media/image74.png)

Для заполнения условий оплаты, нужно перейти в форму по кнопке «Условия оплаты». По кнопке "Добавить" внести условия.

![Рисунок 9 Условия оплаты](media/image75.png)

**Окно "Содержание договора"**

Нужно заполнить поля **Предмет договора**, **Цель заключения договора**, **Краткое содержание**, **Особые условия**.

Все обязательные для заполнения поля отмечены звездочкой *.

**Окно "Параметры договора"**

Для пролонгации договора ставится признак **Автопролонгация** и заполняется **Дата пролонгации**.

Если договора срочный, то ставится признак **Срочный**. Если договор рамочный, в поле **Рамочный** нужно выбрать "да", иначе  - "нет".

![Рисунок 10 Условия оплаты](media/image76.png)

При необходимости заполнить остальные поля - **Проект, Форма, Идентификатор госконтракта, Причины срочности, Приоритеты**.

Если договор конфиденциальный, то необходимо проставить признак "Конфиденциальность". Конфиденциальные договора будут видимы только тем пользователям, у которых есть соответствующая роль.

***Вкладка "Доп.соглашения"***

На вкладке отображается список дополнительных соглашений, двойной щелчок по строке инициирует переход на соответствующее дополнительное соглашение.

![Рисунок 11 Вкладка "Доп.соглашения"](media/image77.png)

Дополнительные соглашения создаются по операции "Создать дополнительный документ"

![Рисунок 12 Создание дополнительного документа по операции](media/image78.png)

***Вкладка "Направления"***

**Источник заключения** выбирается из справочника. **Направление** вносится по кнопке "Добавить".

![Рисунок 13 Вкладка "Направления"](media/image79.png)

***Вкладка "Банковские реквизиты"***

**Реквизиты своей организации** выбирается из справочника. Отображаются те данные, которые внесены в справочнике контрагентов по своей организации.

![Рисунок 14 Вкладка "Банковские реквизиты"](media/image80.png)

После заполнения проекта договора, нужно приложить сопутствующие документы по кнопке "Вложения" на панели инструментов (подробнее описано в разделе  [Работа со вложениями](../../Работа со вложениями/Работа со вложениями.md)

Для согласования и подписания договора нужно отправить проект договора на согласование. Для этого на панели инструмента нажать на кнопку "Маршрут", далее "Создать маршрут" или выбрать из предложенных шаблонов и отправить по маршруту. Более подробно работа с маршрутами описана в разделе [Как отредактировать маршрут?](../../../КЭДО/Работа с маршрутами/Работа с маршрутами.md).

После того, как договор прошел все этапы и документ вновь приходит куратору. Куратор вкладывает скан-образ подписанного оригинала договора во вложения, проставляет признак "Оригинал предоставлен" и отправляет по маршруту юристу. Юрист проверяет данные, регистрирует договор по кнопке «Зарегистрировать» и меняет статус договора на "Подписан". После этого заходит в маршрут, завершает его и сохраняет документ.