# Дополнительные документы к договорам

Приложения, дополнительные документы (соглашения) к договорам отражаются в реестре документов "Дополнительные документы к договору". 

Чтобы открыть реестр документов, нужно в Меню перейти к пункту Учет договоров -> Документы -> Дополнительные документы к договорам, выбрать период для загрузки реестра.

![Рисунок 1 Реестр дополнительных документов к договору](media/image119.png){: .zoom}

Существует 2 варианта создания дополнительного документа к договорам:

1. Из документа "Договор" по операции "Создать дополнительный документ"

2. Из документа "СЗ для регистрации дополнительного документа к договору" по кнопке "Создать доп.документ" (актуален для компаний, где кураторы договоров занимаются созданием договора и документов к нему)

***Первый вариант***

Для создания дополнительного документа к договору нужно войти в документ  "Договор", нажать на панели инструментов кнопку "Операции" и выбрать  **Создать дополнительный документ**

![Рисунок 2 Выбор операции в документе "Договор"](media/image120.png){: .zoom}

Создается новый документ "Дополнительный документ к договору", который будет привязан к текущему документу, и часть полей будет уже заполнена.

![Рисунок 3 Форма документа "Дополнительный документ к договору"](media/image121.png){: .zoom}

В документе 2 вкладки: "Основная", "Связанные документы"

На вкладке **"Основная"** отражаются основные сведения о дополнительном документе. Большая часть полей заполняется из договора. 
Вкладка разбита на окна: "Регистрация", "Сведения о контрагенте", "Оплата", "Содержание","Параметры".

*Окно "Регистрация"*

- Договор - номер и дата договора, на основании которого создан дополнительный документ;

- Договор действует с .. по - период действия договора, на основании которого создан дополнительный документ;

- Номер – формируется автоматически при сохранении как порядковый номер дополнительного документа к договору;

- Дата - дата создания дополнительного документа;

- Действует с..по - период действия дополнительного документа (период действия должен быть в периоде действия договора, на основании которого создан дополнительный документ);

- Статус - меняется по мере согласования документа. Если статус "Расторгнут", то меняется статус основного договора. Изменение в дополнительном документе будет обязательно к сохранению и удалить документ будет запрещено.

- Изменение срока действия договора - заполняется, если меняется дата окончания действия договора;

- Дата регистрации - проставляется автоматически текущей датой при нажатии кнопки "Зарегистрировать".

Кнопка "Зарегистрировать" регистрирует дополнительный документ в системе.  После регистрации дополнительного соглашения, удаление запрещено по причине возможного изменения суммы либо даты регистрации. После регистрации соглашения большая часть полей блокируются для редактирования, редактируемыми остаются только поля "Условия оплаты", "Изменение даты", и изменения статуса на "Расторгнут".

*Окно "Сведения о контрагенте*

Все поля заполняются автоматически данными из договора. Поле "куратор" открыто для редактирования.

*Окно "Оплата"*

Заполняются суммовые значения дополнительного документа. Если по документу имеется спецификация, то при внесении ее в соответствующей вкладке сумма ДС и сумма договора с учетом допсоглашения  пересчитается.

Сумма доп. документа без НДС обязательна, только если договор не рамочный.

*Окно "Содержание"*

Предмет соглашения, Особые условия подтягиваются из договора, поля открыты для редактирования.

*Окно "Параметры"*

Поля "Форма", "Рамочный", "Тип документа", "Вид документа" заполняются данными из справочника. 

"Категория договора" подтягивается из договора. Если в договоре поле пустое, то можно выбрать из справочника.

"Основание договора" подтягивается из договора.

"Проект" - подтягивается из договора.

"Подписант в отчетах" - выбирается из справочника сотрудников.

Если документ срочный, то ставится признак "Срочный".

"Причины срочности" - текстовое поле, заполняется вручную.

На вкладке **"Связанные документы"** отражаются все документы, связанные с данным документом. В форму вынесена основная информация по документам.

![Рисунок 4 Вкладка "Связанные документы"](media/image122.png){: .zoom}

После заполнения проекта документа, нужно приложить сопутствующие документы по кнопке "Вложения" на панели инструментов (подробнее описано в разделе  [Работа с вложениями](../../Работа со вложениями/Работа со вложениями.md).

Для согласования и подписания документа нужно отправить проект на согласование. Для этого на панели инструмента нажать на кнопку "Маршрут", далее "Создать маршрут" или выбрать из предложенных шаблонов и отправить по маршруту. Более подробно работа с маршрутами описана в разделе [Редактирование маршрута](../../../КЭДО/Работа с маршрутами/Работа с маршрутами.md).

***Второй вариант***

Для создания дополнительного документа к договору, нужно:

1. В меню выбрать Учет договоров -> Документы - > СЗ для регистрации доп.документа к договору.

![Рисунок 5 Реестр документов "СЗ для регистрации доп.документа к договору](media/image131.png){: .zoom}

1. Открыть документ, на основании которого будет создаваться дополнительный документ к договору.

2. Нажать кнопку "Создать доп.документ" на панели инструментов.

![Рисунок 6 Создание дополнительного документа из служебной записки](media/image132.png){: .zoom}

Основные поля в документе Дополнительные документы к договорам заполнятся значениями из служебной записки.

Дальнейшая работа с документом аналогична первому варианту.