# Lexema-ECM. Введение

## Введение

**Lexema-ECM** — комплексная система управления корпоративным контентом, включающая в себя автоматизацию работы с кадровыми документами.

Руководство предназначено:

- для специалистов, которым необходимо обрабатывать электронные документы в Lexema-ECM: создавать карточки, отправлять по маршруту согласования и подписывать документы электронной подписью;

- для специалистов, которым необходимо администрировать проект: создавать новые типы карточек, настраивать маршруты и наполнять справочники системы данными;
 
- для специалистов, задача которых развернуть систему Lexema-ECM на сервере и настроить работу с электронными подписями.

## Назначение Lexema-ECM

**Lexema-ECM** — имеет богатый функционал типовой конфигурации — от канцелярии до юридически значимого кадрового документооборот, а также широкие возможности для развития системы и подключения дополнительных функций. 
В системе настроены типовые карточки по работе с договорами, письмами, поручениями, служебными записками, приказами, заявления от сотрудников и ЛНД по кадровому документообороту, а также преднастроены маршруты по их обработке. Документы готовы к использованию сразу после развертывания системы. Поэтому можно в кратчайший срок начать получать бонусы от электронного согласования документов. 

В **Lexema-ECM** встроен сервис, позволяющий одним нажатием кнопки выпускать облачные неквалифицированные электронные подписи для сотрудников компании. Использование таких подписей гарантирует легитимность документов КЭДО и позволяет подписывать электронные документы с любого устройства без привязки к рабочему месту. Выпуск УНЭП с помощью Lexema-ECM не требует дополнительной покупки.

## Настройка и развитие Lexema-ECM

**Lexema-ECM** можно развивать своими силами. Для этого есть следующие инструменты: 

* Конструктор для настройки документов. С его помощью даже без знаний в программировании можно настроить новые или внести изменения в старые карточки, править печатные формы и маршруты согласования.

* Более сложные задачи развития Lexema-ECM решаются в **Lexema-Framework**. Это современная платформа для быстрой разработки веб-приложений, среда разработки Lexema-ECM. В платформе используется стек современных популярных программных технологий, которыми в настоящее время владеют очень многие программисты. ИТ-специалисты любой компании могут пройти бесплатное онлайн-обучение в Академии Lexema по программированию на **Lexema-Framework** и в последствии самостоятельно развивать Lexema-ECM, решая даже самые сложные задачи.

## Области применения

Кроме документов типовой конфигурации, к электронному документообороту в Lexema-ECM можно подключать любые новые документы, требующие электронного согласования или подписания. Это могут быть производственные документы, документы складского учета, финансового учета. 

Также Lexema-ECM имеет дополнительные модули, которыми можно расширить систему: робот по распознаванию и обработке первичных входящих документов и платформу для дистанционного корпоративного обучения. 

## Документооборот

Структура документооборота на предприятии включает три категории
документов:

* Входящие. Поступают извне по электронной почте, по телефону, по почте или через курьера

*  Исходящие. Разрабатываются внутри организации и отправляются сторонним адресатам

*   Внутренние. Создаются для внутреннего пользования: организационно-распорядительные документы, локально-нормативные документы, поручения, служебные записки и т.п.

Lexema-ECM располагает всеми необходимыми возможностями для ведения учета и регистрации этих документов.

Lexema-ECM - комплексная система управления корпоративным контентом для средних и крупных компаний с функциями корпоративного обучения, кадрового документооборота, распознавания и обработки первичных
документов. Решение предоставляет широкие возможности для быстрой кастомизации проекта и его расширения новым функционалом. Такой подход обеспечивает гибкую оптимизацию бизнес-процессов и повышает скорость
развития компании.
